<script language="JavaScript">
    function processSelection(value)
    {
        document.forms['jiraform'].elements['password'].disabled = value;
    }
</script>

<ui:textfield label="'Name'" name="'name'" size="'30'">
    <ui:param name="'description'">The name of this cvs module within JIRA.</ui:param>
    <ui:param name="'mandatory'">true</ui:param>
</ui:textfield>
<ui:textfield label="'Description'" name="'description'" size="'60'" />

<tr>
    <td colspan=2 bgcolor=f0f0f0><b>CVS Module Details</b></td>
</tr>

<ui:textfield label="'CVS Root'" name="'cvsRoot'" size="'60'">
    <ui:param name="'description'">
        CVS Root string that is used to retrieve the module's CVS log<br>
        JIRA supports <em>pserver</em>, <em>ext (ssh)</em> and <em>local</em> repository access methods.
    </ui:param>
    <ui:param name="'mandatory'">true</ui:param>
</ui:textfield>

<ui:textfield label="'Module Name'" name="'moduleName'" size="'60'">
    <ui:param name="'description'">
        The name of the module as it is called in the CVS repository.
    </ui:param>
    <ui:param name="'mandatory'">true</ui:param>
</ui:textfield>

<tr>
    <td align="right" valign="top" bgcolor="fffff0"><span class="label">
        <i><span title="Fields in italics are required"><sup>*</sup> Log Retrieval</i></span>:
    </span></td>
    <td bgcolor="ffffff">
        <input id="fetchLogTrue" type="radio" value="true" name="fetchLog" onclick="processSelection(false);" <webwork:if test="/fetchLog == true">checked</webwork:if>><label for="fetchLogTrue">Automatically retrieve the CVS log</label>
        &nbsp;
        <input id="fetchLogFalse" type="radio" value="false" name="fetchLog" onclick="processSelection(true);" <webwork:if test="/fetchLog == false">checked</webwork:if>><label for="fetchLogFalse">I would like to update the log myself</label>
    </td>
</tr>


<ui:textfield label="'Log File Path'" name="'logFilePath'" size="'60'">
    <ui:param name="'description'">
        The full path to a file for storing CVS logs, eg. <%=System.getProperty("java.io.tmpdir") + System.getProperty("file.separator") + "cvs-module1.log"%>.
        The log file will be <br>
        periodically updated by JIRA or by an external process, depending on your choice above.
    </ui:param>
    <ui:param name="'mandatory'">true</ui:param>
</ui:textfield>

<ui:password label="'Password'" name="'password'">
    <ui:param name="'description'">
    <ui:param name="'disabled'"><webwork:if test="/fetchLog == false">true</webwork:if><webwork:else>false</webwork:else></ui:param>
        The password used to authenticate against a CVS repository.<br>
        Mandatory if you want JIRA to retrieve the CVS log.
    </ui:param>
</ui:password>

<tr>
    <td colspan=2 bgcolor=f0f0f0><b>ViewCVS Details</b></td>
</tr>

<ui:textfield label="'Base URL'" name="'repositoryBrowserURL'" size="'60'">
    <ui:param name="'description'">The base URL of the <a href="http://viewcvs.sourceforge.net">ViewCVS</a> site for this module.</ui:param>
</ui:textfield>

<ui:textfield label="'Root Parameter'" name="'repositoryBrowserRootParam'" size="'30'">
    <ui:param name="'description'">
        The value of 'root' parameter ViewCVS uses for this module.<br>
        Leave this field blank if ViewCVS is set up with a single CVS root.
    </ui:param>
</ui:textfield>