<%@ taglib uri="webwork" prefix="webwork" %>

<%-- Expects a WorkflowConditionFormatBean to be in context with id 'descriptorBean' --%>
<webwork:iterator value="@descriptorBean/descriptorCollection" status="'status'" >
    <webwork:if test="@status/first == false">
        <tr bgcolor=fffff0>
            <td><span class="smallgrey"><webwork:property value="@descriptorBean/conditionsType"/></span></td>
            <webwork:if test="@descriptorBean/delete == true && workflow/active == false"><td>&nbsp;</td></webwork:if>
        </tr>
    </webwork:if>

    <webwork:if test="@descriptorBean/conditionsDescriptor(.) == false">
        <tr bgcolor=ffffff>
            <%@ include file="/includes/admin/workflow/viewworkflowdescriptor.jsp" %>
        </tr>
    </webwork:if>
    <webwork:else>
        <%-- print nested conditions --%>

        <%-- needed to get around the WW bug of looking up the stack - so use the id --%>
        <webwork:property id="conditionsDescriptor" value="."/>

        <%-- save the descriptor bean on top of the stack --%>
        <webwork:property value="@descriptorBean">

            <tr bgcolor=ffffff>
            <td>
            <div class="condition-block">
            <table class=gridBox width=100% cellspacing="1" cellpadding=3>

            <%-- create a new descriptor bean to represent the conditions element --%>
            <webwork:bean id="descriptorBean" name="'com.atlassian.jira.web.bean.WorkflowConditionFormatBean'">
                <webwork:param name="'conditionsDescriptor'" value="@conditionsDescriptor"/>
                <webwork:param name="'pluginType'" value="'workflow-condition'" />
            </webwork:bean>

            <%-- recurse to this JSP to print out the ConditionsDescriptor which likely has more than one
            ConditionDescriptor inside --%>
            <jsp:include page="/includes/admin/workflow/viewworkflowconditions.jsp" />

            </table>
            </div></td>

            <%-- put the old descriptor format bean back --%>
            <webwork:property id="descriptorBean" value="."/>

            <webwork:if test="@descriptorBean/delete == true && /workflow/editable == true">
                <td>&nbsp;</td>
            </webwork:if>
            </tr>
        </webwork:property>
    </webwork:else>
</webwork:iterator>