<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Comment</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">BulkAddComment.jspa</page:param>
	<page:param name="cancelURI">BulkEdit.jspa<webwork:property value="ids" escape="false"/></page:param>
	<page:param name="submitName">Add</page:param>

<%--	<ui:component label="'Issue #'" name="'issue/string('key')'" template="issuelabel.jsp" />--%>
<%--	<ui:component label="'Summary'" name="'issue/string('summary')'" template="textlabel.jsp" />--%>

	<ui:textarea label="'Comment'" name="'comment'" cols="40" rows="20" />

	<webwork:if test="commentLevels/size > 0">
		<ui:select label="text('comment.viewable')" name="'commentLevel'" list="commentLevels"
			listKey="'.'" listValue="'.'">
			<ui:param name="'headerrow'" value="'All Users'" />
			<ui:param name="'headervalue'" value="''" />
		</ui:select>
	</webwork:if>

	<webwork:iterator value="issues" >
        <input type="hidden" name="id" value="<webwork:property value="string('id')" />" >
    </webwork:iterator>

</page:applyDecorator>

</body>
</html>