<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Issues</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
		<p>Are you sure you want to delete these issues?  You will not be able to undo this action.</p>
	</page:param>

	<page:param name="action">BulkDeleteIssue.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">BulkEdit.jspa<webwork:property value="ids" escape="false"/></page:param>



	<webwork:iterator value="issues" >
        <input type="hidden" name="id" value="<webwork:property value="string('id')" />" >
    </webwork:iterator>

	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>