<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean name="'com.atlassian.core.bean.MathBean'" id="mathBean" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<page:applyDecorator name="portletpanel">
	<page:param name="header">
        <webwork:text name="'portlet.inprogressissues.openissues'" />: <b><a href="IssueNavigator.jspa?reset=true&assigneeSelect=issue_current_user&statusIds=3&resolutionIds=-1"><webwork:text name="'portlet.inprogressissues.inprogress'" /></a></b>
        <small>&nbsp;
            (<webwork:text name="'portlet.assignedissues.overflow'" >
                <webwork:param name="'value0'"><webwork:property value="@mathBean/min(inProgressIssues/size,longProperty('numofentries')/longValue)"/></webwork:param>
                <webwork:param name="'value1'"><webwork:property value="inProgressIssues/size"/></webwork:param>
             </webwork:text>)
        </small>
    </page:param>
	<page:param name="header.colspan">4</page:param>
    <webwork:if test="indexing == true">
        <webwork:if test="inProgressIssues != null && inProgressIssues/size > 0">
        <webwork:subset source="inProgressIssues">
            <webwork:param name="'count'"><webwork:property value="@mathBean/min(inProgressIssues/size,longProperty('numofentries')/longValue)"/></webwork:param>
            <webwork:iterator status="'issueSummaryStatus'">
                <%@ include file="/includes/dashboard/issuesummary.jsp"  %>
            </webwork:iterator>
        </webwork:subset>
        </webwork:if>
        <webwork:else>
         <tr bgcolor="#FFFFFF">
            <td width="100%" colspan=4>
                <webwork:text name="'portlet.inprogressissues.noissues'" />
            </td>
        </tr>
        </webwork:else>
    </webwork:if>
    <webwork:else>
        <%@ include file="/includes/indexing/message.jsp" %>
    </webwork:else>
</page:applyDecorator>