<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<tr
    <webwork:if test="@issueSummaryStatus/odd == true">
        class=rowNormal
    </webwork:if>
    <webwork:else>
        class=rowAlternate
    </webwork:else>
>
    <td nowrap width=1%>
        <%@ include file="/includes/icons/type.jsp" %>
    </td>

    <td nowrap width=1%><font size=1><a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>"><webwork:property value="string('key')"/></a></font></td>

    <td width=100%>
            <webwork:if test="@issueBean/subTask(.) == true">
                <webwork:property value="@issueBean/parentIssueKey(.)">
                    <span class="smallgrey"><a href="<%=request.getContextPath()%>/browse/<webwork:property/>" style="text-decoration: none; " title="<webwork:property value="@issueBean/parentIssueSummary(..)"/>"><webwork:property/></a></span><br>
                    <img src="<%= request.getContextPath() %>/images/icons/link_out_bot.gif" width=16 height=16 border=0 align=absmiddle>
                </webwork:property>
            </webwork:if>
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>" style="text-decoration: none; "><webwork:property value="string('summary')"/></a>
    </td>

    <webwork:property value="./long('project')">
        <td nowrap width=1%>
            <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', ../string('type')) == false">
                <%@ include file="/includes/icons/priority.jsp" %>
            </webwork:if>
            <webwork:else>
                &nbsp;
            </webwork:else>
        </td>
    </webwork:property>
</tr>