<%@ page import="org.ofbiz.core.entity.GenericValue,
                 webwork.action.CoreActionContext"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<page:applyDecorator name="portletpanel">
    <page:param name="header">
        <webwork:text name="'common.concepts.project'"/> :
        <b><a href="BrowseProject.jspa?id=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a></b>
        <font size=1>(<webwork:property value="string('key')" />)</font>
    </page:param>
    <page:param name="header.colspan">2</page:param>
    <tr class=rowClear>
        <td colspan=2>
            <webwork:if test="../property('projectinfo') != 'brief' && string('lead') != null">
            <b><webwork:text name="'common.concepts.lead'"/>:</b> <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="string('lead')" /></webwork:url>"><webwork:property value="@user/user(string('lead'))/fullName" /></a><br>
            </webwork:if>

            <b><webwork:text name="'common.concepts.reports'"/>:</b>
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>?report=com.atlassian.jira.plugin.system.project:openissues-panel"><webwork:text name="'common.concepts.openissues'"/></a> |
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>?report=com.atlassian.jira.plugin.system.project:roadmap-panel"><webwork:text name="'common.concepts.roadmap'"/></a> |
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>?report=com.atlassian.jira.plugin.system.project:changelog-panel"><webwork:text name="'common.concepts.changelog'"/></a>
            <webwork:if test="/applicationProperties/option('jira.option.voting') == true">
                | <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>?report=com.atlassian.jira.plugin.system.project:popularissues-panel"><webwork:text name="'common.concepts.popular'"/></a>
            </webwork:if>
        </td>
    </tr>
    <webwork:if test="property('projectinfo') != 'brief'">
        <webwork:property value="./long('id')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', 'all') == false">
            <tr class=rowClear>
                <td>
                    <b><webwork:text name="'common.concepts.openissues'"/>:</b> <font size=1>(<webwork:text name="'common.concepts.bypriority'"/>)</font>
                </td>
                <td valign=middle>
                    <table width=100 valign=middle align=center cellspacing=0 cellpadding=0 border=0>
                        <tr>
                        <webwork:if test="/priorityStats(..)/size > 0">
                            <webwork:iterator value="/priorityStats(..)">
                                <td width=<webwork:property value="value[1]" /> bgcolor="<webwork:property value="value[2]" />"><a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&pid=<webwork:url value=".."/>&priorityIds=<webwork:url value="key" />&resolutionIds=-1" title="<webwork:property value="/constantsManager/priority(key)/string('name')" /> - <webwork:property value="value[1]" />% (<webwork:property value="value[0]" /> issues)"><img src="<%= request.getContextPath() %>/images/bar.gif" alt="<webwork:property value="/constantsManager/priority(key)/string('name')" /> - <webwork:property value="value[1]" />% (<webwork:property value="value[0]" /> issues)" height=10 width=<webwork:property value="value[1]" /> border=0></a></td>
                            </webwork:iterator>
                        </webwork:if>
                        <webwork:else>
                            <font size=1><webwork:text name="'common.concepts.noopenissues'"/></font>
                        </webwork:else>
                        </tr>
                    </table>
                </td>
            </tr>
            </webwork:if>
        </webwork:property>
        <tr class=rowClear>
            <td colspan=2>
            <b><webwork:text name="'common.concepts.filterissues'"/>:</b><br>
            <table width="100%"><tr>
                <td width="50%" valign=top><font size=1>
                    <jsp:include page="/includes/panels/filters_firsthalf.jsp" />
                </font></td>
                <td width="50%" valign=top><font size=1>
                    <jsp:include page="/includes/panels/filters_secondhalf.jsp" />
                </font></td>
            </tr></table>
            </td>
        </tr>
    </webwork:if>
</page:applyDecorator>
