<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean name="'com.atlassian.core.bean.MathBean'" id="mathBean" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<page:applyDecorator name="portletpanel">
    <webwork:property id="issues" value="../../issues(.)" />
	<page:param name="header">
        <webwork:text name="'portlet.savedfilter.issues'" />: <b><a href="<webwork:url page="IssueNavigator.jspa"><webwork:param name="'mode'" value="'hide'"/><webwork:param name="'requestId'" value="../property('filterid')"/></webwork:url>"><webwork:property value="name"/></a></b>
        <small>&nbsp;
            (<webwork:text name="'portlet.assignedissues.overflow'" >
                <webwork:param name="'value0'"><webwork:property value="@mathBean/min(@issues/size,../property('numofentries'))"/></webwork:param>
                <webwork:param name="'value1'"><webwork:property value="@issues/size"/></webwork:param>
             </webwork:text>)
        </small>
        <webwork:if test="../property('showdescription') == true && description">
        <br><font size="1"><webwork:property value="description" escape="false" /></font>
        </webwork:if>
    </page:param>
	<page:param name="header.colspan">4</page:param>
    <webwork:if test="indexing == true">
        <webwork:if test="@issues != null && @issues/size > 0">
            <webwork:subset source="@issues" count="../property('numofentries')">
            <webwork:iterator status="'issueSummaryStatus'">
                <%@ include file="/includes/dashboard/issuesummary.jsp"  %>
            </webwork:iterator>
            </webwork:subset>
        </webwork:if>
        <webwork:else>
            <tr>
                <td width="100%" colspan=4 bgcolor=ffffff>
                    <webwork:text name="'portlet.savedfilter.noissues'" />
                </td>
            </tr>
        </webwork:else>
    </webwork:if>
    <webwork:else>
        <%@ include file="/includes/indexing/message.jsp" %>
    </webwork:else>
</page:applyDecorator>