<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:iterator value="." status="'iteratorStatus'">
    <!-- Put Issue Type on stack as it is needed for operation links (Add, Change, Remove) -->
    <webwork:property value=".">
    <!-- Detail Row - Issue Type, Field Layout Scheme, Operations-->
    <tr class="<webwork:if test="@iteratorStatus/odd == true">rowAlternate</webwork:if><webwork:else>rowNormal</webwork:else>">
        <td align=left nowrap>
            <ui:component name="{./string('name')}" template="constanticon.jsp">
                <webwork:param name="'iconurl'" value="./string('iconurl')" />
                <webwork:param name="'title'"><webwork:property value="./string('name')" escape="false" /> - <webwork:property value="./string('description')" escape="false" /></webwork:param>
                <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
            </ui:component>
            <webwork:property value="./string('name')"/>
        </td>
        <webwork:property value="../../fieldLayoutScheme(./string('id'))">
            <td align=left vailgn=absmiddlenowrap>
                <webwork:if test=". == null && ../../fieldLayoutScheme(null) == null" >
                    <i><span class="grey">System Default</span></i>
                </webwork:if>
                <webwork:else>
                    <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="Field Layout Scheme" STYLE="float:left; padding-right:3; align">
                    <webwork:if test="../../projectDefaultScheme(../string('id'), ./string('id')) == true">
                        <span class="grey"><i>
                            <b><webwork:property value="./string('name')"/></b>
                            <span class="smallgrey">&nbsp;(Project Default)</span>
                            <br><webwork:property value="./string('description')"/>
                        </i></span>
                    </webwork:if>
                    <webwork:else>
                        <a href="<webwork:url page="/secure/admin/EditFieldLayout!default.jspa"><webwork:param name="'schemeId'" value="./string('id')"/></webwork:url>"><b><webwork:property value="./string('name')"/></b></a>
                        <br><webwork:property value="./string('description')"/>
                    </webwork:else>
                </webwork:else>
            </td>
            <td nowrap width="1%">
              <webwork:if test=". != null" >
                    <a href="SelectProjectIssueFieldScheme!default.jspa?projectId=<webwork:property value="/pid" />&schemeId=<webwork:property value="./string('id')"/>&issueTypeId=<webwork:property value="../string('id')"/>">Change Association</a>
                    <webwork:if test="../../projectDefaultScheme(../string('id'), ./string('id')) == false">
                        | <a id="remove_<webwork:property value="../string('name')"/>" href="ManageFieldLayoutSchemes!removeAssociation.jspa?pid=<webwork:property value="/pid" />&schemeId=<webwork:property value="./string('id')"/>&issueTypeId=<webwork:property value="../string('id')"/>">Remove Association</a>
                    </webwork:if>
              </webwork:if>
              <webwork:else>
                <a id="add_<webwork:property value="../string('name')"/>" href="SelectProjectIssueFieldScheme!default.jspa?projectId=<webwork:property value="/pid" />&issueTypeId=<webwork:property value="../string('id')"/>">Add Association</a>
              </webwork:else>
            </td>
        </webwork:property>
    </tr>
   </webwork:property>
</webwork:iterator>