<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<ui:select label="text('navigator.filter.status')" name="'statusIds'" template="selectmultiple.jsp"
	list="/constantsManager/statuses" listKey="'string('id')'" listValue="'string('name')'">
	<ui:param name="'size'" value="'3'" />
	<ui:param name="'headerrow'" value="text('common.filters.any')" />
	<ui:param name="'headervalue'" value="''" />
<%--		<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#StatusTypes</ui:param>--%>
	<ui:param name="'helpURL'">issues</ui:param>
	<ui:param name="'helpURLFragment'">#StatusTypes</ui:param>
	<ui:param name="'style'">width: 80%;</ui:param>
</ui:select>

<ui:select label="text('navigator.filter.matchingresolutions')" name="'resolutionIds'"
	template="selectmultiple.jsp" list="/constantsManager/resolutions"
	listKey="'string('id')'" listValue="'string('name')'">
	<ui:param name="'size'" value="'3'" />
	<ui:param name="'headerrow'" value="text('common.filters.any')" />
	<ui:param name="'headervalue'" value="''" />
	<ui:param name="'headerrow2'" value="text('common.status.unresolved')" />
	<ui:param name="'headervalue2'" value="'-1'" />
<%--		<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#ResolutionTypes</ui:param>--%>
	<ui:param name="'helpURL'">issues</ui:param>
	<ui:param name="'helpURLFragment'">#ResolutionTypes</ui:param>
	<ui:param name="'style'">width: 80%;</ui:param>
</ui:select>

<webwork:if test="(pid == null && /fieldHidden('priority') == false) || (pid != null && /fieldHidden(pid, 'priority', 'all') == false)">
<ui:select label="text('navigator.filter.matchingpriorities')" name="'priorityIds'"
	template="selectmultiple.jsp" list="/constantsManager/priorities"
	listKey="'string('id')'" listValue="'string('name')'">
	<ui:param name="'size'" value="'3'" />
	<ui:param name="'headerrow'" value="text('common.filters.any')" />
	<ui:param name="'headervalue'" value="''" />
<%--		<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#PriorityLevels</ui:param>--%>
	<ui:param name="'helpURL'">issues</ui:param>
	<ui:param name="'helpURLFragment'">#PriorityLevels</ui:param>
	<ui:param name="'style'">width: 80%;</ui:param>
</ui:select>
</webwork:if>
