<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<tr>
    <td bgcolor=f0f0f0 colspan=2>
        <b><webwork:text name="'navigator.filter.subheading.datesandtimes'"/></b>
    </td>
</tr>

<ui:component label="text('navigator.filter.createdafter')" name="'createdAfter'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:component label="text('navigator.filter.createdbefore')" name="'createdBefore'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:select label="text('navigator.filter.createdinprevious')" name="'createdPrevious'"
    list="timePeriods" listKey="'[1]'" listValue="'[0]'" >
    <ui:param name="'headerrow'" value="text('navigator.filter.constants.anytime')" />
    <ui:param name="'headervalue'" value="''" />
    <ui:param name="'style'">width: 90%;</ui:param>
</ui:select>

<ui:component label="text('navigator.filter.updatedafter')" name="'updatedAfter'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:component label="text('navigator.filter.updatedbefore')" name="'updatedBefore'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:select label="text('navigator.filter.updatedinprevious')" name="'updatedPrevious'"
    list="timePeriods" listKey="'[1]'" listValue="'[0]'" >
    <ui:param name="'headerrow'" value="text('navigator.filter.constants.anytime')" />
    <ui:param name="'headervalue'" value="''" />
    <ui:param name="'style'">width: 90%;</ui:param>
</ui:select>

<webwork:if test="(pid == null && /fieldHidden('duedate') == false) || (pid != null && @fieldVisibility/fieldHidden(pid, 'duedate', 'all') == false)">
<ui:component label="text('navigator.filter.dueafter')" name="'duedateAfter'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:component label="text('navigator.filter.duebefore')" name="'duedateBefore'" template="datepicker2.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 80%;</ui:param>
</ui:component>

<ui:component label="text('navigator.filter.duedate')" name="''" template="doubletextfieldcomponent.jsp">
    <ui:param name="'formname'" value="'filterform'" />
    <ui:param name="'style'">width: 90%;</ui:param>
    <ui:param name="'labelPrevious'"><webwork:property value="text('navigator.filter.constants.duedate.from')"/></ui:param>
    <ui:param name="'labelNext'"><webwork:property value="text('navigator.filter.constants.duedate.to')"/></ui:param>
    <ui:param name="'sizePrevious'">4</ui:param>
    <ui:param name="'sizeNext'">4</ui:param>
    <ui:param name="'namePrevious'">duedatePrevious</ui:param>
    <ui:param name="'nameNext'">duedateNext</ui:param>
    <ui:param name="'valuePrevious'"><webwork:property value="duedatePrevious" /></ui:param>
    <ui:param name="'valueNext'"><webwork:property value="duedateNext" /></ui:param>
    <ui:param name="'description'"><webwork:text name="'navigator.filter.duedate.desc'"/></ui:param>
    <ui:param name="'firstLineInclude'">/template/standard/duedatejavascript.jsp</ui:param>
</ui:component>
</webwork:if>