<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<webwork:if test="/components/empty == false && @fieldVisibility/fieldHidden(pid, 'components', 'all') == false">
<!-- JRA-6147 - need to ensure that selectmultiple.jsp listKey is passed a string. -->
<ui:select label="text('common.filters.incomponents')" name="'component'" template="selectmultiple.jsp"
    list="/components" listKey="'string('id')'" listValue="'string('name')'">
    <ui:param name="'size'" value="'3'" />
    <ui:param name="'headerrow'" value="text('common.filters.any')" />
    <ui:param name="'headervalue'" value="''" />
    <ui:param name="'headerrow2'" value="text('common.filters.nocomponent')" />
    <ui:param name="'headervalue2'" value="'-1'" />
    <ui:param name="'style'">width: 90%;</ui:param>
</ui:select>
</webwork:if>

<webwork:if test="/versions/empty == false && @fieldVisibility/fieldHidden(pid, 'versions', 'all') == false">
<ui:select label="text('common.filters.matchesversions')" name="'version'" template="selectmultiple.jsp"
    list="/versions" listKey="'key'" listValue="'value'">
    <ui:param name="'size'" value="'3'" />
    <ui:param name="'headerrow'" value="text('common.filters.any')" />
    <ui:param name="'headervalue'" value="''" />
    <ui:param name="'headerrow2'" value="text('common.filters.noversion')" />
    <ui:param name="'headervalue2'" value="'-1'" />
    <ui:param name="'style'">width: 90%;</ui:param>
</ui:select>
</webwork:if>
