<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<webwork:property value="genericValue">
    <webwork:if test="long('fieldtype') == 1"> <%-- text --%>
        <ui:textfield label="./string('name')" name="../../orderableField/id" size="60" value="/customFieldValuesHolder/customFieldValue(../../orderableField/customFieldId)">
        <ui:param name="'description'"><webwork:property value="./string('description')" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="../../required"/>
        </ui:textfield>
    </webwork:if>
    <webwork:elseIf test="long('fieldtype') == 2"> <%-- number --%>
        <ui:textfield label="./string('name')" name="../../orderableField/id" value="/customFieldValuesHolder/customFieldValue(../../orderableField/customFieldId)">
            <ui:param name="'description'"><webwork:property value="./string('description')" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="../../required"/>
        </ui:textfield>
    </webwork:elseIf>
    <webwork:elseIf test="long('fieldtype') == 3"> <%-- free-text --%>
        <ui:textarea label="./string('name')" name="../../orderableField/id" rows="5" cols="70" value="/customFieldValuesHolder/customFieldValue(../../orderableField/customFieldId)">
            <ui:param name="'description'"><webwork:property value="./string('description')" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="../../required"/>
        </ui:textarea>
    </webwork:elseIf>
    <webwork:elseIf test="long('fieldtype') == 4"> <%-- date --%>
        <ui:component label="./string('name')" name="../../orderableField/id" value="/customFieldValuesHolder/customFieldValue(../../orderableField/customFieldId)" template="datepicker2.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'description'"><webwork:property value="./string('description')" escape="false"/><br>The date should be in the format d-MMM-yyyy, eg. 17-Nov-1979.</ui:param>
            <ui:param name="'mandatory'" value="../../required"/>
        </ui:component>
    </webwork:elseIf>
    <webwork:elseIf test="long('fieldtype') == 5"> <%-- select box --%>
        <ui:select label="./string('name')" name="../../orderableField/id" value="/customFieldValuesHolder/customFieldValue(../../orderableField/customFieldId)" list="/customFieldOptions(.)" listKey="'string('value')'" listValue="'string('value')'">
            <ui:param name="'description'"><webwork:property value="./string('description')" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="../../required"/>
        </ui:select>
    </webwork:elseIf>
</webwork:property>