<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
	<webwork:if test="workStarted == true">
		<ui:component label="text('common.concepts.original.estimate')" name="'timeoriginalestimate'" template="textlabel.jsp">
            <ui:param name="'mandatory'" value="./mandatory"/>
		</ui:component>

		<ui:textfield label="text('common.concepts.remaining.estimate')" name="'timeestimate'" size="20">
			<ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="./mandatory"/>
		</ui:textfield>
	</webwork:if>
	<webwork:else>
		<ui:textfield label="text('common.concepts.original.estimate')" name="'timeoriginalestimate'" size="20">
			<ui:param name="'description'">
				<webwork:property value="../fieldDescription" escape="false"/>
			</ui:param>
            <ui:param name="'mandatory'" value="./mandatory"/>
		</ui:textfield>
	</webwork:else>
</webwork:if>