<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<webwork:if test="id == 'versions'" >
    <webwork:if test="possibleVersions/size > 0" >
        <ui:select label="text('issue.field.affectsversions')" name="id" template="selectmultiple.jsp"
            list="possibleVersionsReleasedFirst" listKey="'key'" listValue="'value'">
            <ui:param name="'size'" value="'5'" />
            <ui:param name="'headerrow'" value="text('common.words.unknown')" />
            <ui:param name="'headervalue'" value="'-1'" />
            <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="./mandatory"/>
        </ui:select>
    </webwork:if>
    <webwork:else>
        <tr>
            <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.affectsversions'"/>:</td>
            <td bgcolor=ffffff valign=top>
            <webwork:text name="'common.words.unknown'"/>
            </td>
        </tr>
    </webwork:else>

    <webwork:if test="/archivedVersionsThatAreSelected('IssueVersion')/size > 0">
        <webwork:component template="textlabel.jsp" label="text('issue.field.archived.affectsversions')">
            <webwork:param name="'texthtml'">
                <%-- Print out versions, add comma's between them (but not last one) --%>
                <webwork:property value="/archivedVersionsThatAreSelected('IssueVersion')">
                    <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                        <jsp:param name="navfield" value="version" />
                    </jsp:include>
                </webwork:property>
            </webwork:param>
        </webwork:component>
    </webwork:if>
</webwork:if>


<webwork:if test="id == 'fixVersions' && /hasIssuePermission('resolve', issue) == true">
    <webwork:if test="possibleVersions/size > 0" >
    <ui:select label="text('issue.field.fixversions')" name="id" template="selectmultiple.jsp"
        list="possibleVersions" listKey="'key'" listValue="'value'">
        <ui:param name="'size'" value="'5'" />
        <ui:param name="'headerrow'" value="text('common.words.unknown')" />
        <ui:param name="'headervalue'" value="'-1'" />
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="./mandatory"/>
    </ui:select>
    </webwork:if>
    <webwork:else>
    <tr>
        <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.fixversions'"/>:</td>
        <td bgcolor=ffffff valign=top>
        <webwork:text name="'common.words.unknown'"/>
        </td>
    </tr>
    </webwork:else>

    <webwork:if test="/archivedVersionsThatAreSelected('IssueFixVersion')/size > 0">
        <webwork:component template="textlabel.jsp" label="text('issue.field.archived.fixversions')">
        <webwork:param name="'texthtml'">
            <%-- Print out versions, add comma's between them (but not last one) --%>
            <webwork:property value="/archivedVersionsThatAreSelected('IssueFixVersion')">
                    <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                        <jsp:param name="navfield" value="fixfor" />
                    </jsp:include>
            </webwork:property>
        </webwork:param>
        </webwork:component>
    </webwork:if>
</webwork:if>