<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
&nbsp;

<p>
    <h2 class="formtitle"><webwork:text name="'issue.columns.reorder.columns'"/></h2>
    <webwork:text name="'issue.columns.reorder.instructions.first.line'"/><br>
    <webwork:text name="'issue.columns.reorder.instructions.second.line'">
        <webwork:param name="'value0'"><img src="<%= request.getContextPath()%>/images/icons/prev.gif" height=16 width=16 border=0></webwork:param>
        <webwork:param name="'value1'"><img src="<%= request.getContextPath()%>/images/icons/next.gif" height=16 width=16 border=0></webwork:param>
        <webwork:param name="'value2'"><img src="<%= request.getContextPath()%>/images/icons/trash_16.gif" height=16 width=16 border=0></webwork:param>
    </webwork:text>
</p>

    <table id="searchresult_table" border="0" cellpadding="3" cellspacing="1" width="100%">
        <webwork:component template="issuetable.jsp" name="'sampleIssues'">
                <webwork:param name="'columns'" value="columns"/>
                <webwork:param name="'nolink'" value="'true'"/>
                <webwork:param name="'emptytext'">
                    <p><webwork:text name="'issue.columns.no.issues'"/></p>
                </webwork:param>
                <webwork:param name="'showpagers'" value="'false'"/>
                <webwork:param name="'sortingenabled'" value="'false'"/>
                <webwork:param name="'rowalternate'" value="'false'"/>
                <webwork:param name="'highlight'" value="fieldId"/>
                <webwork:param name="'showdescription'" value="true"/>
                <webwork:param name="'controlrow'">
                <%-- Loop around the columns and draw operation links/buttons--%>
                <webwork:iterator value="columns" status="'columnStatus'">
                    <td align="center" width="1%" nowrap<webwork:if test="/fieldId == ./navigableField/id"> class="rowAlternateDark"</webwork:if>>
                        <webwork:if test="@columnStatus/first == false">
                            <a href="<webwork:url value="/actionLocation('/secure/')">
                                <webwork:param name="'operation'" value="'3'"/>
                                <webwork:param name="'fieldPosition'" value="@columnStatus/index"/>
                                <webwork:if test="/filterId != null">
                                    <webwork:param name="'filterId'" value="/filterId"/>
                                </webwork:if>
                            </webwork:url>">
                            <img border="0" src="<webwork:url page="/images/icons/prev.gif"/>" width="16" height="16" title="<webwork:text name="'issue.columns.reorder.moveleft'"><webwork:param name="'value0'"><webwork:text name="navigableField/nameKey"/></webwork:param></webwork:text>"></a>
                        </webwork:if>
                        <a href="<webwork:url value="/actionLocation('/secure/')">
                            <webwork:param name="'operation'" value="'2'"/>
                            <webwork:param name="'fieldPosition'" value="@columnStatus/index"/>
                            <webwork:if test="/filterId != null">
                                <webwork:param name="'filterId'" value="/filterId"/>
                            </webwork:if>
                        </webwork:url>">
                        <img border="0" src="<webwork:url page="/images/icons/trash_16.gif"/>" width="16" height="16" title="<webwork:text name="'issue.columns.reorder.hidecolumn'"><webwork:param name="'value0'"><webwork:text name="navigableField/nameKey"/></webwork:param></webwork:text>"></a>
                        <webwork:if test="@columnStatus/last == false">
                            <a href="<webwork:url value="/actionLocation('/secure/')">
                                <webwork:param name="'operation'" value="'4'"/>
                                <webwork:param name="'fieldPosition'" value="@columnStatus/index"/>
                                <webwork:if test="/filterId != null">
                                    <webwork:param name="'filterId'" value="/filterId"/>
                                </webwork:if>
                            </webwork:url>">
                            <img border="0" src="<webwork:url page="/images/icons/next.gif"/>" width="16" height="16" title="<webwork:text name="'issue.columns.reorder.moveright'"><webwork:param name="'value0'"><webwork:text name="navigableField/nameKey"/></webwork:param></webwork:text>"></a>
                        </webwork:if>
                    </td>
                </webwork:iterator>
            </webwork:param>
        </webwork:component>
    </table>
</p>