<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<table width="100%" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width="100%">
	<tr><td bgcolor=f0f0f0 valign=top>
            <b>Field Layout Schemes</b><br>
            <webwork:if test="/hasProjectAdminPermission == true && /fieldLayoutSchemes != null && /fieldLayoutSchemes/empty == false">
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <b><a id="manage_field_layout_scheme" href="ManageFieldLayoutSchemes.jspa?pid=<webwork:property value="long('id')" />">Manage</a></b> scheme associations
            </webwork:if>
    </td></tr>
    <webwork:if test="/fieldLayoutSchemes == null || /fieldLayoutSchemes/empty == true">
        <tr><td bgcolor=ffffff valign=top>
            There are no non-system defined field layout schemes. The system default field layout scheme will be used.
        </td></tr>
    </webwork:if>
    <webwork:else>
        <!-- Summary of layout associations -->
        <tr><td bgcolor="#ffffff" width="1%">
            <table width="100%" bgcolor="ffffff" border="0" cellpadding="0" cellspacing="2">
                <tr><td><i>Project Default</i></td>
                    <td>
                    <webwork:property value="/fieldLayoutScheme(null)">
                        <webwork:if test=". == null" >
                            <i><span class="grey">System Default</span></i>
                        </webwork:if>
                        <webwork:else>
                            <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="Field Layout Scheme" STYLE="float:left; padding-right:3; align">
                            <a href="<webwork:url page="/secure/admin/EditFieldLayout!default.jspa"><webwork:param name="'schemeId'" value="./string('id')"/></webwork:url>"><b><webwork:property value="./string('name')"/></b></a>
                        </webwork:else>
                    </webwork:property>
                    </td>
                </tr>
                <!-- Standard Issue Type Associations -->
                <webwork:iterator value="/standardIssueTypes">
                    <jsp:include page="/includes/fieldlayoutschemes/fieldlayoutassociation.jsp" />
                </webwork:iterator>
                <!-- Display subtask issue types if are enabled -->
                <webwork:if test="subTaskEnabled == true">
                    <!-- SubTask Issue Type Associations -->
                    <webwork:iterator value="/subTaskIssueTypes">
                        <jsp:include page="/includes/fieldlayoutschemes/fieldlayoutassociation.jsp" />
                    </webwork:iterator>
                </webwork:if>
        </table>
    </webwork:else>
    </table>
</td></tr></table>