<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<page:applyDecorator name="jiraform">
    <page:param name="title">Add Version</page:param>
    <page:param name="action">AddVersion.jspa?pid=<webwork:property value="project/long('id')" /></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="submitName">Add</page:param>
    <page:param name="description">Add a new version to the project <b><webwork:property value="/projectManager/project(pid)/string('name')"/></b>.
    </page:param>

        <ui:textfield label="'Version Name'" name="'name'" size="'40'">
            <ui:param name="'mandatory'" value="true" />
        </ui:textfield>

        <ui:textfield label="'Description'" name="'description'" size="'60'">
        </ui:textfield>

        <ui:component label="'Release Date'" name="'releaseDate'" template="datepicker2.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'style'">width: 20%;</ui:param>
        </ui:component>

        <webwork:if test="/versionManager/versions(/project) != null && /versionManager/versions(/project)/empty == false">
            <ui:select name="'scheduleAfterVersion'" list="/versionManager/versions(/project)"
                    label="'Schedule Position'" listKey="'id'" listValue="'name'" >
                <ui:param name="'style'">width: 20%;</ui:param>
                <ui:param name="'headerrow'" value="'-- First --'" />
                <ui:param name="'headervalue'" value="-1" />
                <ui:param name="'description'">The new version will be added after the selected version.<br>Select 'First' to add version to start of list.</ui:param>
                <webwork:if test="scheduleAfterVersion == null">
                    <ui:param name="'selectedValue'"><webwork:property value="/lastVersion/id"/></ui:param>
                </webwork:if>
            </ui:select>
        </webwork:if>

        <ui:component name="'scheduleAfterVersion'" template="hidden.jsp"/>
</page:applyDecorator>

