
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Profile: <webwork:property value="editedUser/fullName" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Edit Profile: <webwork:property value="editedUser/fullName" /></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">Update the user's details below.</page:param>
	<page:param name="action">EditUser.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewUser.jspa?name=<webwork:url value="editedUser/name" /></page:param>

	<ui:textfield label="'Full Name'" name="'fullName'" size="40" />
	<ui:textfield label="'Email'" name="'email'"  size="40"/>
	<ui:component name="'editName'" template="hidden.jsp"  theme="'single'" />
</page:applyDecorator>

</body>
</html>
