<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit User Groups</title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">EditUserGroups.jspa</page:param>
    <page:param name="title">Edit User Groups</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        This page lets you edit group memberships for a user.
    </page:param>
    <tr>
        <td bgcolor=ffffff colspan=2 align=center>
            <b><a id="return_link" href="<webwork:url page="ViewUser.jspa"><webwork:param name="'name'" value="name"/></webwork:url>">&lt;&lt; Return to viewing user '<webwork:property value="user/fullName" />'</a></b>
        </td>
    </tr>
    <tr>
        <td bgcolor=fffff0 align=center>
            <b>Available Groups</b>
        </td>

        <td bgcolor=fffff0 align=center>
            <b>Groups</b>
        </td>
    </tr>
    <tr>
        <td bgcolor=ffffff align=center valign=top>
            <webwork:if test="nonMemberGroups != null && nonMemberGroups/size > 0">
                <input name="join" type="submit" value="Join &gt;&gt;"><br>
                <select name="groupsToJoin" multiple size="<webwork:property value="nonMemberGroups/size" />">
                    <webwork:iterator value="nonMemberGroups">
                        <option value="<webwork:property value="." />"><webwork:property value="." /></option>
                    </webwork:iterator>
                </select>
            </webwork:if>
            <webwork:else>
                User is a member of all groups.
            </webwork:else>
        </td>
        <td bgcolor=ffffff align=center valign=top>
            <webwork:if test="memberGroups != null && memberGroups/size > 0">
                <input name="leave" type="submit" value="&lt;&lt; Leave"><br>
                <select name="groupsToLeave" multiple size="<webwork:property value="memberGroups/size" />">
                    <webwork:iterator value="memberGroups">
                        <option value="<webwork:property value="." />"><webwork:property value="." /></option>
                    </webwork:iterator>
                </select>
            </webwork:if>
            <webwork:else>
                User isn't a member of any groups.
            </webwork:else>
        </td>
    </tr>

    <ui:component name="'name'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>
</body>
</html>