<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<webwork:if test="user != null">
<webwork:property value="user">
<html>
<head>
	<title>User: <webwork:property value="fullName" /></title>
</head>

<body>
<%@ include file="/includes/errormessages.jsp" %>
</webwork:property>
<page:applyDecorator name="jirapanel">
    <page:param name="title">User: <webwork:property value="user/fullName" /></page:param>
    <page:param name="width">100%</page:param>
    <webwork:property value="user">

    <p>
    <b>User Name:</b> <webwork:property value="name" /><br>
    <b>Email:</b> <a href="mailto:<webwork:property value="email" />"><webwork:property value="email" /></a><br>
    &nbsp;<br>
    <b>Groups:</b><br>
        <webwork:iterator value="user/groups">
        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:property value="." /><br>
        </webwork:iterator>
    </webwork:property>
</page:applyDecorator>

<webwork:property value="user">
<p align=center>
	<b>
    <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="name"/></webwork:url>">View Public Profile</a>

    <% if (!ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_OPTION_USER_EXTERNALMGT)) { %>
    | <a id="editgroups_link" href="<webwork:url page="EditUserGroups!default.jspa"><webwork:param name="'name'" value="name" /></webwork:url>">Edit Groups</a>
    | <a href="<webwork:url page="EditUser!default.jspa"><webwork:param name="'editName'" value="name" /></webwork:url>">Edit Details</a>
    <webwork:if test="applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
    | <a href="<webwork:url page="SetPassword!default.jspa"><webwork:param name="'name'" value="name" /></webwork:url>">Set Password</a>
    </webwork:if>
    | <a id="deleteuser_link" href="<webwork:url page="DeleteUser!default.jspa"><webwork:param name="'name'" value="name" /></webwork:url>">Delete User</a>
    <%  }   %>
    </b>
</p>

</body>
</html>

</webwork:property>
</webwork:if>
<webwork:else>
<html>
<head>
	<title>User: none</title>
</head>

<body>
<p>
The user <b><webwork:property value="name" /></b> does not exist. Please try another.
</p>
</body>
</html>
</webwork:else>

