<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from Bugzilla</title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">BugzillaImport.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Next >></page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title">Import Data from Bugzilla</page:param>
    <page:param name="helpURL">bugzilla</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <b>Step 1 of 3:</b> Enter Bugzilla database connection details.
    </page:param>

    <ui:textfield label="'Bugzilla Database URL'" name="'url'" size="60">
    </ui:textfield>

    <ui:textfield label="'Database Login Name'" name="'username'" size="60">
    </ui:textfield>

    <ui:textfield label="'Database Login Password'" name="'password'" size="60">
    </ui:textfield>

    <ui:textfield label="'Driver Name'" name="'driverName'" size="60">
    </ui:textfield>

</page:applyDecorator>

</body>
</html>