<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from Bugzilla - log watcher</title>
    <meta http-equiv="Refresh" content="1200">
    <meta http-equiv="Pragma" content="no-cache">
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">Refresh</page:param>
    <page:param name="title">Bugzilla Import Progress</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
      This window lets you see the progress of the Bugzilla import.
      <form><input type="button" onClick="window.location.reload(true);" value="refresh"></form>
    </page:param>
    <ui:textarea label="'Log'" name="'importLog'" cols="80" rows="30">
        <ui:param name="'readonly'" value="true"/>
        <ui:param name="'description'">Log of the events for the import.</ui:param>
    </ui:textarea>
    
</page:applyDecorator>

</body>
</html>