
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Custom Field Options</title>
</head>
<script language="JavaScript">
<!--
function loadUri(optionId)
{
    window.location = '<webwork:property value="./selectedParentOptionUrlPreifx" escape="false" />' + optionId;
    return true;
}
//-->
</script>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Edit Custom Field Options</page:param>
    <page:param name="width">100%</page:param>

    <p>
    Reorder the option list below or add a new option for field <strong><webwork:property value="/customField/name" /></strong>
        <webwork:if test="/selectedParentOption">
            with parent option <strong><webwork:property value="/selectedParentOption/value" /></strong>
        </webwork:if>
<br>
    <font color="#CC0000">Note:</font> You cannot delete the default value option, if you wish to remove the default option please edit the default value(s) <a href="EditCustomFieldDefaults!default.jspa?id=<webwork:property value="id"/>">here</a>.
    <br>&nbsp;&nbsp;HTML may be entered in option values. Be sure to 'escape' literal &lt;'s with &amp;lt; and &gt;'s with &amp;gt;<br>
    <br><img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <b><a id="add_custom_fields" href="<%= request.getContextPath() %>/secure/admin/ViewCustomFields.jspa">View all Custom Fields</a></b>

<webwork:if test="/cascadingSelect == true">
<p>
    Choose parent list to edit:
    <select name="<webwork:property value="./customFieldHelper/id" />" onchange="return loadUri(this.value);">
        <option value="">Edit parent select list</option>
        <webwork:iterator value="./customFieldHelper/options" status="'rowStatus'">
            <option value="<webwork:property value="./optionId" />" <webwork:if test="./optionId == /selectedParentOptionId">selected</webwork:if>>
                <webwork:property value="./value" />
            </option>
        </webwork:iterator>
    </select>
</p>
<%--    <ui:select label="'Choose parent list to edit'" name="'./customFieldHelper/id'" list="./customFieldHelper/options"
        listKey="'./optionId'" listValue="'./value'" value="/selectedParentOptionId" onchange="'return loadUri(this.value);'" >
        <ui:param name="'headerrow'" value="'Edit base select list'" />
        <ui:param name="'headervalue'" value="''" />
    </ui:select>
--%>
</webwork:if>


    </p>

<p>

<webwork:if test="/displayOptions && /displayOptions/empty == false">

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Option</b>
            </td>
            <td class="colHeaderLink" width=1%>
                <b>Order</b>
            </td>
            <td class="colHeaderLink" width=1%>
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="/displayOptions" status="'status'">
        <tr <webwork:if test="@status/odd == true">bgcolor="#ffffff"</webwork:if>
            <webwork:else>bgcolor="#fffff0"</webwork:else> >
            <td valign=top>
            <webwork:if test="/cascadingSelect == true && !/selectedParentOptionId">
                <a title="Edit children options for <webwork:property value="./value" />" style="text-decoration: none;" href="<webwork:property value="/selectedParentOptionUrlPreifx" escape="false" /><webwork:property value="./optionId" />">
            </webwork:if>
                <b><webwork:property value="./value" /></b>
                <span class="smallgrey"><webwork:if test="/defaultValue(./optionId/toString()) == true">(default)</webwork:if></span>
            <webwork:if test="/cascadingSelect == true && !/selectedParentOptionId"></a>&nbsp;</webwork:if>
            </td>
            <td valign=top align=center>
                <webwork:if test="@status/first != true"><a href="<webwork:property value="/doActionUrl(.,'moveUp')" escape="false" />"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move this issue type up"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
                <webwork:if test="@status/last != true"><a href="<webwork:property value="/doActionUrl(.,'moveDown')" escape="false" />"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move this issue type down"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
            </td>
            <td valign=top nowrap>
            <webwork:if test="/cascadingSelect == true && !/selectedParentOptionId">
                <a title="Edit children options for <webwork:property value="./value" />" href="<webwork:property value="/selectedParentOptionUrlPreifx" escape="false" /><webwork:property value="./optionId" />">Edit</a>&nbsp;
            </webwork:if>
            <webwork:if test="/defaultValue(./optionId/toString()) != true">
                <a id="del_<webwork:property value="./value"/>" href="<webwork:property value="/doActionUrl(.,'remove')" escape="false" />">Del</a>
            </webwork:if>
            <webwork:else>&nbsp;</webwork:else>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td>
    </tr>
    </table>
</webwork:if>
<webwork:else>
    <p style="padding: 10px 0;">There are currently no options available for this select list</p>
</webwork:else>


    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditCustomFieldOptions!add.jspa</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="title">Add New Custom Field Option</page:param>
	    <page:param name="buttons">&nbsp;<input type="button" value="Done" onclick="location.href='ViewCustomFields.jspa'">&nbsp;</page:param>

        <ui:textfield label="'Add Value'" name="'addValue'" />
        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'selectedParentOptionId'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'addSelectValue'" value="true" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>
    </p>
</page:applyDecorator>

</body>
</html>