
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<%@ include file="/includes/logout-common.jsp" %>

<html>
<head>
	<title>Import Project Data</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Import JIRA data</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">
	<font color=990000>Note</font>: The import process can take a few minutes, please be patient.
	</page:param>

	<tr>
	<td bgcolor=ffffff colspan=2>
		<p>
		Your project has been successfully imported.
		</p>

        <p>
        You have been logged out as a result of this import. Any automatic login has also been stopped.
	    </p>

		<p>
		<a id="login" href="<%= request.getContextPath() %>/secure/">Log in again</a>.
		</p>
	</td>
	</tr>
 </page:applyDecorator>

</body>
</html>