<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title>Configure CSV Importer</title></head>
<body>
<style type="text/css">
<!--
.fieldLabelArea
{
    width: 30%;
}

.projectInput
{
    width: 18em;
}
-->
</style>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="title">CSV Import Wizard: Miscellaneous</page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        You'll be asked for any extra information that is required below
	</page:param>

    <ui:textfield label="'E-mail suffix for new users'" name="'user.email.suffix'" value="/bean/value('user.email.suffix')" >
        <ui:param name="'description'">An e-mail suffix for newly created users (e.g. @atlassian.com)</ui:param>
    </ui:textfield>

    <webwork:if test="/bean/dateFields/size > 0">
    <ui:textfield label="'Date format in import file'" name="'date.import.format'" value="/bean/value('date.import.format')" >
		<ui:param name="'description'">Please specify the format that dates in the import file are in (e.g. dd/MM/yyyy). <br />Please use syntax valid for <a href="http://java.sun.com/j2se/1.3/docs/api/java/text/SimpleDateFormat.html" title="Sun Java API" target="_new">SimpleDateFormat</a> (link will open new window).</ui:param>
    </ui:textfield>
    </webwork:if>
</page:applyDecorator>

</body>
</html>