
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Configure CSV Importer</title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping!start.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="submitName">Start CSV Import Wizard</page:param>
    <page:param name="autoSelectFirst">true</page:param>
    <page:param name="title">CSV Import Wizard: Setup</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="instructions">
        The <strong>CSV Import Wizard</strong> helps to write an import configuration file required by JIRA for CSV import. Enter the location of your CSV file and optionally the location of an existing configuration file you wish to edit.  
        
<%--         There are five steps in the wizard.
        <ol>
        	<li>Project Configuration</li>
        	<li>Issue Field Mappings</li>
        	<li>Value Mappings</li>
        	<li>Miscellaneous</li>
        	<li>Save Configuration File</li>
        </ol>
 --%>	
    </page:param>

    <ui:textfield label="'CSV Import file location'" name="'importFileLocation'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">Location of your CSV import file on the server</ui:param>
		<ui:param name="'mandatory'">true</ui:param>
	</ui:textfield>

    <ui:textfield label="'Existing configuration file'" name="'configFileLocation'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">The location of an existing configuration file to edit. Leave blank for a fresh import configuration.</ui:param>
	</ui:textfield>

</page:applyDecorator>


</body>
</html>