<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from CSV file</title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">CsvImport!default.jspa</page:param>
    <page:param name="submitName">Import another file</page:param>
    <page:param name="title">Import Data from CSV file</page:param>
    <tr>
    <td colspan="2">

    <webwork:if test="importer/aborted == true">
    <div class="informationBox">
        <div class="error">CSV import cancelled by user</div>
        All objects already imported have been retained. Data may be in an inconsistent state.
    </div>
    </webwork:if>
    <webwork:elseIf test="importer/stats/failures > 0">
    <div class="informationBox" style="border-color: #c00; background-color: #fcc;">
        <div class="error">CSV import completed with errors</div>
        The importer has completed with some errors. You can find the errors in the logs below by
        searching for lines which begin with FAILED. It is likely that the import was not correctly
        configured.
    </div>
    </webwork:elseIf>
    <webwork:else>
    <div class="informationBox">
        <div class="success">CSV import successfully completed</div>
        The importer has completed successfully without any errors.
    </div>
    </webwork:else>
    <%@include file="../importlogs.jsp" %>
    </td>
    </tr>
</page:applyDecorator>

</body>
</html>