<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title>Configure CSV Importer</title></head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="title">CSV Import Wizard: Save Configuration File</page:param>
    <page:param name="wizard">true</page:param>
    <page:param name="finishButton">Save configuration file</page:param>
	<page:param name="instructions">
        You have now finished your configuration file! You may now save it in a location on
        the server or copy and paste from the area below.
	</page:param>
	<page:param name="buttons">
        <input id="saveImportButton"  type="submit" name="submitBtn" value="Import without saving" accesskey="I" />
	</page:param>

    <ui:textfield label="'Configuration file location'" name="'configFileLocation'" value="/bean/configFileLocation" >
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">Enter the location to save your configuration file to</ui:param>
	</ui:textfield>

    <ui:component name="'importFileLocation'" value="/bean/importFileLocation" template="hidden.jsp" theme="'single'"  />


</page:applyDecorator>

<pre class="codearea">
<h4>Preview of configuration file</h4>
<webwork:property value="/bean/configFileText" />
</pre>

</body>
</html>