<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<webwork:property value="importer" >

<table class="grid" style="width: 80%; margin: 10px auto;">
    <tr>
        <th>Statistic</th>
        <th>Data</th>
    </tr>
    <tr>
        <td>Elapsed time</td>
        <td><webwork:property value="./stats/formattedTime" /></td>
    </tr>
    <webwork:property value="./stats/failures" >
    <tr <webwork:if test=". > 0">class="red-highlight"</webwork:if>>
        <td>Failures</td>
        <td><webwork:property value="." /></td>
    </tr>
    </webwork:property>
    <tr>
        <td>Users imported</td>
        <td><webwork:property value="./stats/usersImported" /></td>
    </tr>
    <tr>
        <td>Projects imported</td>
        <td><webwork:property value="./stats/projectsImported" /></td>
    </tr>
    <tr>
        <td>Versions imported</td>
        <td><webwork:property value="./stats/versionsImported" /></td>
    </tr>
    <tr>
        <td>Components imported</td>
        <td><webwork:property value="./stats/componentsImported" /></td>
    </tr>
    <tr>
        <td>Issues imported</td>
        <td><webwork:property value="./stats/issuesImported" /></td>
    </tr>
    <tr>
        <td>New custom fields created</td>
        <td><webwork:property value="./stats/customfieldsImported" /></td>
    </tr>
<%--    <tr>--%>
<%--        <td>New issue types</td>--%>
<%--        <td><webwork:property value="./stats/issuetypesImported" /></td>--%>
<%--    </tr>--%>
<%--    <tr>--%>
<%--        <td>New resolutions</td>--%>
<%--        <td><webwork:property value="./stats/resolutionsImported" /></td>--%>
<%--    </tr>--%>
<%--    <tr>--%>
<%--        <td>New priorities</td>--%>
<%--        <td><webwork:property value="./stats/prioritiesImported" /></td>--%>
<%--    </tr>--%>
</table>

<pre class="codearea">
<h4>Import logs</h4>
<textarea readonly="readonly" id="importLogs" name="importLogs">
<webwork:property value="./log/importLog" />
</textarea>
</pre>

<script language="JavaScript" type="text/javascript">
<!--
try
{
    function scrollDown()
    {
        var importLogs = document.getElementById("importLogs");
        if (importLogs.scrollHeight)
            importLogs.scrollTop = importLogs.scrollHeight;
    }

    setTimeout('scrollDown();', 1);
}
catch (e)
{
    // do nothing;
}
//-->
</script>

</webwork:property>


