<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit Field Layout Item</title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditFieldLayoutSchemeItem.jspa</page:param>
        <page:param name="submitName">Update</page:param>
    	<page:param name="cancelURI">EditFieldLayout.jspa?schemeId=<webwork:property value="/schemeId"/></page:param>
        <page:param name="title">Edit Field Description: <webwork:text name="/fieldNameKey"/></page:param>
        <page:param name="description">
            <p>The description appears below the field when issues are created or edited.</p>
            <p>Update the description for the field '<webwork:text name="/fieldNameKey"/>'</p>
        </page:param>
        <page:param name="width">100%</page:param>

        <ui:textarea rows="3" cols="60" label="'Description'" name="'description'"/>
    	<ui:component name="'position'" template="hidden.jsp" />
    	<ui:component name="'schemeId'" template="hidden.jsp" />
    </page:applyDecorator>
</body>
</html>