<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title>Send Test Email</title>
</head>
<body>
<table width=100% cellpadding=10 cellspacing=0 border=0>
<tr>
<td>
    <page:applyDecorator id="first" name="jiraform">
        <page:param name="action">SendTestMail.jspa</page:param>
        <page:param name="cancelURI">ViewMailServers.jspa?</page:param>
        <page:param name="submitName">Send</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="title">Send Email</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">You can send a test email here.</page:param>

        <ui:textfield label="'To'" name="'to'" size="60"></ui:textfield>

        <ui:textfield label="'Subject'" name="'subject'" size="60"></ui:textfield>

        <ui:select label="'Message Type'" name="'messageType'" list="mimeTypes" listKey="'key'" listValue="'value'"></ui:select>

        <ui:textarea label="'Message'" name="'message'" cols="70" rows="8" ></ui:textarea>
    </page:applyDecorator>

    <page:applyDecorator name="jiraform">
        <page:param name="width">100%</page:param>
        <page:param name="title">Mail log</page:param>
        <page:param name="description"> </page:param>

        <ui:textarea label="'Log'" name="'log'" cols="80" rows="15" readonly="true" >
            <ui:param name="'description'">Log of the events for sending mail.</ui:param>
        </ui:textarea>
    </page:applyDecorator>
</td>
</tr>
</table>
</body>
</html>