
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add POP Mail Server</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">UpdatePopMailServer.jspa</page:param>
        <page:param name="submitName"> <webwork:text name="'common.forms.update'"/> </page:param>
    	<page:param name="cancelURI">ViewMailServers.jspa</page:param>
        <page:param name="title">Update POP Mail Server</page:param>
        <page:param name="description">Use this page to update a POP server for JIRA to retrieve mail from.</page:param>
        <page:param name="width">100%</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'">
            <ui:param name="'description'">The name of this server within JIRA.</ui:param>
        </ui:textfield>

        <ui:textfield label="'Description'" name="'description'" size="'60'" />

        <ui:textfield label="'Host Name'" name="'serverName'">
            <ui:param name="'description'">The host name of your POP server.</ui:param>
        </ui:textfield>

        <ui:textfield label="'Username'" name="'username'">
            <ui:param name="'description'">The username used to authenticate your POP account.</ui:param>
        </ui:textfield>

        <ui:password label="'Password'" name="'password'">
            <ui:param name="'description'">The password for your POP account.</ui:param>
        </ui:password>

    	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'type'" template="hidden.jsp" theme="'single'" />
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
