<%@ page import="webwork.action.CoreActionContext"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Map JIRA keys to projects</title>
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">MantisRun.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Import</page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title">Select keys for imported projects</page:param>
    <page:param name="helpURL">mantis</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        <b>Step 3 of 3:</b> Select keys for imported projects
    </page:param>
<table width=100% cellpadding=0 cellspacing=0>

    <webwork:iterator value="selectedProjects" status="'stat'">
        <% request.setAttribute("mantisProjectKey", "project_"+CoreActionContext.getValueStack().findValue(".")); %>
        <% request.setAttribute("mantisProjectLead", "lead_"+CoreActionContext.getValueStack().findValue(".")); %>
        <% request.setAttribute("mantisProjectName", "name_"+CoreActionContext.getValueStack().findValue(".")); %>
       <tr bgcolor="ffffff"><td colspan=2>&nbsp;</td></tr>
<%--       <tr bgcolor="dddddd"><td align=right><b><webwork:property /></b></td><td></td></tr>--%>
       <tr bgcolor="fffff0">

        <ui:textfield label="'Project'" name="@mantisProjectName" value="." size="'10'"/>
        <ui:textfield label="'Key'" name="@mantisProjectKey" value="/selectedProjectKeys[.]" size="'10'"/>

        <ui:component label="'Lead Developer'" name="@mantisProjectLead" value="remoteUser" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'size'">50</ui:param>
            <ui:param name="'userMode'" value="'2'"/>
            <ui:param name="'description'" value="'The username of the lead developer.'"/>
            <ui:param name="'mandatory'" value="true" />
        </ui:component>

        <ui:component name="'selectedProjects'" value="." template="hidden.jsp" />

    </webwork:iterator>
        <ui:component name="'attachmentPath'" value="attachmentPath" template="hidden.jsp" />
        <ui:component name="'mantisURL'" value="mantisURL" template="hidden.jsp" />
        <ui:component name="'addToDevelopersGroup'" value="addToDevelopersGroup" template="hidden.jsp" />
        <ui:component name="'reuseExistingUsers'" value="reuseExistingUsers" template="hidden.jsp" />
        <ui:component name="'reindex'" value="reindex" template="hidden.jsp" />
    </table>
</page:applyDecorator>
<script language="JavaScript">
function openMonitor() {
  win = window.open('MantisImport!monitor.jspa?decorator=none', 'Mantis Log Monitor', 'status=no,resizable=yes,top=100,left=200,width=650,height=600,scrollbars=yes');
  win.focus();
  return false;
}
</script>
<a href="MantisImport!monitor.jspa?decorator=none" onClick="return openMonitor()">watch logs in a separate window</a>
</body>
</html>