<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit Notifications</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Edit Notifications &mdash; <webwork:property value="scheme/string('name')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <p>
    On this page you can edit the notifications for the "<webwork:property value="scheme/string('name')"/>" notification scheme.
    </p>

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="AddNotification!default.jspa"><webwork:param name="'schemeId'" value="scheme/string('id')"/></webwork:url>"><b>Add</b></a> notification for User/Group
    </p>

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="ViewNotificationSchemes.jspa"><b>View</b></a> all notification schemes.
    </p>
</page:applyDecorator>
<p>
    <table align="center" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width="90%">
    <tr>
    <td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink"><b>Event</b></td>
            <td class="colHeaderLink"><b>Notifications</b></td>
            <td class="colHeaderLink" width=10%><b><webwork:text name="'common.words.operations'"/></b></td>
        </tr>

        <webwork:iterator value="events/keySet" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign="top"><b><webwork:property value="events/(.)"/></b></td>
            <td valign="top">
            <webwork:iterator value="notifications(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:property value="../../type(string('type'))/displayName" />
                <webwork:if test="string('parameter')">(<webwork:property value="string('parameter')"/>)</webwork:if>
                <font size="1">(<a href="<webwork:url page="DeleteNotification!default.jspa"><webwork:param name="'id'" value="long('id')"/><webwork:param name="'schemeId'" value="schemeId"/></webwork:url>">Del</a>)</font>
                <br>
            </webwork:iterator>
            </td>
            <td nowrap valign="top">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<webwork:url page="AddNotification!default.jspa"><webwork:param name="'schemeId'" value="../schemeId"/><webwork:param name="'eventids'" value="."/></webwork:url>">Add</a>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td>
    </tr>
    </table>
    </body>
</html>
