
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Notification Schemes</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Notification Schemes</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <p>
    The table below shows the notification schemes currently configured for this server
    </p>
</page:applyDecorator>

    <p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Projects</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="schemes" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><a href="EditNotifications!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:property value="string('name')"/></a></b><br>
                <webwork:property value="string('description')"/></td>
            <td valign=top nowrap>
            <webwork:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
            </webwork:iterator>
            </td>
            <td valign=top align=center nowrap>
                <a href="EditNotifications!default.jspa?schemeId=<webwork:property value="long('id')"/>">Notifications</a>
                |
                <a href="CopyNotificationScheme.jspa?schemeId=<webwork:property value="long('id')"/>" title="Create a copy of this scheme">Copy</a>
                |
                <a href="EditNotificationScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>">Edit</a>
                |
                <a href="DeleteNotificationScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>">Del</a>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="schemes/size == 0">
        <tr bgcolor=ffffff>
            <td colspan=3>You do not currently have any notification schemes configured.</td>
        </tr>
        </webwork:if>
    </table>
    </td></tr></table>

    <p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddNotificationScheme!default.jspa">Add Notification Scheme</a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </p>

</body>
</html>
