
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Permission Scheme</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeletePermissionScheme.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
    	<page:param name="cancelURI">ViewPermissionSchemes.jspa</page:param>
        <page:param name="title">Delete Permission Scheme</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
	    <page:param name="description">
        <input type="hidden" name="schemeId" value="<webwork:property value="schemeId" />">
        <input type="hidden" name="confirmed" value="true">
        <webwork:if test="errorMessages/size == 0" >
            <p>
            Are you sure you want to delete <u><webwork:property value="name" /></u>?<br>
            <webwork:if test="description" >
                "<webwork:property value="description" />"
            </webwork:if>
            </p>

            <webwork:if test="projects(scheme)/size > 0" >
                <p>Note: <webwork:property value="name" /> is currently associated with:
                <webwork:iterator value="projects(scheme)" status="'liststatus'">
                    <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />">
                <webwork:property value="string('name')" /></a><webwork:if test="@liststatus/last == false">, </webwork:if><webwork:else>.</webwork:else>
                </webwork:iterator><br> <br>
                If you delete this scheme all associated projects will be associated with the Default Permission Scheme</p>
            </webwork:if>
        </webwork:if>
        </page:param>
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
