
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Permissions</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Edit Permissions &mdash; <webwork:property value="scheme/string('name')"/></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">permissions</page:param>
    <page:param name="helpURLFragment">#Adding+Users/Groups+to+a+Permission</page:param>
    <p>
    On this page you can edit the permissions for the "<webwork:property value="scheme/string('name')"/>" permission scheme.
    </p>

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="AddPermission!default.jspa"><webwork:param name="'schemeId'" value="scheme/string('id')"/></webwork:url>"><b>Add</b></a> User/Group to permission
    </p>

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="ViewPermissionSchemes.jspa"><b>View</b></a> all permission schemes.
    </p>



</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Permission</b>
            </td>
            <td class="colHeaderLink">
                <b>Users / Groups</b>
            </td>
            <td class="colHeaderLink" width=10%>
                <b><webwork:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <webwork:iterator value="schemePermissions/keySet" status="'status'">

        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top><b><webwork:property value="schemePermissions/(.)"/></b> <br>
            <font size=1><webwork:property value="permissionDescription(.)" /></font>
            </td>
            <td valign=top>
            <webwork:iterator value="permissions(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:property value="../../type(string('type'))/displayName" />
                <webwork:if test="string('parameter')!= null">
                    (<webwork:property value="string('parameter')"/>)
                </webwork:if>
                <webwork:elseIf test="string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                </webwork:elseIf>
                <webwork:else>
                    (Anyone)
                </webwork:else>
                <font size=1>
                    (<a id="del_perm_<webwork:property value="./long('permission')"/>_<webwork:property value="./string('parameter')"/>" href="<webwork:url page="DeletePermission!default.jspa"><webwork:param name="'id'" value="long('id')"/><webwork:param name="'schemeId'" value="schemeId"/></webwork:url>">Del</a>)
                </font>
                <br>
            </webwork:iterator>
            </td>
            <td nowrap valign=top>
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <a id="add_perm_<webwork:property value="."/>" href="<webwork:url page="AddPermission!default.jspa"><webwork:param name="'schemeId'" value="../schemeId"/><webwork:param name="'permissions'" value="."/></webwork:url>">Add</a>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    </body>
</html>
