
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>View Project Categories</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">View Project Categories</page:param>
    <page:param name="width">100%</page:param>

    <p>
    The table below shows the project categories usable to categorise projects.
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <th>
                <b>Name</b>
            </td>
            <th>
                <b>Description</b>
            </td>
            <th>
                <b>Projects</b>
            </td>
            <th>
                <b>Operation</b>
            </td>
        </tr>

        <webwork:iterator value="/projectManager/projectCategories" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top><b><webwork:property value="string('name')"/></b></td>
            <td valign=top><webwork:property value="string('description')"/></td>
            <td valign=top>
            <webwork:iterator value="/projectManager/projectsFromProjectCategory(.)">
                <webwork:property value="string('name')" /><br>
            </webwork:iterator>

            </td>
            <td valign=top nowrap>
                <a href="EditProjectCategory!default.jspa?id=<webwork:property value="string('id')"/>">Edit</a>
                |
                <a id="del_<webwork:property value="string('name')"/>" href="DeleteProjectCategory!default.jspa?id=<webwork:property value="string('id')"/>">Del</a>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddProjectCategory.jspa</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="title">Add New Project Category</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'" />

        <ui:textfield label="'Description'" name="'description'" size="'60'" />
    </page:applyDecorator>
    </p>

</body>
</html>
