
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Delete Resolution: <webwork:property value="constant/string('name')" /></title>
</head>
<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Delete Resolution: <webwork:property value="constant/string('name')" /></page:param>
	<page:param name="description">
        <p>Confirm that you want to delete this resolution, and specify what is to be done with the issues currently attached to it.</p>
		<p>There are currently <b><webwork:property value="matchingIssues/size" /></b> matching issues, that must be changed to another resolution.</p>
	</page:param>

	<page:param name="autoSelectFirst">false</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="action">DeleteResolution.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewResolutions.jspa</page:param>

    <ui:select name="'newId'" label="'New resolution for matching issues'" list="newConstants"
        listKey="'string('id')'" listValue="'string('name')'" />
	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />

</page:applyDecorator>

</body>
</html>