<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Services</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Services</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">services</page:param>
</page:applyDecorator>

<p></p>

<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=95%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" width="30%">
			<b>Name / Class</b>
		</td>
		<td class="colHeaderLink" width="50%">
			<b>Properties</b>
		</td>
        <td class="colHeaderLink" width="15%">
			<b>Delay (mins)</b>
		</td>
		<td class="colHeaderLink" width="5%">
			&nbsp;
		</td>
	</tr>

	<webwork:iterator value="services" status="'status'">
    <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
		<td valign=top>
            <b><webwork:property value="string('name')"/></b><br>
    		<font size=1><webwork:property value="string('clazz')"/></font>
        </td>
		<td valign=top>
        <%-- get the property set for this service, and then get all the keys where the propertyset is of type String ('5') --%>
			<table cellpadding=2 cellspacing=0 border=0>
                <webwork:iterator value="/propertyMap(.)/keySet">
                    <tr><td><b><webwork:property value="." />:</b></td><td><webwork:property value="/propertyMap(..)/(.)" /></td></tr>
                </webwork:iterator>
			</table>
		</td>
        <td valign=top><webwork:property value="delayInMins(.)"/></td>
		<td valign=top>
			<a href="EditService!default.jspa?id=<webwork:property value="long('id')"/>">Edit</a><br>

            <webwork:if test="/serviceDeletable(.) == true">
            <a href="ViewServices.jspa?delete=<webwork:property value="long('id')"/>">Del</a>
            </webwork:if>
		</td>
	</tr>
	</webwork:iterator>
</table>
</td></tr></table>

<p>
<page:applyDecorator name="jiraform">
	<page:param name="action">ViewServices.jspa</page:param>
	<page:param name="submitName">Add Service</page:param>
	<page:param name="title">Add Service</page:param>
	<page:param name="width">100%</page:param>
    <page:param name="helpURL">services</page:param>
    <page:param name="helpURLFragment">#Registering+a+Service</page:param>
<%--	<page:param name="helpDescription">with Services</page:param>--%>
	<page:param name="description">Add a new service by entering a name and class below. You can then edit it to set properties.</page:param>

	<ui:textfield label="'Name'" name="'name'" size="'30'"/>
	<ui:textfield label="'Class'" name="'clazz'" size="'60'"/>
	<ui:textfield label="'Delay'" name="'delay'" size="'30'">
        <ui:param name="'description'">Delay between running time, in minutes.</ui:param>
    </ui:textfield>
</page:applyDecorator>
</p>

</body>
</html>
