<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title>Edit Sub-Task Issue Type</title>
</head>
<body>
    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditSubTaskIssueTypes.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI">ManageSubTasks.jspa</page:param>
        <page:param name="title">Edit Sub-Task Issue Type: <webwork:property value="/name" /></page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'" />

        <ui:textfield label="'Description'" name="'description'" size="'60'" />

        <ui:textfield label="'Icon URL'" name="'iconurl'" size="'60'">
            <ui:param name="'description'">(relative to the JIRA web application e.g /images/icons OR starting with http://)</ui:param>
        </ui:textfield>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'sequence'" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>
    </p>
</body>
</html>