<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Workflow Transition <webwork:property value="/workflowDescriptorName"/></title>
</head>

<body>
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/fieldenabler.jsp"></script>

    <page:applyDecorator name="jiraform">
        <page:param name="action"><webwork:property value="/actionName"/>.jspa</page:param>
        <page:param name="submitName">Add</page:param>
    	<page:param name="cancelURI"><webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url></page:param>
        <page:param name="title">Add Parameters To <webwork:property value="/workflowDescriptorName"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            Add required parameters to the <webwork:property value="/workflowDescriptorName"/>.
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" />
        <ui:component name="'workflowTransition'" value="transition/id" template="hidden.jsp" />
        <ui:component name="'pluginModuleKey'" template="hidden.jsp" />

        <webwork:property value="/descriptorHtml" escape="'false'" />
    </page:applyDecorator>

</body>
</html>
