<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Copy Workflow  - <webwork:property value="workflow/name" /></title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">CloneWorkflow.jspa</page:param>
    <page:param name="title">Copy Workflow: <webwork:property value="workflow/name" /></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="submitName">Copy</page:param>
    <page:param name="cancelURI">ListWorkflows.jspa</page:param>
    <page:param name="description">
    <p>
        Please enter a name and description for the new workflow.
    </p>
    </page:param>

    <ui:textfield label="'Workflow Name'" name="'newWorkflowName'" size="'30'">
        <ui:param name="'description'">Please use only ASCII characters.</ui:param>                    
    </ui:textfield>

    <ui:textfield label="'Description'" name="'description'" size="'60'">
        <ui:param name="'description'"></ui:param>
    </ui:textfield>

    <ui:component name="'workflowName'" value="/workflow/name" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>
</body>
</html>