
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Workflow Scheme</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeleteWorkflowScheme.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
    	<page:param name="cancelURI">ViewWorkflowSchemes.jspa</page:param>
        <page:param name="title">Delete Workflow Scheme</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
	    <page:param name="description">
        <input type="hidden" name="schemeId" value="<webwork:property value="schemeId" />">
        <input type="hidden" name="confirmed" value="true">
        <p>
        Are you sure you want to delete <u><webwork:property value="name" /></u>?<br>
        <webwork:if test="description" >
            "<webwork:property value="description" />"
        </webwork:if>
        </p>

        <webwork:if test="projects(scheme)/size > 0" >
            <p><font color=cc0000>WARNING: <webwork:property value="name" /> is currently associated with:
            <webwork:iterator value="projects(scheme)" status="'liststatus'">
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />">
                <webwork:property value="string('name')" /></a><webwork:if test="@liststatus/last == false">, </webwork:if><webwork:else>.</webwork:else>
            </webwork:iterator><br>
            You may wish to select another workflow scheme for these project/s.</font></p>
        </webwork:if>

        </page:param>
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
