<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Workflow</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeleteWorkflow.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
    	<page:param name="cancelURI">ListWorkflows.jspa</page:param>
        <page:param name="title">Delete Workflow</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <p>
                Confirm that you want to delete <b><webwork:property value="/workflowName" /></b> workfow.
            </p>
            <p>
                <span class="warning">WARNING</span>: This operation cannot be undone. If you wish to save this workflow, it is
		        recommended that you <a href="XmlBackup!default.jspa">do a full backup </a> or <a href="<webwork:url page="ViewWorkflowXml.jspa"><webwork:param name="'workflowName'" value="/workflowName" /></webwork:url>">export<a></a> this workflow to XML.
		    </p>
        </page:param>

        <ui:component name="'workflowName'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'confirmedDelete'" value="'true'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>