<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Workflow Step: <webwork:property value="step/name" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Delete Step: <webwork:property value="step/name" /></page:param>
	<page:param name="description">
		<p>Confirm that you want to delete this step and all of its outgoing transitions.</p>
	</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteWorkflowStep.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI"><webwork:property value="/cancelUrl" /></page:param>

	<ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" theme="'single'"  />
	<ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" theme="'single'"  />

    <ui:component name="'originatingUrl'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>

</body>
</html>