<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Workflow Transitions</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeleteWorkflowTransitions.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
    	<page:param name="cancelURI"><webwork:property value="/cancelUrl" /></page:param>
        <page:param name="title">Delete Workflow Transitions</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            Please select transitions to delete from the <b><webwork:property value="/step/name" /></b> step.
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" theme="'single'"  />

        <ui:select label="'Transitions'" name="'transitionIds'" list="/transitions" listKey="'id'" listValue="'name'" template="selectmultiple.jsp">
            <ui:param name="'size'">5</ui:param>
        </ui:select>

        <ui:component name="'originatingUrl'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>