<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Descriptor Xml</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Conditional Result XML</page:param>
    <page:param name="width">100%</page:param>
    <p>
    This shows the raw XML for Conditional Result from <b><webwork:property value="/step/name"/></b> to <b><webwork:property value="/destinationStepDescriptor/name"/></b>.

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /></webwork:url>"><b>View</b></a> transition.
    </p>
</page:applyDecorator>

<style>
.xml { font-size: 11px; background: #fffffc; border: 1px solid #bbb; padding: 4px; }
</style>
<pre class="xml"><webwork:property value="/resultXML" escape="true" /></pre>
</body>
</html>