<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<table class="gridBox" cellpadding="3" cellspacing="1" width="100%" align="center"><tr bgcolor="#ffffff"><td>

<webwork:if test="/descriptorTab == 'all' || /descriptorTab == 'conditions'">
    <webwork:if test="/descriptorTab == 'all'"><h3>Conditions</h3></webwork:if>
    <webwork:if test="workflow/editable == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="AddWorkflowTransitionCondition!default.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>Add</b></a> a new condition to restrict when this transition can be performed.
    </webwork:if>

    <webwork:if test="transition/restriction && transition/restriction/conditions">

    <p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">Description</td>
            <webwork:if test="workflow/editable == true"><td class="colHeaderLink">Operations</td></webwork:if>
        </tr>

        <webwork:iterator value="transition/restriction/conditions">
        <webwork:if test="conditions">
            <webwork:property id="conditionDescriptor" value="."/>
            <webwork:bean id="descriptorBean" name="'com.atlassian.jira.web.bean.WorkflowConditionFormatBean'">
                <webwork:param name="'conditionsDescriptor'" value="@conditionDescriptor"/>
                <webwork:param name="'delete'" value="workflow/editable" />
                <webwork:param name="'edit'" value="workflow/editable" />
                <webwork:param name="'deleteAction'">DeleteWorkflowTransitionCondition.jspa</webwork:param>
                <webwork:param name="'editAction'">EditWorkflowTransitionConditionParams!default.jspa</webwork:param>
                <webwork:param name="'pluginType'">workflow-condition</webwork:param>
            </webwork:bean>

            <%@ include file="/includes/admin/workflow/viewworkflowconditions.jsp" %>
        </webwork:if>
        <webwork:else>
        <tr bgcolor=ffffff>
            <td class="colHeaderLink">
                This transition is available to everybody.
            </td>
        </tr>
        </webwork:else>
        </webwork:iterator>

    </table>
    </td></tr></table>
    </p>
    </webwork:if>
    <webwork:else>
        <p>There are no conditions on this transition.</p>
    </webwork:else>
</webwork:if>

<jsp:include page="/secure/admin/views/workflow/workflow-validators.jsp" flush="false" />


<webwork:if test="/descriptorTab == 'all' || /descriptorTab == 'other'">

<jsp:include page="/secure/admin/views/workflow/workflow-conditionals.jsp" flush="false" />

<jsp:include page="/secure/admin/views/workflow/workflow-unconditionals.jsp" flush="false" />

<jsp:include page="/secure/admin/views/workflow/workflow-uncond-prefunctions.jsp" flush="false" />

<jsp:include page="/secure/admin/views/workflow/workflow-global-prefuncs.jsp" flush="false" />

<jsp:include page="/secure/admin/views/workflow/workflow-global-postfuncs.jsp" flush="false" />

</webwork:if>

<webwork:if test="/descriptorTab == 'all' || /descriptorTab == 'postfunctions'">
    <webwork:if test="/descriptorTab == 'all'"><h3>Post Functions</h3></webwork:if>

    <webwork:if test="transition/unconditionalResult">
        <webwork:if test="workflow/editable == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="AddWorkflowTransitionPostFunction!default.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>Add</b></a> a new post function to the unconditional result of the transition.
    </webwork:if>
    <p>
    <webwork:if test="transition/unconditionalResult/postFunctions/empty == false">
        <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=f0f0f0>
                <td class="colHeaderLink">Description</td>
                <webwork:if test="workflow/editable == true"><td class="colHeaderLink" colspan="2">Operations</td></webwork:if>
            </tr>

        <webwork:bean id="descriptorBean" name="'com.atlassian.jira.web.bean.WorkflowDescriptorFormatBean'">
            <webwork:param name="'descriptorCollection'" value="transition/unconditionalResult/postFunctions"/>
            <webwork:param name="'delete'" value="workflow/editable" />
            <webwork:param name="'edit'" value="workflow/editable" />
            <webwork:param name="'deleteAction'">DeleteWorkflowTransitionPostFunction.jspa</webwork:param>
            <webwork:param name="'editAction'">EditWorkflowTransitionPostFunctionParams!default.jspa</webwork:param>
            <webwork:param name="'pluginType'">workflow-function</webwork:param>
            <webwork:param name="'orderable'" value="workflow/editable" />
        </webwork:bean>

        <%@ include file="/includes/admin/workflow/viewworkflowdescriptors.jsp" %>

        </table>
        </td></tr></table>
    </webwork:if>
    <webwork:else>
        There are no post functions for this transition.
    </webwork:else>
    </p>
    </webwork:if>
</webwork:if>

</td></tr></table>