<%@ page import="com.atlassian.jira.web.SessionKeys,
                 com.atlassian.jira.user.UserHistory,
                 java.util.Iterator,
                 com.opensymphony.util.TextUtils,
                 com.atlassian.core.util.StringUtils,
                 com.atlassian.jira.security.PermissionManager,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.project.ProjectManager,
                 java.util.Collection,
                 java.util.ArrayList,
                 org.ofbiz.core.entity.GenericValue,
                 com.atlassian.jira.security.Permissions,
                 com.opensymphony.user.User,
                 com.atlassian.seraph.auth.DefaultAuthenticator"%>
<%@ taglib uri="webwork" prefix="webwork" %>

<%-- if you change something here - make sure you also change it in issuepicker.jsp --%>
<html>
<head><title><webwork:text name="'popups.savedfilters.title'"/></title></head>
<hr>
<script language="JavaScript" type="text/javascript">
<!--
// Provide hover and click effect to entire table rows.
// Usage:
// <table class="grid">
//   <tr href="somelink.jsp" onmouseover="rowHover(this)">
//   ...

function rowHover(row)
{
    row.oldClassName = row.className;
    row.className = 'rowHover';
    row.onmouseout = function()
    {
        this.className = this.oldClassName;
    }
}
	//-->

</script>
<body>
<webwork:text name="'popups.savedfilters.choose'">
    <webwork:param name="'value0'"><a href="#" onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/ManageFilters.jspa'; window.close();"></webwork:param>
    <webwork:param name="'value1'"></a></webwork:param>
</webwork:text><p>
<%
    // TODO: Reuse ProjectActionSupport.getSavedFilters() (JT)
    User u = (User)request.getSession().getAttribute(DefaultAuthenticator.LOGGED_IN_KEY);
    Collection savedFilters = ManagerFactory.getSearchRequestManager().getVisibleRequests(u);

    String name;
    Long requestId;

            if (savedFilters == null || savedFilters.isEmpty())
            {
%>

<p><webwork:text name="'popups.savedfilters.nosavedfilters'"/></p>
<%
    }
    else
    {
%>
<table width="100%">
    <tr>
        <th nowrap><webwork:text name="'popups.savedfilters.filtername'"/></th>
        <th nowrap><webwork:text name="'popups.savedfilters.filterdesc'"/></th>
    </tr>
<%
        for (Iterator i = savedFilters.iterator(); i.hasNext();)
        {
            GenericValue gv = (GenericValue) i.next();
            name = gv.getString("name");
            String description = TextUtils.noNull(gv.getString("description"));
            if ("null".equals(description))
                description = "";

            requestId = gv.getLong("id");
%>
    <tr onmouseover="rowHover(this)" onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<%= requestId %>'; window.close();" >
    <td width="1%" onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<%= requestId %>'; window.close();" nowrap><a href="#" title="<%= TextUtils.plainTextToHtml(name) %>" onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<%= requestId %>'; window.close();"><%= name%></a> &nbsp;</td>
    <td onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<%= requestId %>'; window.close();"><a href="#" title="<%= TextUtils.plainTextToHtml(name) %>" onClick="javascript:window.opener.location='<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<%= requestId %>'; window.close();"><%= description%></a> &nbsp;</td></tr>

<%
        }
    }
%>
</table>
</body>
</html>