<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit Version: <webwork:property value="existingEntity/string('name')" /></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title">Edit Component: <webwork:property value="existingEntity/string('name')" /></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">EditComponent.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:url value="pid" /></page:param>

	<ui:textfield label="'Name'" name="'name'" size="40" value="editedEntity/string('name')" />
    <webwork:if test="enterprise == true">
        <ui:component label="'Component Lead'" name="'componentLead'" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'size'">20</ui:param>
            <ui:param name="'description'" value="'(Enter the username of the component lead.)'"/>
        </ui:component>
    </webwork:if>
	<ui:component name="'id'" template="hidden.jsp" />
    <ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>
</body>
</html>