
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Merge Versions</title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Merge Versions</page:param>
	<page:param name="description">
		<p>Confirm that you want to merge the versions below?</p>
		<p><font color=cc0000>WARNING: You cannot un-merge these versions once they have merged.</font></p>
	</page:param>
    <page:param name="autoSelectFirst">false</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">Merge.jspa</page:param>
	<page:param name="submitName">Merge</page:param>
	<page:param name="cancelURI">ManageVersions.jspa?pid=<webwork:property value="pid" /></page:param>

	<tr>
		<td bgcolor=fffff0 align=center>
			<b>Merging From Versions</b>
		</td>

		<td bgcolor=fffff0 align=center>
			<b>Merge To Version</b>
		</td>
	</tr>

    <tr>
        <td bgcolor=fffff0 align=center>
            <webwork:iterator value="versionsToMerge">
                <li><webwork:property value="name" />
            </webwork:iterator>
        </td>
        <td bgcolor=fffff0 align=center>
            <li><webwork:property value="versionMergeTo/name" />
        </td>
    </tr>

    <webwork:iterator value="idsToMerge">
        <ui:component name="'idsToMerge'" value="." template="hidden.jsp" />
    </webwork:iterator>

    <ui:component name="'idMergeTo'" template="hidden.jsp" />
	<ui:component name="'pid'" template="hidden.jsp" />

	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>