<%@ page import="java.util.*"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 3 - Bulk Operation: Operation Details -->

<html>
<head>
	<title><webwork:text name="'bulkedit.title'"/></title>
</head>
<body>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>
<%--Added the script tags around fieldenabler due to the print out of the file --%>
<script language="JavaScript"><%@ include file="/includes/js/fieldenabler.jsp" %></script>
<%--<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/fieldenabler.jsp"></script>--%>
<script language="javascript">
    function check(id)
    {
        eval("document.jiraform." + id + ".checked = true");
    }
</script>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="ffffff">
<tr>
    <td width=200 valign=top bgcolor=f0f0f0>
        <jsp:include page="/secure/views/bulkedit/leftpane.jsp" flush="false" />
    </td>
    <td valign=top>
        <table cellspacing=0 cellpadding=10 border=0 width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><webwork:text name="'bulkedit.title'"/>: <webwork:text name="'bulkedit.step3.title'"/></page:param>
                <page:param name="description">
                    <webwork:text name="'bulkedit.step3'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                        <!-- check for EDIT_ISSUE permissions and show an appropriate error message if user does not have this permission -->
                        <webwork:if test="hasAvailableActions == false">
                            <webwork:if test="/bulkEditBean/multipleProjects == true">
                                <webwork:text name="'bulkedit.step2.note.noactions.multiple'">
                                    <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                    <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/projectIds/size"/></b></webwork:param>
                                </webwork:text>
                            </webwork:if>
                            <webwork:else>
                                <webwork:text name="'bulkedit.step2.note.noactions.single'">
                                    <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                    <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/project/string('name')"/></b></webwork:param>
                                </webwork:text>
                            </webwork:else>
                        </webwork:if>
                        <webwork:else>
                            <webwork:text name="'bulkedit.step2.desc'">
                                <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                            </webwork:text><br>
                        </webwork:else>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>
            <p>
            <form name="jiraform" action="BulkEditDetailsValidation.jspa" method="POST">
            <%@include file="bulkchooseaction_submit_buttons.jsp"%>
            <p>
            <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr><td>
                <table border="0" cellpadding="3" cellspacing="1" width="100%">
                <webwork:iterator value="/editActions">
                    <webwork:if test="name == 'fixVersions'">
                        <tr>
                        <webwork:if test="available == true">
                            <td align="center" valign="top" bgcolor="fffff0" width="1%"><input type="checkbox" id="cbFixfor" name="actions" value="fixVersions" <webwork:if test="/checked('fixVersions') == true">checked</webwork:if>></input></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:text name="'bulkedit.actions.fixversions'"/>:</td>
                            <ui:select label="''" theme="'single'" name="'fixVersions'" template="selectmultiple.jsp"
                                list="possibleVersions(/bulkEditBean/project)" listKey="'key'" listValue="'value'">
                                <ui:param name="'size'" value="'3'" />
                                <ui:param name="'nolabel'" value="'true'" />
                                <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                                <ui:param name="'headervalue'" value="'-1'" />
                                <ui:param name="'onchange'" value="'check('cbFixfor')'" />
                                <ui:param name="'description'"><webwork:property value="applicationProperties/string('jira.issue.desc.fixfor')" escape="false" /></ui:param>
                            </ui:select>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.fixversions'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                    <webwork:if test="name == 'affectsVersions'">
                        <tr>
                        <webwork:if test="available == true">
                            <td align="center" valign="top" bgcolor="fffff0" width="1%"><input type="checkbox" id="cbAffectsVersions" name="actions" value="affectsVersions" <webwork:if test="/checked('affectsVersions') == true">checked</webwork:if>></input></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:text name="'bulkedit.actions.affectsversions'"/>:</td>
                            <ui:select label="''" theme="'single'" name="'versions'" template="selectmultiple.jsp"
                                list="possibleVersions(/bulkEditBean/project)" listKey="'key'" listValue="'value'">
                                <ui:param name="'size'" value="'3'" />
                                <ui:param name="'nolabel'" value="'true'" />
                                <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                                <ui:param name="'headervalue'" value="'-1'" />
                                <ui:param name="'onchange'" value="'check('cbAffectsVersions')'" />
                            </ui:select>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.affectsversions'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                    <webwork:if test="name == 'components'">
                        <tr>
                        <webwork:if test="available == true">
                            <webwork:property value="/projectManager/components(/bulkEditBean/project)">
                            <td align="center" valign="top" bgcolor="fffff0"><input type="checkbox" id="cbComponent" name="actions" value="components" <webwork:if test="/checked('components') == true">checked</webwork:if>></input></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:text name="'bulkedit.actions.components'"/>:</td>

                            <webwork:if test="./size > 0" >
                                <ui:select label="''" theme="'single'" name="'components'" template="selectmultiple.jsp"
                                    list="." listKey="'long('id')'" listValue="'string('name')'">
                                    <ui:param name="'size'" value="'3'" />
                                    <ui:param name="'nolabel'" value="'true'" />
                                    <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                                    <ui:param name="'headervalue'" value="'-1'" />
                                    <ui:param name="'onchange'" value="'check('cbComponent')'" />
                                </ui:select>
                            </webwork:if>
                            </webwork:property>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.components'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                    <webwork:if test="name == 'assignee'">
                        <tr>
                        <webwork:if test="available == true">
                            <td align="center" valign="top" bgcolor="fffff0"><input type="checkbox" id="cbAssignee" name="actions" value="assignee" <webwork:if test="/checked('assignee') == true">checked</webwork:if>></input></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:text name="'bulkedit.actions.assignee'"/>:</td>
                            <ui:select label="''" name="'assignee'" theme="'single'"
                                   list="assignableUsers(/bulkEditBean/project, null)" listKey="'key'" listValue="'value'">
                                <ui:param name="'onchange'" value="'check('cbAssignee')'" />
                            </ui:select>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.assignee'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                    <webwork:if test="name == 'priority'">
                        <tr>
                        <webwork:if test="available == true">
                            <td align="center" valign="top" bgcolor="fffff0"><input type="checkbox" id="cbPriority" name="actions" value="priority" <webwork:if test="/checked('priority') == true">checked</webwork:if>></input></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:text name="'bulkedit.actions.priority'"/>:</td>
                            <ui:select label="''" name="'priority'" theme="'single'"
                                list="/constantsManager/priorities" listKey="'string('id')'" listValue="'string('name')'">
                                <ui:param name="'onchange'" value="'check('cbPriority')'"/>
                            </ui:select>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.priority'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                    <webwork:if test="name == 'customfields'">
                        <!-- display custom fields -->
                        <tr>
                        <webwork:if test="available == true">
                        <webwork:iterator value="customFields" status="'status'">
                            <webwork:if test="@status/first == false"><tr></webwork:if>
                            <td align="center" valign="top" bgcolor="fffff0"><input type="checkbox" id="cf_<webwork:property value="id"/>" name="actions" value="<webwork:property value="id"/>" <webwork:if test="/checked(id) == true">checked</webwork:if>></td>
                            <td align="left" valign="top" bgcolor="fffff0"><webwork:property value="name"/>:</td>
                            <webwork:property value="/customFieldHtml(.)" escape="false" />
                            </tr>
                        </webwork:iterator>
                        </webwork:if>
                        <webwork:else>
                            <td valign="top" bgcolor="f0f0f0" align="center"><webwork:text name="'bulkedit.constants.na'"/></td>
                            <td align="left" valign="top" bgcolor="f0f0f0"><webwork:text name="'bulkedit.actions.customfields'"/>:</td>
                            <td bgcolor="f0f0f0" align="left">
                                 <webwork:text name="unavailableMessage">
                                    <webwork:param name="'value0'"><font color="bb0000"></webwork:param>
                                    <webwork:param name="'value1'"></font></webwork:param>
                                </webwork:text>
                            </td>
                        </webwork:else>
                        </tr>
                    </webwork:if>
                </webwork:iterator>

                </table>
                </td></tr>
                </table>
                <br>
                <%@include file="bulkchooseaction_submit_buttons.jsp"%>
                </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>