<%@ taglib uri="webwork" prefix="webwork" %>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
<webwork:if test="applicationProperties/option('jira.option.issuelinking') == true">
    <webwork:iterator value="linkCollection/linkTypes">
    <tr>
        <td colspan=3 bgcolor=f0f0f0>
        <b><webwork:property value="./name" /></b><br>
        </td>
    </tr>
    <tr>
        <td bgcolor=ffffff valign=top width=50%>
            <webwork:property value="/linkCollection/outwardIssues(./name)">
            <webwork:if test=". != null">
                <table cellpadding=0 cellspacing=0 border=0>
                <tr><td colspan=2 valign=top>
                    This issue <i><webwork:property value="../outward" /></i>:
                </td></tr>
                    <webwork:iterator status="'outItStatus'">
                    <tr>
                    <td width=1%><webwork:if test="@outItStatus/last == true"><img src="<%= request.getContextPath() %>/images/icons/link_out_bot.gif" width=16 height=16></webwork:if>
                        <webwork:elseIf test="@outItStatus/first == true"><img src="<%= request.getContextPath() %>/images/icons/link_out_top.gif" width=16 height=16></webwork:elseIf>
                        <webwork:else><img src="<%= request.getContextPath() %>/images/icons/link_out_mid.gif" width=16 height=16></webwork:else></td>
                    <%@ include file="/includes/snippets/issuelinksmall.jsp"  %>
                    <%-- pad out the cell as 'delete' is a link not a simple image --%>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td width="1%"><a href="ManageLinks.jspa?id=<webwork:property value="/id" />&destId=<webwork:property value="long('id')" />&linkType=<webwork:url value="../id" />"><img src="<%= request.getContextPath() %>/images/icons/trash_16.gif" border=0 alt="Delete Link" width=16 height=16 title="Delete Link"></a></td>
                    </tr>
                    </webwork:iterator>
                </table>
            </webwork:if>
            <webwork:else>&nbsp;</webwork:else>
            </webwork:property>
        </td>
        <td bgcolor=ffffff valign=top width=50%>
            <webwork:property value="/linkCollection/inwardIssues(./name)">
            <webwork:if test=". != null">
                <table cellpadding=0 cellspacing=0 width=100%>
                <tr><td colspan=3 valign=top>This issue <i><webwork:property value="../inward" /></i>:</td></tr>
                <webwork:iterator status="'inItStatus'">
                    <tr>
                    <td width=1%><webwork:if test="@inItStatus/last == true && @inItStatus/first == true"><img src="<%= request.getContextPath() %>/images/icons/link_in_only.gif" width=16 height=16></webwork:if>
                        <webwork:elseIf test="@inItStatus/last == true"><img src="<%= request.getContextPath() %>/images/icons/link_in_bot.gif" width=16 height=16></webwork:elseIf>
                        <webwork:elseIf test="@inItStatus/first == true"><img src="<%= request.getContextPath() %>/images/icons/link_in_top.gif" width=16 height=16></webwork:elseIf>
                        <webwork:else><img src="<%= request.getContextPath() %>/images/icons/link_in_mid.gif" width=16 height=16></webwork:else></td>
                    <jsp:include page="/includes/snippets/issuelinksmall.jsp" />
                    <%-- pad out the cell as 'delete' is a link not a simple image --%>
                    <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  </td>
                    <td width=1%><a href="ManageLinks.jspa?id=<webwork:property value="/id" />&sourceId=<webwork:property value="long('id')" />&linkType=<webwork:url value="../id" />"><img src="<%= request.getContextPath() %>/images/icons/trash_16.gif" border=0 alt="Delete Link" width=16 height=16 title="Delete Link"></a></td>
                    </tr>
                </webwork:iterator>
                </table>
            </webwork:if>
            <webwork:else>&nbsp;</webwork:else>
            </webwork:property>
        </td>
    </tr>
    </webwork:iterator>
</webwork:if>
</table>
