<%@ page import="java.util.Date, com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 webwork.action.CoreActionContext,
                 com.atlassian.core.util.WebRequestUtils,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:action name="'util.UserAction'" id="user" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
    <meta name="decorator" content="printable">
<title><webwork:if test="searchRequest/name">[<webwork:property value="searchRequest/name"/>] </webwork:if><webwork:text name="'navigator.title'"/></title>

</head>
<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);
%>
<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
  <style type="text/css">
    div.hr
    {
      height: 15px;
      padding: 10px 0px;
      background: #fff url(<%=request.getContextPath()%>/images/icons/hr.gif) no-repeat scroll center;
    }
    div.hr hr
    {
      display: none;
    }
  </style>
<table cellspacing=0 cellpadding=10 border=0 width="100%" bgcolor=ffffff><tr><td>
<webwork:if test="currentPage != null">
    <webwork:iterator value="currentPage">
    <% // This seems to work only in Opera, and crash Mozilla. So print it only for Opera 
       if (WebRequestUtils.getBrowser(request) == WebRequestUtils.OPERA)
       {
    %>
        <p style="page-break-before: always;">
    <% } %>

    <table cellpadding=1 cellspacing=0 border=0 bgcolor=bbbbbb width="100%" align="center"><tr><td>
    <table cellpadding=4 cellspacing=0 border=0 width="100%" bgcolor=ffffff>

    <tr>
        <td bgcolor=f0f0f0 width="100%" colspan=2 valign=top>
            <h3 class="formtitle">[<webwork:property value="string('key')" />] &nbsp; <a href="<%= request.getContextPath()%>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('summary')" /></a></h3>&nbsp;
            <br>
            <font size=1>
            <webwork:text name="'issue.field.created'"/>: <font color=336699>
            <% try { %> <webwork:property value="/outlookDate/formatDMY(timestamp('created'))" /> <% } catch (Exception e) {
                // Circumventing Resin 2.1.9+ bug
                out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('created')")));
            } %>
 </font> &nbsp;<webwork:text name="'issue.field.updated'"/>: <font color=336699>
             <% try { %><webwork:property value="/outlookDate/formatDMY(timestamp('updated'))" /><% } catch (Exception e) {
                 // Circumventing Resin 2.1.9+ bug
                 out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('updated')")));
             } %>
 </font>

            <webwork:property value="./long('project')">
                <webwork:if test="../string('duedate') && @fieldVisibility/fieldHidden(., 'duedate', {../string('type')}) == false">
                    &nbsp;<webwork:text name="'issue.field.due'"/>: <font color=336699><webwork:property value="/outlookDate/formatDMY(../timestamp('duedate'))" /></font>
                </webwork:if>
            </webwork:property>
            </font>
        </td>
    </tr>
    <tr bgcolor=ffffff>
        <td width=20%><b><webwork:text name="'issue.field.project'"/>:</b></td>
        <td width=80%><a href="BrowseProject.jspa?id=<webwork:property value="/projectManager/project(long('project'))/long('id')" />"><webwork:property value="/projectManager/project(long('project'))/string('name')" /></a></td>
    </tr>
    <webwork:property value="./long('project')">
        <webwork:if test="@fieldVisibility/fieldHidden(., 'components', {../string('type')}) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.components'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueComponent', ..)">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="component" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'versions', {../string('type')}) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.affectsversions'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueVersion', ..)">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="version" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'fixVersions', {../string('type')}) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.fixversions'"/>:</b></td>
                <td>
                    <webwork:property value="/issueManager/entitiesByIssue('IssueFixVersion', ..)">
                         <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="fixfor" />
                        </jsp:include>
                    </webwork:property>
                </td>
            </tr>
        </webwork:if>

    <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_PROFESIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <webwork:if test="../long('security') != null && @fieldVisibility/fieldHidden(., 'security', {../string('type')}) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.securitylevel'"/>:</b></td>
                <td>
                    <webwork:property value="@issueBean/securityLevel(..)">
                        <webwork:property value="./string('name')"/>
<webwork:if test="./string('description') != null && ./string('description') != ''"><font size=1> (<webwork:property value="./string('description')" escape="false" />)</font></webwork:if>
                    </webwork:property>
                </td>
           </tr>
        </webwork:if>
    <% } %>


    </webwork:property>
    </table>
    </td></tr></table>

    <br>

    <jsp:include page="/includes/panels/issue_extraproperties.jsp" />

    <jsp:include page="/includes/panels/issue_descriptiontable.jsp" />

    <webwork:bean name="'com.atlassian.core.util.FileSize'" id="sizeFormatter" />

	<p>

	<table cellpadding=4 cellspacing=1 border=0 width="100%" bgcolor=bbbbbb>

        <%-- List attachements --%>
        <jsp:include page="/includes/navigator-full/attachments.jsp" />

		<%-- List Linked Issues --%>
        <jsp:include page="/includes/navigator-full/linking.jsp" />

        <%-- List custom fields --%>
        <jsp:include page="/includes/navigator-full/customfields.jsp" />

    </table>

    <jsp:include page="/includes/panels/issue_comments.jsp" />

    <div class="hr"><hr /></div>    
    </p>
</webwork:iterator></webwork:if>
</tr></td></table>

<table width="100%" cellpadding=5 cellspacing=0 border=0>
<tr>
    <td bgcolor=dddddd><font size=1>
        Generated at <%= new Date () %> <webwork:if test="remoteUser != null">by <webwork:property value="remoteUser/fullName" /></webwork:if> using JIRA <%= BuildUtils.getCurrentBuildNumber() %>.
    </font></td>
</tr>

</table>
</body>
</html>