<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:if test="parameters['showbulkcheckboxes'] != null && parameters['showbulkcheckboxes'] == true">
    <td class="colHeaderLink" width="1%" nowrap>
        <input type="checkbox" name="all" onClick="setCheckboxes()">
    </td>
</webwork:if>
<webwork:iterator value="parameters['columns']">
    <webwork:property value="navigableField">
        <webwork:if test="(parameters['sortingenabled'] == null || parameters['sortingenabled'] == true) && ./sortable == true">
            <webwork:if test="/firstSorter/field == ./id">
                <webwork:if test="firstSorter/order == 'ASC'">
                <td class="colHeaderOver" width="1%" nowrap onClick="window.document.location='<webwork:url><webwork:param name="'sorter/field'" value="./id"/><webwork:param name="'sorter/order'" value="'DESC'"/></webwork:url>'">
                    <span title="<webwork:text name="'navigator.sort.by'"/> <webwork:text name="./columnHeadingKey" />"><b><webwork:text name="./columnHeadingKey" /></b></span>
                    <img src="<%= request.getContextPath() %>/images/icons/up.gif" height=14 width=11 align=absmiddle title="<webwork:text name="'navigator.ascending.order'"/>" border=0 />
                </td>
                </webwork:if>
                <webwork:else>
                <td class="colHeaderOver" width="1%" nowrap onClick="window.document.location='<webwork:url><webwork:param name="'sorter/field'" value="./id"/><webwork:param name="'sorter/order'" value="'ASC'"/></webwork:url>'">
                    <span title="<webwork:text name="'navigator.sort.by'"/> <webwork:text name="./columnHeadingKey" />"><b><webwork:text name="./columnHeadingKey" /></b></span>
                    <img src="<%= request.getContextPath() %>/images/icons/down.gif" height=14 width=11 align=absmiddle title="<webwork:text name="'navigator.descending.order'"/>" border=0 />
                </td>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <td class="colHeaderLink" width="1%" onMouseOver="this.className='colHeaderOver'" onMouseOut="this.className='colHeaderLink'" nowrap
                    onClick="window.document.location='<webwork:url><webwork:param name="'sorter/field'" value="./id"/><webwork:param name="'sorter/order'" value="./defaultSortOrder"/></webwork:url>'">
                    <span title="<webwork:text name="'navigator.sort.by'"/> <webwork:text name="./columnHeadingKey" />"><b><webwork:text name="./columnHeadingKey" /></b></span>
                </td>
            </webwork:else>
        </webwork:if>
        <webwork:else>
            <td <webwork:if test="parameters['highlight'] != null && parameters['highlight'] == ./id"> class="colHeaderHighlight"</webwork:if><webwork:else> class="colHeaderLink"</webwork:else> width="1%" valign="top" nowrap>
                <b><webwork:text name="./columnHeadingKey" /></b>
                <webwork:if test="parameters['showdescription'] != null && parameters['showdescription'] == true && ./description && ./description != ''">
                <br><font size="1">(<webwork:property value="./description" />)</font>
                </webwork:if>
            </td>
        </webwork:else>
    </webwork:property>
</webwork:iterator>