<%@ page import="org.ofbiz.core.entity.GenericValue,
                 org.ofbiz.core.entity.GenericEntityException,
                 org.ofbiz.core.entity.EntityUtil,
                 com.atlassian.core.ofbiz.CoreFactory,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.bean.SessionBean,
                 webwork.action.ActionContext"%><%!

    private GenericValue findMovedIssue(final String origKey) throws GenericEntityException
   {
        String key = origKey.toUpperCase();
        GenericValue changeItem = EntityUtil.getFirst(CoreFactory.getGenericDelegator().findByLike("ChangeItem", UtilMisc.toMap("field", "Bugzilla Import Key", "oldstring", key), UtilMisc.toList("group desc")));
        if (changeItem == null) return null;
        GenericValue changeGroup = changeItem.getRelatedOne("ParentChangeGroup");
        if (changeGroup == null) return null;
        return changeGroup.getRelatedOne("ParentIssue");
    }
%><%
    String idParam = request.getParameter("id");
    if (idParam == null)
    {
        out.println("Please specify an id parameter");
    }
    else
    {
        GenericValue issue = findMovedIssue(idParam);
        if (issue != null)
        {
            response.sendRedirect(request.getContextPath()+"/secure/ViewIssue.jspa?key="+issue.getString("key"));
        }
        else
        {
            String bugzillaUrl = request.getParameter("bugzilla_url") + "/show_bug.cgi?id=";
            response.sendRedirect(bugzillaUrl + idParam);
        }
    }
%>