<%@ page import="com.opensymphony.util.TextUtils" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>

<%--
PARAMETERS: (all are optional)
title			- a title for this form (HTML)
notable		    - if this is specified, JIRA form will not output a border table (HTML)
width		    - the width of the border table (HTML)
helpURL		    - the URL of a help link related to this panel
--%>
<decorator:usePage id="p" />

<% if (!p.isPropertySet("notable")) { %>
<table cellpadding=1 cellspacing=0 border=0 bgcolor=bbbbbb width="<%= (p.isPropertySet("width") ? p.getProperty("width") : "95%" )%>" align="center">
<tr><td>
<table cellpadding=4 cellspacing=0 border=0 width="100%" bgcolor=666666>
<% } %>

<% if (p.isPropertySet("title") && TextUtils.stringSet(p.getProperty("title"))) { %>
<tr>
    <td bgcolor=f0f0f0>
        <%@ include file="/includes/decorators/helplink.jsp" %>

    <h3 class="formtitle"><decorator:getProperty property="title" /></h3></td>
</tr>
<% } %>
<% if (p.isPropertySet("description")) { %>
<tr>
    <td bgcolor=f0f0f0>

<decorator:getProperty property="description" /></td>
</tr>
<% } %>

<%-- error messages --%>
<webwork:if test="hasErrorMessages == 'true'">
    <tr>
    <td bgcolor=ffcccc>
        <font color=cc0000><b><webwork:text name="'panel.errors'"/></b>:</font>
        <webwork:iterator value="errorMessages">
        <li><webwork:property /></li>
        </webwork:iterator>
    </td>
    </tr>
</webwork:if>

    <tr>
    <td bgcolor=ffffff>
        <decorator:body />
    </td>
    </tr>

<% if (!p.isPropertySet("notable")) { %>
</table>
</td></tr>
</table>
<% } %>