<%@ page import="com.atlassian.jira.config.properties.APKeys,
				 com.atlassian.jira.config.properties.ApplicationProperties,
				 java.util.Iterator,
				 java.util.Enumeration,
                 com.atlassian.jira.ManagerFactory"%>
<%-- a printable decorator --%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>

<%-- get the decorator page object, for use within the decorator --%>
<decorator:usePage id="decoratorPage" />
<%
    ApplicationProperties headerAP = ManagerFactory.getApplicationProperties();
    String linkColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = headerAP.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);

%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><%= headerAP.getDefaultBackedString(APKeys.JIRA_TITLE) %> - <decorator:title default="New Generation Issue Tracking" /></title>

    <link rel="stylesheet" type="text/css" media="print" href="<%= request.getContextPath() %>/styles/global_printable.css">
    <style type="text/css" media="screen">@import "<%= request.getContextPath() %>/styles/global_printable.css";</style>
</head>

<body bgcolor="ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">

	<table border=0 cellpadding=2 cellspacing=0 width=100% bgcolor=ffffff>
	<tr><td><h3 class="formtitle"> &nbsp; <decorator:title /></h3></td></tr>
	<tr><td> &nbsp; <b><a href="#" onClick="javascript:history.go(-1); ">&lt;&lt; <webwork:text name="'common.concepts.back.to.previous.view'"/></a></b></td></tr>
	<tr><td bgcolor="003366"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=1></td></tr>
	<tr><td>
			<decorator:body />
	</td></tr>
	</table>

</body>
</html>
