<td>
    <webwork:property id="descriptorInfo" value="@descriptorBean/formatDescriptor(.)"/>

    <%-- Test if we have a plugin module that generated a description --%>
    <webwork:if test="@descriptorInfo/description != null">
        <webwork:property value="@descriptorInfo/description" escape="false"/>
    </webwork:if>
    <webwork:else>
        <b>Type</b>: <webwork:property value="./type"/><br>
        <webwork:if test="./type == 'class' && args">
            <webwork:if test="args/('class.name')">
                <b>Class</b>: <webwork:property value="./args/('class.name')"/><br>
            </webwork:if>
            <%-- Test if we have any other arguments than 'class.name' --%>
            <webwork:if test="@descriptorBean/hasRelevantArgs(args) == true">
            <b>Arguments</b>:<br>
            <webwork:iterator value="./args">
                    <webwork:if test="./key != 'class.name'">
                        <webwork:property value="./key"/> = <webwork:property value="./value"/><br>
                    </webwork:if>
            </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:else>
</td>

<webwork:if test="@descriptorBean/orderable == true">
    <td width=1% valign=top align=center nowrap>
    <webwork:if test="@descriptorInfo/orderable == true">
        <webwork:if test="@status/first != true"><a href="<webwork:url value="'MoveWorkflowFunctionUp.jspa'"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /><webwork:param name="'up'" value="@status/index" /></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move up" align="absmiddle"></a></webwork:if>
        <webwork:else><img src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14 align="absmiddle"></webwork:else>
        <webwork:if test="@status/last != true"><a href="<webwork:url value="'MoveWorkflowFunctionDown.jspa'"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /><webwork:param name="'down'" value="@status/index" /></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move down" align="absmiddle"></a></webwork:if>
        <webwork:else><img src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14 align="absmiddle"></webwork:else>
    </webwork:if>
    <webwork:else>
        &nbsp;
    </webwork:else>
    </td>
</webwork:if>

<webwork:if test="@descriptorBean/delete == true && workflow/editable == true">
    <td width=1% valign=top nowrap>
        <webwork:if test="@descriptorInfo/deletable == true">
            <a href="<webwork:url value="@descriptorBean/deleteAction"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /><webwork:param name="'count'" value="@status/count" /></webwork:url>">Del</a>

            <%-- check if the descriptor is editable as well as deletable--%>
            <webwork:if test="@descriptorInfo/editable == true">
                | <a href="<webwork:url value="@descriptorBean/editAction"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /><webwork:param name="'count'" value="@status/count" /></webwork:url>">Edit</a>
            </webwork:if>
        </webwork:if>
        <%-- check if the descriptor is editable --%>
        <webwork:elseIf test="@descriptorInfo/editable == true">
            <a href="<webwork:url value="@descriptorBean/editAction"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /><webwork:param name="'count'" value="@status/count" /></webwork:url>">Edit</a>
        </webwork:elseIf>
        <webwork:else>&nbsp;</webwork:else>
    </td>
</webwork:if>