<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Assign Issues</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="description">
		Here you can assign issues to another developer.
	</page:param>
	<page:param name="action">BulkAssignIssue.jspa</page:param>
	<page:param name="cancelURI">BulkEdit.jspa<webwork:property value="ids" escape="false"/></page:param>
	<page:param name="submitName">Assign</page:param>

    <webwork:if test="/multipleProjects == true" >
        <tr><td bgcolor="ffcccc" colspan=2><b>Note:</b> Because you have selected issues in multiple projects, you can only choose developers who are developers on both projects.</td></tr>
    </webwork:if>

    <webwork:if test="/hasProjectPermission('assign', project) == true">
        <jsp:include page="/includes/panels/issue/assignee.jsp" />
    </webwork:if>
    <webwork:else>
        <ui:component name="'assignee'" template="hidden.jsp" />
    </webwork:else>

    <%--
    <%@ include file="/includes/panels/updatemultipleissue_comment.jsp" %>
    --%>

    <webwork:iterator value="issues" >
        <input type="hidden" name="id" value="<webwork:property value="string('id')" />" >
    </webwork:iterator>

<%--	<ui:component name="'id'" template="hidden.jsp" />--%>
</page:applyDecorator>
</body>
</html>