<%@ taglib uri="webwork" prefix="webwork"  %>
<%@ taglib uri="webwork" prefix="ui"  %>
<%@ taglib uri="jiratags" prefix="jira" %>

<head>
    <title>Bulk Edit Issues</title>
</head>

<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=666666>
    <tr >
		<td bgcolor=f0f0f0 width=40% >
			<h3 class="formtitle">Choose Action</h3>
		</td>

	</tr>

    <webwork:if test="/hasPermissionForIssues('resolve') == true && /areResolved == 0">
    <tr><td bgcolor="ffcccc" colspan=2>
        Some of the issues you selected are resolved, and some are not.  To resolve, close or reopen issues
        you must select issues that are all resolved, or all open.
    </td></tr>
    </webwork:if>
    <tr><td bgcolor=ffffff><b>Todo:</b> Edit, Progress Issues, Work Log, Close, Resolve, Reopen, Linking<br>
                           <b>Done:</b> Comment, Assign, Delete, Vote/Unvote, Watch/Unwatch</td></tr>

<%--
    <ui:select label="'Issue Type'" name="'issueType'" list="/constantsManager/issueTypes" listKey="'string('id')'" listValue="'string('name')'">
        <ui:param name="'headerrow'" value="'Don't Change'" />
        <ui:param name="'headervalue'" value="''" />
		<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/issues.jsp#IssueTypes</ui:param>
	</ui:select>

    <ui:select label="'Change Priority'" name="'priorityIds'" list="/constantsManager/priorities" listKey="'string('id')'" listValue="'string('name')'">
		<ui:param name="'size'" value="'3'" />
		<ui:param name="'headerrow'" value="'Don't Change'" />
		<ui:param name="'headervalue'" value="''" />
		<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#PriorityLevels</ui:param>
		<ui:param name="'style'">width: 80%;</ui:param>
	</ui:select>

--%>

</table>
<p>
 <table cellpadding=1 cellspacing=0 border=0 bgcolor=bbbbbb align="center" width="95%"><tr><td>
<table cellpadding=5 cellspacing=0 border=0 width=100% bgcolor=bbbbbb>
<tr>
	<td valign=top bgcolor=fffff0 align=center>
		<webwork:if test="/hasPermissionForIssues('comment') == true">
			&nbsp;
            <input type="button" value="Comment" onclick="location.href='<%= request.getContextPath() %>/secure/BulkAddComment!default.jspa<webwork:property value="ids" escape="false"/>'">
		</webwork:if>

		<webwork:if test="/hasPermissionForIssues('edit') == true && /areClosed == -1 "> <%-- cannot edit if there are closed issues --%>
			&nbsp;
			<input type="button" value=" Edit " onclick="location.href='<%= request.getContextPath() %>/secure/'">
		</webwork:if>

		<webwork:if test="/hasPermissionForIssues('assign') == true && /areClosed == -1 ">
			&nbsp;
			<input type="button" value="Assign" onclick="location.href='<%= request.getContextPath() %>/secure/BulkAssignIssue!default.jspa<webwork:property value="ids" escape="false"/>'">
		</webwork:if>

		<webwork:if test="/hasPermissionForIssues('resolve') == true">
			<webwork:if test="/areResolved == -1">
				&nbsp;<input type="button" value="Resolve" onclick="location.href='<%= request.getContextPath() %>/secure/'">
			</webwork:if>
            <webwork:elseIf test="/areResolved == 1" >
				&nbsp;<input type="button" value="Reopen" onclick="location.href='<%= request.getContextPath() %>/secure/'">
			</webwork:elseIf>
		</webwork:if>

		<webwork:if test="/hasPermissionForIssues('close') == true && /areResolved == 1 && /areClosed == -1 ">
			&nbsp;
		    <input type="button" value="Close" onclick="location.href='<%= request.getContextPath() %>/secure/'">
		</webwork:if>

		<webwork:if test="/hasPermissionForIssues('delete') == true ">
			&nbsp;
			<input type="button" value="Delete" onclick="location.href='<%= request.getContextPath() %>/secure/BulkDeleteIssue!default.jspa<webwork:property value="ids" escape="false"/>'">
		</webwork:if>

	</td>
</tr>

<tr><td bgcolor=fffff0>
    <webwork:if test="remoteUser != null">
        <%--
        <webwork:if test="string('assignee') == remoteUser/name && (string('resolution') == null || string('resolution')/length == 0)">
            <b>Progress</b>: You are currently assigned this issue.
            <webwork:if test="string('status') == '1'">
                Mark status <b><a href="ViewIssue.jspa?id=<webwork:property value="id" />&progress=start">In Progress</a></b>.
            </webwork:if>
            <webwork:elseIf test="string('status') == '2'">
                <b><a href="ViewIssue.jspa?id=<webwork:property value="id" />&progress=stop">Stop Progress</a></b>.
            </webwork:elseIf>
            <br>
        </webwork:if>
        --%>
        <webwork:if test="applicationProperties/option('jira.option.voting') == true">
            <b>Voting</b>:
            <webwork:if test="/areResolved == -1">
                <webwork:if test="/hasVoted == 1">
                    You have voted for <i>all</i> the issues listed.  <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&vote=unvote">Unvote</a></b>.
                </webwork:if>
                <webwork:elseIf test="/hasVoted == 0" >
                    You have voted for <i>some</i> of the issues listed. <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&vote=vote">Vote for all</a></b>.
                    <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&vote=unvote">Unvote for all</a></b>.
                </webwork:elseIf>
                <webwork:elseIf test="/hasVoted == -1" >
                    You have voted for <i>none</i> of the issues listed. <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&vote=vote">Vote</a></b>.
                </webwork:elseIf>
            </webwork:if>
            <webwork:else>
                Some of the issues you have selected are resolved. You cannot vote or change your vote on resolved issues.
            </webwork:else>
            <br>
        </webwork:if>

        <webwork:if test="applicationProperties/option('jira.option.watching') == true">
            <b>Watching</b>:
            <webwork:if test="/areWatching == 1">
                You are watching <i>all</i> the issues listed.  <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&watch=false">Unwatch</a></b>.
            </webwork:if>
            <webwork:elseIf test="/areWatching == 0" >
                You are watching <i>some</i> of the issues listed. <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&watch=true">Watch all</a></b>.
                <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&watch=false">Unwatch all</a></b>.
            </webwork:elseIf>
            <webwork:elseIf test="/areWatching == -1" >
                You are watching <i>none</i> of the issues listed. <b><a href="BulkEdit.jspa<webwork:property value="ids" escape="false"/>&watch=true">Watch</a></b>.
            </webwork:elseIf>
            <br>
        </webwork:if>
        <%--   todo - do we want to do time tracking in bulk?
        <webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
            <b>Work Log</b>:
            <webwork:if test="/workable == true">
                Worked on this issue? <b><a href="LogWork!default.jspa?id=<webwork:property value="id" />">Log work done</a></b>.
            </webwork:if>
            <webwork:else>
                You don't have permission to work on this issue.
            </webwork:else><br>
        </webwork:if>
        --%>
    </webwork:if>
        <%-- todo - do we want to link bugs in bulk?
		<webwork:if test="/hasPermission('link', /project) == true && /applicationProperties/option('jira.option.issuelinking') == true">
            <b>Linking</b>:
            <b><a href="LinkExistingIssue!default.jspa?id=<webwork:property value="id" />">Link</a></b> this issue to an existing issue.
            <br>
        </webwork:if>
        --%>
    <webwork:if test="remoteUser == null">
            If you were <jira:loginlink>logged in</jira:loginlink> you would be able to see more functions.
    </webwork:if>
</td></tr></table>
</td></tr></table>
</p>
