<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ page import="com.atlassian.core.util.WebRequestUtils"%>
<webwork:property value="/browseableProjectsInCategory(.)">
<webwork:if test="./empty == false">
<page:applyDecorator name="portletpanel">
    <page:param name="header"><webwork:text name="'common.concepts.category'" /> : <b><webwork:property value="string('name')" /></b>
        <%-- <webwork:property value="../id"/>_<webwork:property value="long('id')" /> is portletid + '_' + category id.  This should be unique--%>
        <% if (WebRequestUtils.isGoodBrowser(request)) { %> <font size=1><span class="switch" id="projectCategory_<webwork:property value="../id"/>_<webwork:property value="long('id')" />-switch" onclick="toggle('projectCategory_<webwork:property value="../id"/>_<webwork:property value="long('id')" />', '<webwork:property value="/text('displaypane.show')" />', '<webwork:property value="/text('displaypane.hide')" />')"><webwork:property value="text('displaypane.hide')" /></span> <% } %>
    </page:param>
</page:applyDecorator>

<%-- only show the 'span' if it is a good browser --%>
<% if (WebRequestUtils.isGoodBrowser(request)) { %>
    <div class="projectCategoryGroup" id="projectCategory_<webwork:property value="../id"/>_<webwork:property value="long('id')" />">
        <webwork:iterator value=".">
            <jsp:include page="/includes/dashboard/project.jsp"/>
        </webwork:iterator>
    </div>
<% } else { %>
    <webwork:iterator value=".">
        <jsp:include page="/includes/dashboard/project.jsp"/>
    </webwork:iterator>
<% } %>

<script>
<!-- //this script shows or hides the project category based on a cookie
var id = "projectCategory_<webwork:property value="id"/>_<webwork:property value="long('id')" />";
<%-- Not using WebWork Text tag so that the code works when i18n highlighting is switched on --%>
cookieHide(id, '<webwork:property value="/text('displaypane.show')" escape="false" />');
//-->
</script>
</webwork:if>
</webwork:property>