<%@ page import="com.opensymphony.user.User,
				 com.opensymphony.user.UserManager,
				 java.util.Iterator,
				 com.atlassian.jira.config.properties.ApplicationProperties,
				 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.core.util.DateUtils,
                 com.atlassian.license.*,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%-- IF YOU EDIT THIS - BE SURE TO CHECK IF YOU NEED TO EDIT DECORATORS/FRONTPAGE.JSP --%>

<% License curLicense = null;
if (JiraLicenseUtils.isLicenseSetup())
    curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY); %>
<div class="footer">
<table border="0" cellpadding="0" cellspacing="0" width=100%>
<% if (curLicense == null || (!JiraLicenseTypeStore.JIRA_STANDARD_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_PROFESSIONAL_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_ENTERPRISE_FULL_LICENSE.equals(curLicense.getLicenseType())) || ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
<tr>
		<td bgcolor="bbbbbb"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=100 border=0></td>
</tr>
<tr>
	<% if (curLicense == null) { %>
		<td bgcolor="ffcccc" align=center>
		<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
				<b><font color=990000>UNLICENSED INSTALLATION</font></b> - You can request a 30-day <a href="http://www.atlassian.com/c/jira/10152">evaluation license online</a> or <a href="http://www.atlassian.com/c/jira/10152">purchase</a>.
		</font>
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
		<td bgcolor="ffcccc" align=center>
		<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
			<b><font color=990000>EVALUATION LICENSE</font></b> - Are you enjoying JIRA? Please consider <a href="http://www.atlassian.com/c/jira/10152">purchasing it</a> today.
		</font>
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
		<td bgcolor="ffffff" align=center>
		<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
			This site is running on Atlassian <b><a href="http://www.atlassian.com/c/jira/10151">JIRA</a></b> with a free <b>Open Source Project / Non-profit License</b> (<a href="http://www.atlassian.com/c/jira/10153">license details</a>).<br>
			<a href="http://www.atlassian.com/c/jira/10151">JIRA</a> is an issue and bug tracking application. <a href="http://www.atlassian.com/c/jira/10151">Evaluate JIRA for your organisation</a>.<br>
		</font>
		</td>
	<% } else if (ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
        <td bgcolor="ffcccc" align=center>
		<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
			<b><font color=990000>EVALUATION LICENSE</font></b> - Are you enjoying this new version of JIRA? Please consider <a href="http://www.atlassian.com/c/jira/10154">extending your license</a> today.
		</font>
		</td>
    <%
        }
    %>
</tr>
<% } %>

  <tr>
      <td height=12 background="<%= request.getContextPath() %>/images/border/border_bottom.gif"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width="1" height="1" border="0"></td>
  </tr>
 </table>
<%-- JIRA 3.0 EAP announcement
<table align="center" cellpadding=1 cellspacing=0 border=0 width=80% bgcolor=996666><tr><td>
<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=ffcccc>
<tr><td bgcolor=ffcccc>
	<font size="1" face="Verdana, Arial, Helvetica, sans-serif" color=333333>
        <b><font color=990000>NOTE</font>: You are using a Preview version of <a href="http://confluence.atlassian.com/display/JIRA/JIRA+3.0+Early+Access+Program">JIRA 3.0</a></b> <font color=666666>(<%= BuildUtils.getVersion() %>-#<%= BuildUtils.getCurrentBuildNumber() %>)</font><br>
        While we will make every attempt to verify the stability of this release and portability of your data, we cannot guarantee it.
        For more information on JIRA 3, see the <a href="http://confluence.atlassian.com/display/JIRA/JIRA+3.0+Early+Access+Program">JIRA 3 website</a>. Thank you for helping us test JIRA - the Atlassian team
    </font>
</td></tr></table>
</td></tr></table>
--%>
<br>

	<font size="1" face="Verdana, Arial, Helvetica, sans-serif">
		Powered by <A href="http://www.atlassian.com/c/JIRA/10140">Atlassian JIRA&trade;</a> <font color=666666>(<%= BuildUtils.getBuildInformation() %>)</font> - <a href="http://jira.atlassian.com/default.jsp?clicked=footer">Bug/feature request</a><br>
		Contact <a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Administrators</a>
	</font>
	</p>
</div><%-- footer --%>

</body>
</html>
