/*
	Toggles a menu on & off (using cookies
*/
var showText = '';
var showTitle = '';

var hideText = '';
var hideTitle = '';


function initPinComments(showText1, showTitle1, hideText1, hideTitle1) 
{
    showText = showText1;
    showTitle = showTitle1;

    hideText = hideText1;
    hideTitle = hideTitle1;
}

function toggleMenu(sSectionID, eSectionIcon)
{
	var eSection = document.getElementById(sSectionID);
	if (readCookie(sSectionID) == null ||
		readCookie(sSectionID) == "on")
	{
		eSectionIcon.innerHTML = showText;
		eSectionIcon.setAttribute("title", showTitle);
		saveCookie(sSectionID, "off", 365);
	}
	else
	{
		eSectionIcon.innerHTML = hideText;
		eSectionIcon.setAttribute("title", hideTitle);
		saveCookie(sSectionID, "on", 365);
	}

}
/*
	Restiores a state of a menu
*/

function restoreMenu(sSectionID, sSectionIcon)
{
	var eSection = document.getElementById(sSectionID);
	var eSectionIcon = document.getElementById(sSectionIcon);
	if (readCookie(sSectionID) == "on")
	{
		eSection.style.display = "block";
		eSectionIcon.innerHTML = hideText;
		eSectionIcon.setAttribute("title", hideTitle);
		saveCookie(sSectionID, "on", 365);
	}
    else
    {
		eSectionIcon.innerHTML = showText;
		eSectionIcon.setAttribute("title",showTitle);        
    }

}





// Cookie handling functions from

function saveCookie(name,value,days)
{
  if (days) {
    var d = new Date();
    d.setTime(d.getTime()+(days*24*60*60*1000));
    var ex = "; expires="+d.toGMTString();
  }
  else {
    var ex = "";
  }
  document.cookie = name+"="+value+ex+"; path=/";
}

function readCookie(name)
{
  var eq = name + "=";
  var ca = document.cookie.split(';');
  for(var i=0;i<ca.length;i++) {
    var c = ca[i];
    while (c.charAt(0)==' ') c = c.substring(1,c.length);
    if (c.indexOf(eq) == 0) return c.substring(eq.length,c.length);
  }
  return null;
}

function eraseCookie(name)
{
  saveCookie(name,"",-1);
}