<%@ page import="com.atlassian.jira.util.ParameterStore,
                 java.util.Iterator,
                 com.atlassian.jira.web.action.issue.IssueNavigator"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>

<!-- JRA-4919 - IE6 display issue -->
<script language="JavaScript">
//preload images
var aryImages = new Array(2);

aryImages[0] = "<%=request.getContextPath()%>/images/icons/filter_public.gif";
aryImages[1] = "<%=request.getContextPath()%>/images/icons/userpicker_disabled.gif";

for (i=0; i < aryImages.length; i++) {
  var preload = new Image();
  preload.src = aryImages[i];
}

//set up arrays
var reporterSelects = new Array();
<%
    ParameterStore parameterStore = new ParameterStore(request.getRemoteUser());
    Iterator i = parameterStore.getReporterTypes().iterator();
    String[] type;
    while (i.hasNext())
    {
        type = (String[])i.next();
        if (type[1] == null)
            type[1] = "";
%>
        reporterSelects[reporterSelects.length] = new Array("<%=type[1]%>","<%=type[2]%>");
<%
    }
%>

var assigneeSelects = new Array();
<%
    i = parameterStore.getAssigneeTypes().iterator();
    while (i.hasNext())
    {
        type = (String[])i.next();
        if (type[1] == null)
            type[1] = "";
%>
        assigneeSelects[assigneeSelects.length] = new Array("<%=type[1]%>","<%=type[2]%>");
<%
    }
%>

function processSelect(array, selectList, inputField)
{
    if (array[selectList.selectedIndex][1] == "<%=IssueNavigator.SELECT_LIST_NONE%>")
    {
        eval ("document.forms['filterform'].elements['" + inputField + "']").disabled = true;
    }
    else
    {
        eval ("document.forms['filterform'].elements['" + inputField + "']").disabled = false;
    }
}

function processSelectImage(array, selectList, inputField, imageName)
{
    processSelect(array, selectList, inputField);

    //Only show the image if the user is selectable
    if (array[selectList.selectedIndex][1] == "<%=IssueNavigator.SELECT_LIST_USER%>")
    {
        document.images[imageName].src=aryImages[0];
        document.images[imageName].title="<webwork:text name="'user.picker.select.user'"/>";
    }
    else
    {
        document.images[imageName].src=aryImages[1];
        document.images[imageName].title="<webwork:text name="'user.picker.only.available'"/>";
    }
}
</script>

<form action="IssueNavigator.jspa?" name="filterform" method="post">

<%-- Used to determine whether to refresh the filter due to project selection --%>
<input type="hidden" name="refreshFilter" value="false">
<input type="hidden" name="reset" value="update">

<table class="filterFormTable" cellpadding="4" cellspacing="0" width="100%" border="0">
<tr>
    <td colspan="2" style="padding: 0px;">
        <jsp:include page="/includes/navigator/filter-form/tabs.jsp" />
        <jsp:include page="/includes/navigator/filter-form/filter_description.jsp" />
    </td>
</tr>


<%-- if there are no projects, show message and login details --%>
<webwork:if test="browseableProjects == null || browseableProjects/size <= 0">
    <jsp:include page="/includes/noprojects.jsp" />
</webwork:if>
<webwork:else>
	<tr>
	<td bgcolor=f0f0f0 align=center colspan=2>
		<input type="submit" name="hide" value="&lt;&lt; <webwork:property value="text('common.words.view')"/> &amp; <webwork:property value="text('common.words.hide')"/>">
		<input type="submit" name="show" value="<webwork:property value="text('common.words.view')"/> &gt;&gt;">
	</td>
	</tr>

    <webwork:if test="browseableProjects/size > 1">
        <script>
            image1 = new Image();
            image1.src = "<%= request.getContextPath() %>/images/icons/ref_16_rotate.gif"; <%-- preload rotating image --%>

            function refreshProjectFilter() {
                document.images['refimg'].src='<%= request.getContextPath() %>/images/icons/ref_16_rotate.gif'; <%-- have a rotating image whilst page loads --%>
                eval(document.forms['filterform'].elements['refreshFilter'].value = true);
                document.forms['filterform'].submit();
            }
        </script>
	    <ui:select label="text('common.concepts.project')" name="'pid'"
    		list="browseableProjects" listKey="'long('id')'" listValue="'string('name')'">
    		<ui:param name="'headerrow'" value="text('common.filters.allprojects')" />
    		<ui:param name="'headervalue'" value="'-1'" />
            <ui:param name="'onchange'" value="'javascript:refreshProjectFilter()'"/>
            <ui:param name="'description'"><webwork:text name="'navigator.filter.refresh'"/></ui:param>
            <ui:param name="'extrahtml'"><img src="<%= request.getContextPath() %>/images/icons/ref_16.gif" valign=absmiddle id=refimg height=16 width=16 title="<webwork:text name="'navigator.filter.refresh'"/>"></ui:param>
    	</ui:select>
    </webwork:if>
    <webwork:else>
        <ui:component name="'pid'" template="hidden.jsp" />
    </webwork:else>

    <webwork:if test="pid != null">
        <webwork:if test="/versions/empty == false || /components/empty == false || /versions/empty == false">
            <tr>
                <td colspan=2><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=1 border=0></td>
            </tr>

            <jsp:include page="/includes/navigator/filter-form/components.jsp" />
            <jsp:include page="/includes/navigator/filter-form/versions.jsp" />
        </webwork:if>
    </webwork:if>

    <webwork:if test="applicationProperties/option('jira.option.indexing') == true">
        <tr>
            <td bgcolor=ffffff colspan=2><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=1 border=0></td>
        </tr>

        <tr>
            <td bgcolor=f0f0f0 colspan=2>
                <b><webwork:text name="'navigator.filter.subheading.textsearch'"/></b>
            </td>
        </tr>

        <ui:textfield label="text('common.words.query')" name="'query'" size="20">
            <ui:param name="'style'">width: 85%;</ui:param>
            <ui:param name="'helpURL'">querysyntax</ui:param>
            <%--<ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/querysyntax.html</ui:param>--%>
        </ui:textfield>

        <tr>
            <td width=30% bgcolor=fffff0 align=right valign=top>
                <webwork:text name="'navigator.filter.queryfields'"/>:
            </td>
            <td width=70% bgcolor=ffffff>
                <table cellpadding=0 cellspacing=0 border=0 width=100%>
                <tr>
                <td nowrap width=50%>
                    <input type="checkbox" id="summaryId" name="summary" value="true" <webwork:if test="fields/contains('summary') == true || query == null || query/size == 0">checked</webwork:if>><label for="summaryId"><webwork:text name="'common.words.summary'"/></label>
                </td>
                <td nowrap width=50%>
                    <webwork:if test="(pid != null && @fieldVisibility/fieldHidden(pid, 'description', 'all') == false) || (pid == null && /fieldHidden('description') == false)">
                        <input type="checkbox" id="descriptionId" name="description" value="true" <webwork:if test="fields/contains('description') == true || query == null || query/size == 0">checked</webwork:if>><label for="descriptionId"><webwork:text name="'common.words.description'"/></label>
                    </webwork:if>
                    <webwork:else>
                        &nbsp;
                    </webwork:else>
                </td>
                </tr>
                <tr>

                <td nowrap width=50%>
                    <input type="checkbox" id="bodyId" name="body" value="true" <webwork:if test="fields/contains('body') == true">checked</webwork:if>><label for="bodyId"><webwork:text name="'common.words.comments'"/></label>
                </td>

                <td nowrap width=50%>
                    <webwork:if test="(pid != null && @fieldVisibility/fieldHidden(pid, 'environment', 'all') == false) || (pid == null && /fieldHidden('environment') == false)">
                        <input type="checkbox" id="environmentId" name="environment" value="true" <webwork:if test="fields/contains('environment') == true">checked</webwork:if>><label for="environmentId"><webwork:text name="'common.words.env'"/></label>
                    </webwork:if>
                    <webwork:else>
                        &nbsp;
                    </webwork:else>
                </td>

                </tr>
                </table>
                </td>
        </tr>
    </webwork:if>

	<tr>
		<td bgcolor=ffffff colspan=2><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=1 border=0></td>
	</tr>

	<tr>
		<td bgcolor=f0f0f0 colspan=2>
			<b><webwork:text name="'navigator.filter.subheading.issueattributes'"/></b>
		</td>
	</tr>
	<ui:select label="text('navigator.filter.issuetype')" name="'types'" template="selectmultiple.jsp"
		list="/issueTypeList" listKey="'key'" listValue="'value'">
		<ui:param name="'size'" value="'3'" />
		<ui:param name="'headerrow'" value="text('common.filters.any')" />
		<ui:param name="'headervalue'" value="''" />
		<ui:param name="'style'">width: 90%;</ui:param>
	</ui:select>

	<jsp:include page="/includes/navigator/filter-form/users.jsp" />

	<jsp:include page="/includes/navigator/filter-form/constants.jsp" />

	<tr>
		<td bgcolor=ffffff colspan=2><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height=1 width=1 border=0></td>
	</tr>

    <jsp:include page="/includes/navigator/filter-form/datetime.jsp" />

    <jsp:include page="/includes/navigator/filter-form/workratio.jsp" />

    <jsp:include page="/includes/navigator/filter-form/customfields.jsp" />

	<tr>
	<td bgcolor=f0f0f0 align=center colspan=2>
		<input type="submit" name="hide" value="&lt;&lt; <webwork:property value="text('common.words.view')"/> &amp; <webwork:property value="text('common.words.hide')"/>">
		<input type="submit" name="show" value="<webwork:property value="text('common.words.view')"/> &gt;&gt;">
	</td>
	</tr>
</webwork:else>
</table>
</form>