<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:if test="/currentPage">
    <jsp:include page="/includes/navigator/table/header.jsp"/>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><webwork:property value="text('navigator.title')"/></page:param>
        <page:param name="width">100%</page:param>
        <p>
            <webwork:text name="'navigator.desc1'"/>
        </p>
        <p>
            <webwork:text name="'navigator.desc2'"/>
        </p>
        <jsp:include page="/includes/errormessages.jsp" />
    </page:applyDecorator>
</webwork:else>
<p>
    <webwork:component template="issuetable.jsp" name="'browsableItems'">
        <webwork:param name="'columns'" value="columns"/>
    </webwork:component>
</p>