<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%-- This include puts the assignee FieldConfiguration on the stack as it is needed there --%>
<webwork:property value="/field('assignee')">
    <webwork:if test="/assignIn">
        <webwork:if test="(/issueExists == true && /hasIssuePermission('assign', /issue) == true) || (/issueExists == false && /hasProjectPermission('assign', /assignIn) == true))">
            <webwork:if test="/issueExists == true && /assignableUsers(/assignIn, /issue)/size > 1">
            <ui:select label="/text(nameKey)" name="id" list="/assignableUsers(/assignIn, /issue)" listKey="'key'" listValue="'value'">
                <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
                <ui:param name="'mandatory'" value="../required"/>
            </ui:select>
            </webwork:if>
            <webwork:else>
            <ui:select label="/text(nameKey)" name="id" list="/assignableUsers(/assignIn)" listKey="'key'" listValue="'value'">
                <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
                <ui:param name="'mandatory'" value="../required"/>
            </ui:select>
            </webwork:else>
        </webwork:if>
        <webwork:else>
        <tr>
            <td bgcolor="fffff0" align="right"><webwork:text name="'issue.field.assignto'"/>:</td>
            <%-- The isDefaultAssignee function will never be false for enterprise as this check is done on form submission --%>
            <webwork:if test="/defaultAssignee(/project)">
                <td bgcolor="ffffff" valign="top">
                <webwork:text name="'createissue.autoassigned'"/>
                </td>
            </webwork:if>
            <webwork:else>
                <td bgcolor="ffcccc" valign="top">
                <%-- whilst enterprise can have other assignees, this warning below will only be shown for professional version --%>
                    <webwork:if test="/assignableUsers(/assignIn)/size > 1">
                    <webwork:text name="'createissue.defaultNotAssignable'">
                        <webwork:param name="'value0'"><webwork:property value="/userFullName(/assignIn/string('lead'))" /></webwork:param>
                    </webwork:text><br>
                    </webwork:if>
                    <webwork:else>
                    <webwork:text name="'createissue.noAssignableUsers'"/><br>
                    </webwork:else>
                    <webwork:text name="'createissue.contactAdmin'">
                        <webwork:param name="'value0'"><a href="<webwork:url page="/secure/Administrators.jspa"/>"></webwork:param>
                        <webwork:param name="'value1'"></a></webwork:param>
                    </webwork:text>
                </td>
            </webwork:else>
            </tr>
        </webwork:else>
    </webwork:if>
</webwork:property>