<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>


<%-- Ensure we retrive 'all' subtasks and see whetehr there are any of them, and not just sub-tasks for current view, as
if there are no sub-tasks for current view, vut still some exists, we should draw the subtasks table. See JRA-5087 --%>
<webwork:if test="/applicationProperties/option('jira.option.allowsubtasks')  == true && /subTaskBean/subTasks('all')/empty == false">

<table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
<tr>
    <td width=1% nowrap>
        <b>Sub-Tasks</b>:&nbsp;
    </td>
	<webwork:if test="/subTaskView == 'all'">
        <td bgcolor=bbbbbb width=1% nowrap align=center>
            &nbsp;<font color=ffffff><b>All</b></font>&nbsp;
        </td>
        <td nowrap width=1% align=center>
            &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="/issue/string('key')"/>?subTaskView=unresolved">Open</a></b>&nbsp;
        </td>
    </webwork:if>
    <webwork:else>
        <td nowrap width=1% align=center>
            &nbsp;<b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="/issue/string('key')"/>?subTaskView=all">All<a/></b>&nbsp;
        </td>
        <td bgcolor=bbbbbb nowrap width=1% align=center>
            &nbsp;<font color=ffffff><b>Open</b></font>&nbsp;
        </td>
    </webwork:else>

    <%-- Pad out the 'Sub-Task Progress' graph all the way to the right --%>
    <td width=100%>
        &nbsp;
    </td>
    <td style="border-width: 1px 1px 0 1px; border-style: solid; border-color: #bbb;" width=1%>
        <table height=6 valign=middle align=right cellspacing=0 cellpadding=0 border=0>
            <tr height=6>
                <td nowrap=true valign=middle align=right><font size=1>&nbsp;<webwork:text name="'viewissue.subtasks.progress'"/>&nbsp;</font></td>
                <webwork:component template="percentagegraph.jsp" name="'/subTaskBean/subTaskProgress'" />
            </tr>
        </table>
    </td>
</tr>
</table>

<table cellpadding=0 cellspacing=1 border=0 width=100% bgcolor=bbbbbb align=center><tr><td>
<table cellpadding=2 cellspacing=0 border=0 width=100%>
<tr>
	<td bgcolor=ffffff valign=top>

    <table cellpadding=3 cellspacing=0 border=0 width=100%>
    <webwork:property value="/subTaskBean">
        <webwork:if test="/subTaskBean/subTasks(/subTaskView)/empty == false">
        <webwork:iterator value="./subTasks(/subTaskView)" status="'status'">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td width=1% align=center <webwork:if test="./subTaskIssue/string('resolution')">bgcolor="ccffcc"</webwork:if><webwork:else>bgcolor="ffcccc"</webwork:else>>
                    <webwork:property value="./displaySequence"/>.
                </td>
                <webwork:property value="./subTaskIssue">
                    <td>
                        <webwork:if test="./string('resolution')"><strike></webwork:if>
                            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>"><webwork:property value="string('summary')"/></a>
                        <webwork:if test="./string('resolution')"></strike></webwork:if>
                    </td>
                    <td>
                        <%@ include file="/includes/icons/type-nolink.jsp" %>
                        <webwork:property value="/constantsManager/issueType(./string('type'))/string('name')" />
                    </td>
                    <td>
                        <%@ include file="/includes/icons/status.jsp" %>
                        <webwork:property value="/constantsManager/status(./string('status'))/string('name')" />
                    </td>
                    <%-- Get around a webwrok EL parsing bug by putting the value on the stack first and then testing it --%>
                    <webwork:property value="@fieldVisibility/fieldHidden(./long('project'), 'assignee', ../string('type'))">
                        <webwork:if test=". == false">
                            <td>
                                <webwork:property value="..">
                                    <webwork:if test="./string('assignee')">
                                        <webwork:property value="/userFullName(./string('assignee'))"/>
                                    </webwork:if>
                                    <webwork:else>&nbsp;</webwork:else>
                                </webwork:property>
                            </td>
                        </webwork:if>
                    </webwork:property>
                    <td nowrap>
                        <webwork:if test="/allowedReorderSubTasks == true">
                            <webwork:if test="@status/first == false">
                                <a href="<webwork:url page="/secure/MoveIssueLink.jspa"><webwork:param name="'id'"><webwork:property value="/id"/></webwork:param><webwork:param name="'currentSubTaskSequence'"><webwork:property value="../sequence"/></webwork:param><webwork:param name="'subTaskSequence'"><webwork:property value="../../previousSequence(../sequence, /subTaskView)"/></webwork:param></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border="0" width=11 height=14></a>
                            </webwork:if>
                            <webwork:else>
                                <img src="<%= request.getContextPath() %>/images/border/spacer.gif" width=11 height=14>
                            </webwork:else>
                            <webwork:if test="@status/last == false">
                                <a href="<webwork:url page="/secure/MoveIssueLink.jspa"><webwork:param name="'id'"><webwork:property value="/id"/></webwork:param><webwork:param name="'currentSubTaskSequence'"><webwork:property value="../sequence"/></webwork:param><webwork:param name="'subTaskSequence'"><webwork:property value="../../nextSequence(../sequence, /subTaskView)"/></webwork:param></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border="0" width=11 height=14></a>
                            </webwork:if>
                            <webwork:else>
                                <img src="<%= request.getContextPath() %>/images/border/spacer.gif" width=11 height=14>
                            </webwork:else>
                        </webwork:if>
                        <webwork:else>&nbsp;</webwork:else>
                    </td>
                    <td>
                        <webwork:iterator value="/availabelActions(.)" status="'status'" >
                            <webwork:if test="@status/count <= 2">
                                <font size="1"><a href="<%= request.getContextPath() %>/secure/WorkflowUIDispatcher.jspa?id=<webwork:property value="../long('id')" />&action=<webwork:property value="./key" />&viewIssueKey=<webwork:property value="/issue/string('key')"/>" id="action_id_<webwork:property value="./key" />"><webwork:property value="./value" /></a></font>
                                <webwork:if test="@status/last == false">|</webwork:if>
                            </webwork:if>
                            <webwork:elseIf test="@status/count == 3">
                                <webwork:if test="@status/last == true">
                                    <%-- If this is the third item, but also the last one, just print it --%>
                                    <font size="1"><a href="<%= request.getContextPath() %>/secure/WorkflowUIDispatcher.jspa?id=<webwork:property value="../long('id')" />&action=<webwork:property value="./key" />&viewIssueKey=<webwork:property value="/issue/string('key')"/>" id="action_id_<webwork:property value="./key" />"><webwork:property value="./value" /></a></font>
                                </webwork:if>
                                <webwork:else>
                                    <%-- This is the thrird item, but there are more than three in total.
                                         Instead of printing them all just print 'more...' and link it to the view issue page --%>
                                    <font size="1"><a href="<%= request.getContextPath() %>/browse/<webwork:property value="../string('key')"/>">more...</a></font>
                                </webwork:else>
                            </webwork:elseIf>
                        </webwork:iterator>
                    </td>
                </webwork:property>
            </tr>
        </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <tr>
                <td colspan="7" width="100%" align="left">
                    <webwork:text name="'viewissue.subtasks.notasksforview'"/>
                </td>
            </tr>
        </webwork:else>
    </webwork:property>
        <webwork:if test="/subTaskCreatable == true">
            <form action="<%= request.getContextPath() %>/secure/CreateSubTaskIssueDetails.jspa" method="post">
                <tr bgcolor="f0f0f0">
                    <td><b>New:</b></td>

                    <ui:textfield label="'something'" theme="'single'" name="'summary'" size="20" maxlength="255">
                        <ui:param name="'bgcolor'">f0f0f0</ui:param>
                    </ui:textfield>

                    <ui:select label="'something'" name="'issuetype'" theme="'single'" list="/subTaskIssueTypes" listKey="'string('id')'" listValue="'string('name')'">
                        <ui:param name="'bgcolor'">f0f0f0</ui:param>
                        <ui:param name="'selectedValue'"><webwork:property value="/historyIssuetype"/></ui:param>
                    </ui:select>

                    <td>&nbsp;</td>

                    <%-- Get around a webwrok EL parsing bug by puttig the value on the stack first and then testing it --%>
                    <webwork:property value="@fieldVisibility/fieldHidden(/issue/long('project'), 'assignee', /issue/string('type'))">
                        <webwork:if test=". == false">
                                <webwork:if test="/hasProjectPermission('assign', /assignIn) == true">
                                    <ui:select label="'something'" theme="'single'" name="'assignee'" list="/assignableUsers(/assignIn)" listKey="'key'" listValue="'value'">
                                        <ui:param name="'bgcolor'">f0f0f0</ui:param>
                                    </ui:select>
                                </webwork:if>
                                <webwork:else>
                                    <%-- The isDefaultAssignee function will never be false for enterprise as this check is done on form submission --%>
                                    <webwork:if test="/defaultAssignee(/assignIn)">
                                        <td valign="top">
                                            <webwork:text name="'viewissue.subtasks.autoassign'"/>
                                        </td>
                                    </webwork:if>
                                    <webwork:else>
                                        <td bgcolor="ffcccc" valign="top">
                                            <%-- whilst enterprise can have other assignees, this warning below will only be shown for professional version --%>
                                            <webwork:if test="/assignableUsers(/assignIn)/size > 1">
                                                <webwork:text name="'createissue.defaultNotAssignable'">
                                                    <webwork:param name="'value0'"><webwork:property value="/userFullName(/assignIn/string('lead'))" /></webwork:param>
                                                </webwork:text><br>
                                            </webwork:if>
                                            <webwork:else>
                                                <webwork:text name="'createissue.noAssignableUsers'"/><br>
                                            </webwork:else>

                                            <webwork:text name="'createissue.contactAdmin'">
                                                <webwork:param name="'value0'"><a href="<webwork:url page="/secure/Administrators.jspa"/>"></webwork:param>
                                                <webwork:param name="'value1'"></a></webwork:param>
                                            </webwork:text>
                                        </td>
                                    </webwork:else>
                                </webwork:else>
                        </webwork:if>
                    </webwork:property>
                    <td>&nbsp;</td>
                    <td align=left>
                        <ui:component name="'parentIssueId'" value="/id" template="hidden.jsp"/>
                        <ui:component name="'pid'" value="/assignIn/long('id')" template="hidden.jsp"/>
                        <ui:component name="'viewIssueKey'" value="/issue/string('key')" template="hidden.jsp"/>
                        <ui:component name="'quickCreate'" value="'true'" template="hidden.jsp"/>
                        <input type="submit" value=" Add ">
                    </td>
                </tr>
            </form>
        </webwork:if>
    </table>

    <%--
    <webwork:component template="issuetable.jsp" name="'subTaskIssues'">
        <webwork:param name="'columns'" value="/columns"/>
        <webwork:param name="'showpagers'" value="'false'"/>
    </webwork:component>
    --%>
	</td>
</tr>
</table>
</td></tr></table>

</webwork:if>
