<%@ page import="com.atlassian.license.License,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%-- Notification Schemes --%>
<b>Notification Scheme:</b>
<webwork:if test="schemes != null && schemes/size > 0">
	<webwork:iterator value="schemes" status="'liststatus'">
		<webwork:property value="string('name')" />
		<webwork:if test="@liststatus/last == false">, </webwork:if>
	</webwork:iterator>
	<webwork:if test="/hasAdminPermission == true">
		(
		<a href="<webwork:url page="SelectProjectScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
		|
		<a href="<webwork:url page="EditNotifications!default.jspa"><webwork:param name="'schemeId'" value="schemes/(0)/long('id')"/></webwork:url>">edit notifications</a>
		)
	</webwork:if>
</webwork:if>
<webwork:else>
	None
	<webwork:if test="/hasAdminPermission == true">
		(
		<a href="<webwork:url page="SelectProjectScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
		)
	</webwork:if>
</webwork:else>

<%-- Permission Scheme has been added to the project --%>
<br>
<b>Permission Scheme:</b>
<webwork:if test="permissionSchemes != null && permissionSchemes/size > 0">
	<webwork:iterator value="permissionSchemes" status="'liststatus'">
		<webwork:property value="string('name')" />
		<webwork:if test="@liststatus/last == false">, </webwork:if>
	</webwork:iterator>
	<webwork:if test="/hasAdminPermission == true">
		(
		<a id="select_permission_scheme" href="<webwork:url page="SelectProjectPermissionScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
		|
		<a id="edit_permission_scheme" href="<webwork:url page="EditPermissions!default.jspa"><webwork:param name="'schemeId'" value="permissionSchemes/(0)/long('id')"/></webwork:url>">edit permissions</a>
		)
	</webwork:if>
</webwork:if>
<webwork:else>
	None
	<webwork:if test="/hasAdminPermission == true">
		(
		<a id="select_permission_scheme" href="<webwork:url page="SelectProjectPermissionScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
		)
	</webwork:if>
</webwork:else>

<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
	if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
	<%-- Issue Security Scheme has been added to the project --%>
	<br>
	<b>Issue Security Scheme:</b>
	<webwork:property value="issueSecuritySchemes" >
		<webwork:if test=". != null && size > 0">
			<webwork:iterator value="." status="'liststatus'">
				<webwork:property value="string('name')" />
				<webwork:if test="@liststatus/last == false">, </webwork:if>
			</webwork:iterator>
			<webwork:if test="/hasAdminPermission == true">
				(
				<a id="select_security_scheme" href="<webwork:url page="SelectProjectIssueSecurityScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /><webwork:param name="'schemeId'" value="./(0)/long('id')"/></webwork:url>">select scheme</a>
				|

				<a id="edit_security_scheme" href="<webwork:url page="EditIssueSecurities!default.jspa"><webwork:param name="'schemeId'" value="./(0)/long('id')"/></webwork:url>">edit issue security levels</a>
				)
			</webwork:if>
		</webwork:if>
		<webwork:else>
			None
			<webwork:if test="/hasAdminPermission == true">
				(
				<a id="select_security_scheme" href="<webwork:url page="SelectProjectIssueSecurityScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
				)
			</webwork:if>
		</webwork:else>
	</webwork:property>
    <webwork:if test="/enterprise == true">
        <br>
        <b>Field Layout Schemes:</b>
        <webwork:if test="/fieldLayoutSchemes == null || /fieldLayoutSchemes/empty == true">
            System Default Layout
        </webwork:if>
        <webwork:else>
            <a href="#manageschemes">View</a> or <a href="ManageFieldLayoutSchemes.jspa?pid=<webwork:property value="long('id')" />">Manage</a> scheme associations
        </webwork:else>
    </webwork:if>

    <br>
    <b>Workflow Scheme:</b>
    <webwork:property value="/workflowScheme">
        <webwork:if test=". != null">
            <webwork:property value="./string('name')" />
            <webwork:if test="/hasAdminPermission == true">
                (
                <a id="select_workflow_scheme" href="<webwork:url page="SelectProjectWorkflowScheme!default.jspa"><webwork:param name="'projectId'" value="../long('id')" /><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>">select scheme</a>
                )
            </webwork:if>
        </webwork:if>
        <webwork:else>
            None
            <webwork:if test="/hasAdminPermission == true">
                (
                <a id="select_workflow_scheme" href="<webwork:url page="SelectProjectWorkflowScheme!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select scheme</a>
                )
            </webwork:if>
        </webwork:else>
    </webwork:property>

<% } %>

<br>
<% if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_PROFESIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <b>CVS Modules:</b>
<% } else { %>
    <b>CVS Module:</b>
<% } %>
        <%-- see if the project has any repositories --%>
        <webwork:if test="/repositories != null && /repositories/empty == false">
            <webwork:iterator value="/repositories" status="'repostatus'">
                <webwork:property value="./name"/><webwork:if test="@repostatus/last == false">, </webwork:if>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            None
        </webwork:else>
        <% if (license !=null && (license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_PROFESIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL)))) { %>
            <webwork:if test="/hasAdminPermission == true">
                (
                <a href="<webwork:url page="EnterpriseSelectProjectRepository!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select modules</a>
                )
            </webwork:if>
        <% } else { %>
            <webwork:if test="/hasAdminPermission == true">
                (
                <a href="<webwork:url page="SelectProjectRepository!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">select module</a>
                )
            </webwork:if>
        <% } %>

<%-- Mail Configuration per project - sender email address --%>
<webwork:if test="/hasDefaultSMTPMailServer == true">
<br>
<b>Mail Configuration:</b>
    <webwork:property value="projectEmail" >
    Mail notifications from this project will come from
    <webwork:if test=". == null">
        the default address
    </webwork:if>
    <webwork:else>
        '<webwork:property />'
    </webwork:else>

    </webwork:property>
	<webwork:if test="/hasAdminPermission == true">
    (
    <a href="<webwork:url page="ProjectEmail!default.jspa"><webwork:param name="'projectId'" value="long('id')" /></webwork:url>">edit configuration</a>
    )
    </webwork:if>
</webwork:if>
