<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit Attachment Settings</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="action">EditAttachmentSettings.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewAttachmentSettings.jspa</page:param>
	<page:param name="title">Attachment Settings</page:param>
	<page:param name="width">100%</page:param>

    <tr>
    <td align="right" valign="top" bgcolor="fffff0"><span class="label">
        Allow Attachments
       </span></td>
    <td bgcolor="ffffff">
        <input type="radio" value="true" name="attachmentsEnabled" id="attachmentsEnabledOn" <webwork:if test="attachmentsEnabled == true">checked</webwork:if>
                onClick="document.forms['jiraform'].thumbnailsEnabled[0].checked=true">
        <label for="attachmentsEnabledOn">On</label>
        &nbsp;
        <input type="radio" value="false" name="attachmentsEnabled" id="attachmentsEnabledOff" <webwork:if test="attachmentsEnabled == false">checked</webwork:if>
                onClick="document.forms['jiraform'].thumbnailsEnabled[1].checked=true">
        <label for="attachmentsEnabledOff">Off</label>
        <br><font size="1">
            Allow users to attach files to issues.
        </font>
    </td>
    </tr>
    <tr>
        <ui:textfield label="'Attachment Path'" name="'attachmentPath'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The absolute or relative path to the directory under which attached files will be stored.<br>
            When changing this path you will have to manually copy any existing attachments across to the new directory
		</ui:param>
	</ui:textfield>
    </tr>
	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Enable Thumbnails
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="thumbnailsEnabled" <webwork:if test="thumbnailsEnabled == true">checked</webwork:if>> On
			&nbsp;
			<input type="radio" value="false" name="thumbnailsEnabled" <webwork:if test="thumbnailsEnabled == false">checked</webwork:if>> Off
			<br><font size="1">
				Enable creation of thumbnails of image attachments. Attachments must be enabled to enable thumbnails.
			</font>
		</td>
	</tr>
</page:applyDecorator>
</body>
</html>