
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Link Type</title>
</head>

<body>

    <page:applyDecorator name="jiraform">
        <page:param name="action">EditLinkType.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
        <page:param name="cancelURI">ViewLinkTypes.jspa</page:param>
        <page:param name="title">Edit Link Type</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'">
            <ui:param name="'description'">(eg "Duplicate")</ui:param>
        </ui:textfield>

        <ui:textfield label="'Outward Link Description'" name="'outward'" size="'30'">
            <ui:param name="'description'">(eg "duplicates")</ui:param>
        </ui:textfield>

        <ui:textfield label="'Inward Link Description'" name="'inward'" size="'30'">
            <ui:param name="'description'">(eg "is duplicated by")</ui:param>
        </ui:textfield>

    	<ui:component name="'id'" template="hidden.jsp" />

    </page:applyDecorator>

</body>
</html>
