<%@ page import="java.util.*,
                 com.atlassian.jira.util.BuildUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<webwork:bean id="math" name="'com.atlassian.core.bean.MathBean'"/>

<html>
<head>
	<title>System Info</title>
</head>

<body>

<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2>
			<h3 class="formtitle">System Info</h3>
		</td>
	</tr>

    <webwork:iterator value="props" status="'status'">
    <tr bgcolor="<webwork:if test="@status/odd == true">#ffffff</webwork:if><webwork:else>#fffff0</webwork:else>">
		<td valign=top width="40%">&nbsp; <b><webwork:property value="key" /></b></td>
		<td valign=top width="60%"><webwork:property value="value" /></td>
	</tr>
    </webwork:iterator>
</table>
</td></tr></table>
</p>

<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2>
			<h3 class="formtitle">Java VM Memory Statistics</h3>
		</td>
	</tr>

    <webwork:iterator value="JVMstats" status="'status'">
    <tr bgcolor="<webwork:if test="@status/odd == true">#ffffff</webwork:if><webwork:else>#fffff0</webwork:else>">
		<td valign=top width="40%">&nbsp; <b><webwork:property value="key" /></b></td>
		<td valign=top width="60%"><webwork:property value="value" /> MB</td>
	</tr>
    </webwork:iterator>
    <tr bgcolor="#fffff0">
		<td valign=top width="40%">&nbsp; <b>Memory Graph</b></td>
		<td valign=top width="60%">
            <%-- Table for graph --%>
            <table align=left border="0" cellpadding="0" cellspacing="0" width="60%">
                <td valign=top width="50%">
                    <table  border="0" cellpadding="0" cellspacing="0" width="100%">
                        <webwork:property value="@math/percentage(usedMemory, totalMemory)">
                            <td bgcolor="#CC3333" width="<webwork:property value="."/>%">
                                <a title="Used Memory" >
                                    <img src="<%= request.getContextPath() %>/images/border/spacer.gif"
                                         height=15
                                         width="100%"
                                         border=0 title="Used Memory ( <webwork:property value="."/> %)">
                                </a>
                            </td>
                        </webwork:property>

                        <webwork:property value="@math/percentage(freeMemory, totalMemory)">
                            <td bgcolor="#00CC00" width="<webwork:property value="."/>%">
                                <a title="Free Memory" >
                                    <img src="<%= request.getContextPath() %>/images/border/spacer.gif"
                                         height=15
                                         width="100%"
                                         border=0 title="Free Memory ( <webwork:property value="."/> %)">
                                 </a>
                            </td>
                    </table>
                  </td>
                  <td valign=top width="10%" align=left nowrap><b>&nbsp;&nbsp;<webwork:property value="."/> % Free </b></td>
                  </webwork:property>
              </table>
        </td>
	</tr>
</table>
</td></tr></table>
</p>

<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2>
			<h3 class="formtitle">JIRA Info</h3>
		</td>
	</tr>

    <webwork:iterator value="buildStats" status="'status'">
    <tr bgcolor="<webwork:if test="@status/odd == true">#ffffff</webwork:if><webwork:else>#fffff0</webwork:else>">
		<td valign=top width="40%">&nbsp; <b><webwork:property value="key" /></b></td>
		<td valign=top width="60%"><webwork:property value="value" /></td>
	</tr>
    </webwork:iterator>
</table>
</td></tr></table>
</p>

</body>
</html>