<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Create New User</title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="description">
            <p>Enter the new user's details below.</p>
            <p>If you do not enter a password, one will be generated for the user automatically.</p>
            <p>The user will be notified of their account being active via email.</p>
        </page:param>
        <page:param name="title">Create New User</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">AddUser.jspa</page:param>
        <page:param name="submitName">Create</page:param>
        <page:param name="cancelURI">UserBrowser.jspa</page:param>

        <ui:textfield label="'Username'" name="'username'" size="40">
            <webwork:param name="'description'"><font color="bb0000">NOTE:</font> The username must contain only ASCII characters.</webwork:param>
        </ui:textfield>
        <ui:password label="'Password'" name="'password'" size="40" />
        <ui:password label="'Confirm'" name="'confirm'" size="40" />
        <ui:textfield label="'Full Name'" name="'fullname'" size="40" />
        <ui:textfield label="'Email'" name="'email'" size="40" />
        <ui:checkbox label="'Send Password Email'" name="'sendEmail'" fieldValue="'true'">
            <ui:param name="'description'">
            Send an email to the user you have just created containing their password.<br>
            Uncheck this option if you are using a LDAP server.
            </ui:param>
        </ui:checkbox>

    </page:applyDecorator>
</body>
</html>