<%@ page import="java.util.*,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Group Browser</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Group Browser</page:param>
    <page:param name="width">100%</page:param>

    <p>
	The Group Browser allows you to browse all the groups in the system.
	You can also add and remove groups from here.
	</p>
</page:applyDecorator>

<p>

	<table cellspacing=0 cellpadding=0 border=0 width=100%><tr><td valign=top>

	<p>
    Displaying groups <b><webwork:property value="niceStart" /></b> to <b><webwork:property value="niceEnd" /></b> of <b><webwork:property value="browsableItems/size" /></b>.
    </p>

<center>
<table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table  border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" width=40%>
			<b>Group Name</b>
		</td>
		<td class="colHeaderLink" width=20%>
			<b>Users</b>
		</td>
        <td class="colHeaderLink" width=30%>
			<b>Permission Schemes</b>
		</td>
		<td class="colHeaderLink" width=10% nowrap>
			&nbsp;
		</td>
	</tr>

	<webwork:iterator value="currentPage" status="'status'">
	<tr <webwork:if test="@status/modulus(2) == 0">bgcolor="#fffff0"</webwork:if>
            <webwork:else>bgcolor="#ffffff"</webwork:else>>
		<td valign=top><a href="<webwork:url page="ViewGroup.jspa"><webwork:param name="'name'" value="name"/></webwork:url>"><webwork:property value="name"/></a></td>
		<td valign=top><webwork:property value="users/size"/>
		<font size=1>(<a href="UserBrowser.jspa?emailFilter=&group=<webwork:property value="escapeAmpersand(name)" />">View</a>)</font></td>
        <td>
            <webwork:iterator value="/permissionSchemes(./name)">
                <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/admin/EditPermissions!default.jspa?schemeId=<webwork:property value="./long('id')"/>"><webwork:property value="./string('name')" /></a><br>
            </webwork:iterator>
        </td>
		<td valign=top nowrap>
            <% if (!ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_OPTION_USER_EXTERNALMGT)) { %>
			<a id="del_<webwork:property value="name"/>" href="DeleteGroup!default.jspa?name=<webwork:property value="escapeAmpersand(name)" />">Del</a>
            <% } else { %>&nbsp;<% } %>
		</td>
	</tr>
	</webwork:iterator>
</table>
</td></tr></table>
</center>

<p align=center>
    <webwork:if test="filter/start > 0">
		<a href="GroupBrowser.jspa?start=<webwork:url value="filter/previousStart" />">&lt&lt; Previous</a>
	</webwork:if>

	<webwork:if test="filter/end < browsableItems/size">
		<a href="GroupBrowser.jspa?start=<webwork:url value="filter/nextStart" />">Next &gt;&gt;</a>
	</webwork:if>
</p>

</td>

<td>&nbsp;&nbsp;&nbsp;</td>

<td width=250 valign=top bgcolor=ffffff valign=top>
	<form action="GroupBrowser.jspa" method="post">
	<table cellpadding=1 cellspacing=0 border=0 bgcolor=bbbbbb width=100% align="center"><tr><td>
	<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=666666>
	<tr>
		<td bgcolor=f0f0f0>
			<h3 class="formtitle">Add Group</h3>
		</td>
	</tr>

		<ui:textfield label="'Name'" labelposition="'top'" name="'addName'" size="20" />

	<tr>
	<td bgcolor=f0f0f0 align=center>
		<input type="submit" value="Add Group">
	</td>
	</tr>
	</table>
	</td></tr></table>
	</form>

	<form action="GroupBrowser.jspa" method="post">
	<table cellpadding=1 cellspacing=0 border=0 bgcolor=bbbbbb width=100% align="center"><tr><td>
	<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=666666>
	<tr>
		<td bgcolor=f0f0f0>
			<h3 class="formtitle">Filter Groups</h3>

			<font size=1>
				(<a href="GroupBrowser.jspa?nameFilter=">Clear Filter</a>)
			</font>
		</td>
	</tr>

	<webwork:property value="filter">
		<ui:select label="'Groups Per Page'" labelposition="'top'" name="'max'"
			list="/maxValues" listKey="'.'" listValue="'.'" >
			<ui:param name="'headerrow'" value="''" />
		</ui:select>

		<ui:textfield label="'Name Contains'" labelposition="'top'" name="'nameFilter'" size="20" />
	</webwork:property>

	<tr>
	<td bgcolor=f0f0f0 align=center>
		<input type="submit" value="Filter">
	</td>
	</tr>
	</table>
	</td></tr></table>
	</form>


</td>

</tr>
</table>

</body>
</html>