
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Set Password: <webwork:property value="user/fullName" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Set Password: <webwork:property value="user/fullName" /></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">Update the user's password below.</page:param>
	<page:param name="action">SetPassword.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewUser.jspa?name=<webwork:url value="user/name" /></page:param>

	<ui:password label="'Password'" name="'password'" size="12" />
	<ui:password label="'Confirm'" name="'confirm'"  size="12"/>
	<ui:component name="'name'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>

</body>
</html>
