<%@ page import="java.util.*,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Group</title>
</head>
<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Group: <webwork:property value="group/name" /></page:param>
        <page:param name="width">100%</page:param>
        <webwork:property value="group">
        <p>
            <b>Group Name:</b> <webwork:property value="./name" /><br>
            <b>Users : </b> <webwork:property value="./users/size"/> <font size=1>(<a href="UserBrowser.jspa?emailFilter=&group=<webwork:property value="../escapeAmpersand(./name)" />">View</a>)</font><br>
            <br>
            <b>Permission Schemes:</b><br>
            <webwork:property value="/permissionSchemes(./name)">
                <webwork:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    There are no Permissions Schemes associated with this Group.<br>
                </webwork:if>
                <webwork:else>
                    <webwork:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditPermissions!default.jspa?schemeId=<webwork:property value="./long('id')"/>"><webwork:property value="./string('name')" /></a><br>
                    </webwork:iterator>
                </webwork:else>
            </webwork:property>
            <br>
            <b>Notification Schemes:</b><br>
            <webwork:property value="/notificationSchemes(./name)">
                <webwork:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    There are no Notification Schemes associated with this Group.<br>
                </webwork:if>
                <webwork:else>
                    <webwork:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditNotifications!default.jspa?schemeId=<webwork:property value="./long('id')"/>"><webwork:property value="./string('name')" /></a><br>
                    </webwork:iterator>
                </webwork:else>
            </webwork:property>
            <webwork:if test="/enterprise == true">
            <br>
            <b>Issue Security Schemes:</b><br>
            <webwork:property value="/issueSecuritySchemes(./name)">
                <webwork:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    There are no Issue Security Schemes associated with this Group.<br>
                </webwork:if>
                <webwork:else>
                    <webwork:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/admin/EditIssueSecurities!default.jspa?schemeId=<webwork:property value="./long('id')"/>"><webwork:property value="./string('name')" /></a><br>
                    </webwork:iterator>
                </webwork:else>
            </webwork:property>
            </webwork:if>
            <br>
            <b>Saved Filters:</b><br>
            <webwork:property value="/savedFilters(./name)">
                <webwork:if test="./empty == true">
                    &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                    There are no Saved Filters associated with this Group.<br>
                </webwork:if>
                <webwork:else>
                    <webwork:iterator value=".">
                        &nbsp; <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height="8" width="8" border="0" align="absmiddle">
                        <a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?mode=hide&requestId=<webwork:property value="./long('id')"/>"><webwork:property value="./string('name')" /></a> (Owner: <a href="<%= request.getContextPath() %>/secure/admin/user/ViewUser.jspa?name=<webwork:property value="./string('author')"/>"><webwork:property value="./string('author')"/></a>)<br>
                    </webwork:iterator>
                </webwork:else>
            </webwork:property>
        </p>
        </webwork:property>
    </page:applyDecorator>
</body>
</html>