<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Create Custom Field</title>
</head>
<style>
.rowSelected  { background-color: #dddddd; }
.rowHover  { background-color: #dddddd; }
</style>
<script language="javascript">

    var selected;

    function cellHover(cell)
    {
        cell.oldClassName = cell.className;
        cell.className = 'rowHover';
        cell.onmouseout = function()
        {
            this.className = this.oldClassName;
        }
    }

    function selectCellRadioBox(cell)
    {
        var id = cell.id.substring(4, cell.id.length);
        document.forms['jiraform'].elements[id + '_id'].checked = true;
    }

</script>
<body>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Create Custom Field</page:param>
		<page:param name="description"><b>Step 1 of 2</b>: Choose the field type and scope...
        </page:param>
		<page:param name="width">100%</page:param>
		<page:param name="action">CreateCustomField.jspa</page:param>
        <page:param name="submitName">Next&gt;&gt;</page:param>
		<page:param name="cancelURI">ViewCustomFields.jspa</page:param>
        <page:param name="helpURL">customfields</page:param>
    <tr bgcolor=ffffff><td align="right" valign="top" bgcolor="fffff0">
        Field Type:
    <td>

    <table class="gridBox" cellpadding="3" cellspacing="1" align="left">
        <webwork:if test="fieldTypes/size > 0">

          <webwork:iterator value="fieldTypes" status="'status'">
          <tr bgcolor="#<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
              <td id="cell<webwork:property value="key"/>" valign=top onmouseover="cellHover(this)" onclick="selectCellRadioBox(this)">
              <label for="<webwork:property value="key"/>_id">
                <input type="radio" name="fieldType" value="<webwork:property value="key"/>" id="<webwork:property value="key"/>_id">
                <b><webwork:property value="name"/></b><br>
                <font size="1"><webwork:property value="description"/></font>
              </label>
              </td>
          </tr>
          </webwork:iterator>
        </webwork:if>
        <webwork:else>
        <tr><td colspan=5 bgcolor=ffffff>You have no custom fields types available.</td></tr>
        </webwork:else>
    </table>
    </td></tr>

        <ui:radio label="'Field Scope'" name="'fieldScope'" list="fieldScopes" listKey="'key'" listValue="'value'" />
	</page:applyDecorator>
</body>
</html>