
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Delete Custom Field: <webwork:property value="customField/name" /></title>
</head>
<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Delete Custom Field: <webwork:property value="customField/name" /></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
        <p>Confirm that you want to delete this custom field.</p>
        <p><font color=990000>Note</font>: Deleting a custom field removes all matching values from all issues.</p>
	</page:param>

		<page:param name="width">100%</page:param>
	<page:param name="action">DeleteCustomField.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewCustomFields.jspa</page:param>

	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>

</body>
</html>