<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Create Custom Field - Defaults</title>
</head>

<body>
    <!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
    <%@ include file="/includes/js/date_picker.jsp" %>

	<page:applyDecorator name="jiraform">
		<page:param name="title">Set Custom Field Defaults</page:param>
		<page:param name="description">Set the custom field default values for custom field: <b><webwork:property value="customField/name" /></b></page:param>
		<page:param name="action">EditCustomFieldDefaults.jspa</page:param>
		<page:param name="width">100%</page:param>
		<page:param name="submitName">Set Default</page:param>
        <page:param name="cancelURI">ViewCustomFields.jspa</page:param>
        <page:param name="helpURL">customfields</page:param>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <webwork:property value="/customFieldHtml" escape="false" />
    </page:applyDecorator>