
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Project: <webwork:property value="project/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Delete Project: <webwork:property value="project/string('name')" /></page:param>
	<page:param name="description">
		<p>Confirm that you want to delete this project and all it's issues, components and versions.</p>
		<p><font color=cc0000>WARNING: This operation cannot be undone. If you wish to save the project data, it is
		recommended that you <a href="XmlBackup!default.jspa">back it up first</a>.</font></p>
	</page:param>

	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteProject.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:url value="project/long('id')" /></page:param>
	<page:param name="autoSelectFirst">false</page:param>

	<ui:component name="'pid'" template="hidden.jsp" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>