<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>External Import</title>
</head>

<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Import Data</page:param>
        <page:param name="width">100%</page:param>
        <p>
            Please choose a system from which you would like to import data:
        </p>
        <ul class="square">
            <li><b><a id="import_bugzilla" href="BugzillaImport!default.jspa">Bugzilla</a></b></li>
            <li><b><a id="import_mantis" href="MantisImport!default.jspa">Mantis</a></b></li>
            <li><b><a id="import_csv" href="CsvImport!default.jspa">Comma-separated values (CSV)</a></b></li>
        </ul>
        <p>Other possibilities that require some manual work include:</p>
        <ul class="square">
            <li><b><a id="import_jelly" href="http://www.atlassian.com/software/jira/docs/latest/jelly.html">Custom-written Jelly scripts</a></b></li>
        </ul>
        <p>Please <a href="http://www.atlassian.com/software/jira">contact Atlassian</a> for further options.</p>
    </page:applyDecorator>
</body>
</html>