
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from CSV file</title>
</head>
<body>
<script language="JavaScript" type="text/javascript">
<!--
    function forwardPage()
    {
        try
        {
            var importFileLocation = document.jiraform.importFileLocation.value;
            var configFileLocation = document.jiraform.configFileLocation.value;
            
            var extras = "";
            if (importFileLocation)
            {
                extras = extras + "importFileLocation=" + importFileLocation + "&";
            }
            
            if (configFileLocation)
            {
                extras = extras + "configFileLocation=" + configFileLocation;
            }
            
            location.href = "ConfigureCsvMapping!default.jspa?" + extras;

            return false;
        }
        catch(e)
        {
           // Non critical error
           return true;
        }
    }
//-->
</script>


<page:applyDecorator name="jiraform">
    <page:param name="action">CsvImport!settings.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Import</page:param>
    <page:param name="autoSelectFirst">true</page:param>
    <page:param name="title">Import Data from CSV file</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="instructions">
        To import from CSV you must have a valid <b>configuration file</b> saved on the server.
        Run the <strong><a href="ConfigureCsvMapping!default.jspa" onclick="return forwardPage();">CSV Import Wizard</a></strong> to create or edit a configuration file.<br />
        The wizard will guide you through how to map the data in your CSV file to JIRA information.
        Once this is completed, you can save the file on the server and use it in the import process.
	</page:param>

    <ui:textfield label="'CSV Import file location'" name="'importFileLocation'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">Location of your CSV import file on the server</ui:param>
		<ui:param name="'mandatory'">true</ui:param>
	</ui:textfield>

    <ui:textfield label="'Existing configuration file'" name="'configFileLocation'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">Location of your configuration file on the server. No configuration file? Run the  <b><a href="ConfigureCsvMapping!default.jspa" onclick="return forwardPage();">CSV Import Wizard</a></b> first.</ui:param>
		<ui:param name="'mandatory'">true</ui:param>
	</ui:textfield>

</page:applyDecorator>


</body>
</html>