
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from CSV file</title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">CsvImport!import.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="submitName">Begin Import</page:param>
    <page:param name="autoSelectFirst">true</page:param>
    <page:param name="title">Import Data from CSV file</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="description">
        Choose the objects that you wish to be imported automatically into JIRA.
	</page:param>

<%--    <ui:component label="'Enabled notifications'" name="'importer/settings/notificationsEnabled'"--%>
<%--                  value="/importer/settings/notificationsEnabled"--%>
<%--                  template="radiotruefalse.jsp">--%>
<%--    </ui:component>--%>
<%----%>
<%--    <ui:component label="'translateTypePriortyResolution'" name="'importer/settings/translateTypePriortyResolution'"--%>
<%--                  value="/importer/settings/translateTypePriortyResolution"--%>
<%--                  template="radiotruefalse.jsp">--%>
<%--    </ui:component>--%>


    <ui:component label="'Create new users'" name="'importer/settings/userImportEnabled'"
                  value="/importer/settings/userImportEnabled"
                  template="radiotruefalse.jsp">
        <ui:param name="'description'">
        Users whose usernames do not exist will be created.
        </ui:param>
    </ui:component>

    <ui:component label="'Create new versions'" name="'importer/settings/versionImportEnabled'"
                  value="/importer/settings/versionImportEnabled"
                  template="radiotruefalse.jsp">
        <ui:param name="'description'">
        Versions that do not exist will be created
        </ui:param>
    </ui:component>

    <ui:component label="'Create new components'" name="'importer/settings/componentImportEnabled'"
                  value="/importer/settings/componentImportEnabled"
                  template="radiotruefalse.jsp">
        <ui:param name="'description'">
        Components that do not exist will be created
        </ui:param>
    </ui:component>

    <ui:component label="'Create new custom fields'" name="'importer/settings/customFieldCreationEnabled'"
                  value="/importer/settings/customFieldCreationEnabled"
                  template="radiotruefalse.jsp">
        <ui:param name="'description'">
        Custom fields that do not exist will be created
        </ui:param>
    </ui:component>

    <ui:textfield label="'Maximum issues and failures'" name="'importer/settings/maxIssueImported'" value="''">
		<ui:param name="'size'">10</ui:param>
		<ui:param name="'description'">Limit the maximum number of issues to import. Each failure will count as one imported issue Leave blank to import all</ui:param>
	</ui:textfield>

    <ui:component name="'importFileLocation'" template="hidden.jsp" theme="'single'"/>

</page:applyDecorator>

</body>
</html>