
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Issue Security Scheme</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditIssueSecurityScheme.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
    	<page:param name="cancelURI">ViewIssueSecuritySchemes.jspa</page:param>
        <page:param name="title">Edit Issue Security Scheme: <webwork:property value="scheme/string('name')" /></page:param>
        <page:param name="width">100%</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'" />
        <ui:textarea label="'Description'" name="'description'" cols="'30'" rows="'3'" />

        <webwork:property value="securityLevels" >
            <ui:select label="'Default Security Level'" name="'defaultLevel'" list="keySet"
                listKey="'.'" listValue="'../(.)'">
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="'-1'" />
            </ui:select>
                <tr>
                    <td bgcolor=fffff0 align=right></td>
                    <td bgcolor=ffffff valign=top>
                        <font size=1>Setting the Default Level will ensure that all issues created in projects belonging to this issue security scheme will have security set to this level if the reporter does not have permission to set issue security.</font> <br>
                        <font color = cc00000 size=1>Note: When setting the Default Security Level on a scheme make sure that everybody that you want to have access to an issue has rights for this level. If you want the Reporter to see their own issues make sure Current Reporter is set up within this level</font>
                    </td>
                </tr>
        </webwork:property>

        <ui:component name="'schemeId'" template="hidden.jsp" />
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
