<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Jelly Runner</title>
</head>
<body>
<webwork:if test="allowedToRun == true">
    <page:applyDecorator name="jiraform">
        <page:param name="action">JellyRunner.jspa</page:param>
        <page:param name="title">Jelly Runner</page:param>
        <page:param name="description">
            <p>Either specify a path to a Jelly script file or paste a Jelly script into the text area. The Jelly script will be validated and then run on the server.</p>
            <font color=990000>Note</font>: Your Jelly script will have unknown affects on JIRA so should be tested on a Development environment first.
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">jelly</page:param>
        <page:param name="submitName">Run</page:param>
        <ui:textfield label="'Jelly Script file path'" name="'filename'" size="'60'" maxlength="'255'" />
        <tr>
            <td bgcolor="fffff0" align="right"><font color="990000">OR</font></td><td bgcolor="ffffff">&nbsp;</td>
        </tr>
        <ui:textarea label="'Jelly Script (XML)'" name="'script'" rows="'40'" cols="'80'"/>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jirapanel">
    <page:param name="title">Jelly Runner</page:param>
    <page:param name="helpURL">jelly</page:param>
    <page:param name="description">
    <p>
        <webwork:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />
        <webwork:property value="@helpUtil/helpPath('jelly')">
        As a security precaution, the Jelly Runner on this installation is currently disabled.  To enable Jelly support, please start JIRA with "-Djira.jelly.on=true". For more information see the <a href="<webwork:property value="url" />" target="_jirahelp">Jelly Documentation</a>.<br>
        </webwork:property>
    </p>
    </page:param>
    </page:applyDecorator>
</webwork:else>
</body>
</html>
