
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Listener</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">EditListener.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="cancelURI">ViewListeners!default.jspa</page:param>
	<page:param name="title">Edit Listener : <webwork:property value="listener/string('name')" /></page:param>
	<page:param name="description">
        <webwork:if test="/jiraListener/description"><b>Description:</b></br><webwork:property value="/jiraListener/description" escape="false" /></webwork:if>
        <br><b>Instructions:</b></br>Enter text values for listener properties below. Any empty fields will be set to NULL in the Listener's initialisation.
    </page:param>

	<webwork:iterator value="acceptedParams">
	<tr>
		<td align="right" valign="top" bgcolor="fffff0">
			<span class="label">
			<webwork:property value="." />
			</span>
		</td>

		<td bgcolor="ffffff">
			<input type="text" name="<webwork:property value="." />" value="<webwork:property value="paramValue(.)" />">
		</td>
	</tr>
	</webwork:iterator>

	<ui:component name="'id'" template="hidden.jsp" />

</page:applyDecorator>

</body>
</html>
