
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add SMTP Mail Server</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddSmtpMailServer.jspa</page:param>
        <page:param name="submitName"> <webwork:text name="'common.forms.add'"/> </page:param>
    	<page:param name="cancelURI">ViewMailServers.jspa</page:param>
        <page:param name="title">Add SMTP Mail Server</page:param>
        <page:param name="description">Use this page to add a new SMTP mail server. This server will be used to send all outgoing mail from JIRA.</page:param>
        <page:param name="width">100%</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'">
            <ui:param name="'description'">The name of this server within JIRA.</ui:param>
        </ui:textfield>
        <ui:textfield label="'Description'" name="'description'" size="'60'" />

        <ui:textfield label="'From address'" name="'from'">
            <ui:param name="'description'">The default address this server will use to send emails from.</ui:param>
        </ui:textfield>
        <ui:textfield label="'Email prefix'" name="'prefix'">
            <ui:param name="'description'">This prefix will be prepended to all outgoing email subjects.</ui:param>
        </ui:textfield>

        <tr>
            <td colspan=2 bgcolor=ffffff>&nbsp;</td>
        </tr>

        <tr>
            <td colspan=2 bgcolor=f0f0f0><b>Server Details</b><br>
            Enter <i>either</i> the host name of your SMTP server <i>or</i> the JNDI location of a javax.mail.Session object to use.</td>
        </tr>

        <tr>
            <td colspan=2 bgcolor=f0f0f0><b>SMTP Host</b></td>
        </tr>

        <ui:textfield label="'Host Name'" name="'serverName'">
            <ui:param name="'description'">The SMTP host name of your mail server.</ui:param>
        </ui:textfield>

        <ui:textfield label="'Username'" name="'username'">
            <ui:param name="'description'">Optional - if you use authenticated SMTP to send email, enter your username.</ui:param>
        </ui:textfield>

        <ui:password label="'Password'" name="'password'">
            <ui:param name="'description'">Optional - as above, enter your password if you use authenticated SMTP.</ui:param>
        </ui:password>

        <tr>
            <td bgcolor=ffffff><b>OR</b></td>
            <td bgcolor=ffffff align=center>&nbsp;</td>
        </tr>

        <tr>
            <td colspan=2 bgcolor=f0f0f0><b>JNDI Location</b></td>
        </tr>

        <ui:textfield label="'JNDI Location'" name="'jndiLocation'">
            <ui:param name="'description'">The JNDI location of a javax.mail.Session object, setup by your application server.</ui:param>
        </ui:textfield>

        <ui:component name="'type'" value="types[1]" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
