
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Configure Project Email Settings</title>
</head>

<body>

    <p>
    <table width="100%" cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">ProjectEmail.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.confirm'"/></page:param>
    	<page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="title">Configure Project Email Settings</page:param>
        <page:param name="description">Notification emails for this project will come from this email address. This setting will not affect other projects - it is specific to this project.<br>"Reset" will set the sender address to the default SMTP Mail server sender address.</page:param>
        <page:param name="buttons"><input type="submit" name="command" value="Reset"></page:param>

        <ui:textfield label="'Sender Address'" name="'fromAddress'">
            <ui:param name="'description'">Notification emails for this project will be sent from this email address.</ui:param>
        </ui:textfield>

        <tr>
            <td colspan=2 bgcolor=ffffff>&nbsp;</td>
        </tr>
        <ui:component name="'projectId'" value="projectId" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
