<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Select Mantis projects to import</title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">MantisSetProjectDefaults.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Next</page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title">Select Mantis projects to import</page:param>
    <page:param name="helpURL">mantis</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
    <b>Step 2 of 3:</b> Select Mantis projects to import

    </page:param>
    <ui:select label="'Projects to Import'" name="'selectedProjects'" template="selectmultiple.jsp" list="availableProjects" listKey="'toString'" listValue="'toString'">
        <ui:param name="'size'" value="@mathBean.min(20, availableProjects/size))" />
    </ui:select>
    
    <ui:checkbox label="'Send email notifications'" name="'enablenotifications'" fieldValue="'true'">
        <ui:param name="'description'">Check if you want newly created issues to generate trigger notification events</ui:param>
    </ui:checkbox>
    <ui:checkbox label="'Reuse existing user accounts'" name="'reuseExistingUsers'" fieldValue="'true'">
        <ui:param name="'description'">Check to assign Mantis issues to existing users, if email addresses match</ui:param>
    </ui:checkbox>
    <ui:checkbox label="'Reindex afterwards'" name="'reindex'" fieldValue="'true'">
        <ui:param name="'description'">Check to reindex data afterwards (optimizes search speed)</ui:param>
    </ui:checkbox>
    <ui:checkbox label="'Add users to jira-developers group'" name="'addToDevelopersGroup'" fieldValue="'true'">
        <ui:param name="'description'">Check to allow imported users to edit, move, assign, work on, resolve, close and link issues (in the <a href="EditPermissions!default.jspa?schemeId=0">default permission scheme</a>).</ui:param>
    </ui:checkbox>


    <ui:textfield label="'Mantis attachment path'" name="'attachmentPath'" size="60">
      <ui:param name="'description'">Enter the path to the Mantis attachments directory</ui:param>
    </ui:textfield>


</page:applyDecorator>
<%--<script language="JavaScript">--%>
<%--function openMonitor() {--%>
<%--  win = window.open('MantisImport!monitor.jspa?decorator=none', 'Mantis Log Monitor', 'status=no,resizable=yes,top=100,left=200,width=650,height=600,scrollbars=yes');--%>
<%--  win.focus();--%>
<%--  return false;--%>
<%--}--%>
<%--</script>--%>
<%--<a href="MantisImport!monitor.jspa?decorator=none" onClick="return openMonitor()">watch logs in a separate window</a>--%>
</body>
</html>