
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Notification</title>
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddNotification.jspa</page:param>
    <page:param name="submitName"> <webwork:text name="'common.forms.add'"/> </page:param>
    <page:param name="cancelURI"><webwork:url page="EditNotifications!default.jspa"><webwork:param name="'schemeId'" value="schemeId"/></webwork:url></page:param>
    <page:param name="title">Add New Notification</page:param>
    <page:param name="helpURL">notification_schemes</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
    <p>
    Please select the type of Notification you wish to add to scheme: <webwork:property value="scheme/string('name')"/>.
    </p>
    </page:param>

    <tr>
        <td bgcolor=ffffff>
            &nbsp;<br>
            <table align=center border="0" cellpadding="4" cellspacing="1" width=100%>
            <tr>
                <td align=center width=40% valign=top>
                    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
                    <table align=center border="0" cellpadding="4" cellspacing="1" width=100%>
                        <ui:select label="'Events'" name="'eventids'" template="selectmultiple.jsp"
                            list="events" listKey="'key'" listValue="'value'" size="7" >
                            <ui:param name="'description'">
                                (Select the notifications that you want to assign).
                            </ui:param>
                        </ui:select>
                    </table>
                    </td></tr></table>
                </td>
                <td align=center width=60% valign=top>


                <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
                <table border="0" cellpadding="4" cellspacing="1" width=100%>
                    <webwork:iterator value="types/keySet" status="'status'">
                    <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">

                        <td width=5% align=center><input type="radio" name="type" id="label_<webwork:property/>" value="<webwork:property value="."/>" <webwork:if test="type==.">checked</webwork:if>></td>
                        <td width=25% align="left"><label for="label_<webwork:property/>"><webwork:property value="types/(.)/displayName"/></label></td>
                        <webwork:if test="types/(.)/type == 'email'">
                            <td><input type="text" name="<webwork:property value="."/>" value="<webwork:property value="../parameter(.)"/>" onChange="document.forms['jiraform'].type[6].checked = true;"></td>
                        </webwork:if>
                        <webwork:elseIf test="types/(.)/type == 'user'">
                            <td>
                                <ui:component label="''" name="." template="userselectnoheaders.jsp">
                                    <ui:param name="'formname'" value="'jiraform'" />
                                    <ui:param name="'imageName'" value="'userImage'"/>
                                    <ui:param name="'onchange'" value="'document.forms['jiraform'].type[4].checked = true;'" />
                                </ui:component>
                            </td>
    <%--                        <td><input type="text" name="<webwork:property value="."/>" value="<webwork:property value="../parameter(.)"/>"></td>--%>
                        </webwork:elseIf>
                        <webwork:elseIf test="types/(.)/type == 'group'">
                            <td>
                            <select name="<webwork:property value="."/>" onClick="document.forms['jiraform'].type[5].checked = true;">
                                <option value="">Choose a group</option>
                                <webwork:iterator value="types/(.)/groups" >
                                    <option value="<webwork:property value="name"/>" <webwork:if test="../../parameter(..) == name" >selected</webwork:if>><webwork:property value="name"/></option>
                                </webwork:iterator>
                            </td>
                        </webwork:elseIf>
                        <webwork:else><td>&nbsp;</td></webwork:else>
                    </tr>
                    </webwork:iterator>
                    <ui:component name="'schemeId'" template="hidden.jsp"/>
                    <ui:component name="'event'" template="hidden.jsp"/>
                </table>
                </td></tr></table>

            </td></tr></table>
            &nbsp;<br>
        </td>
    </tr>

</page:applyDecorator>


</body>
</html>
