
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Project Category: <webwork:property value="projectManager/projectCategory(id)/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Delete Project Category: <webwork:property value="projectManager/projectCategory(id)/string('name')" /></page:param>
	<page:param name="description">
		<p>Confirm that you want to delete this project category.</p>
	</page:param>

	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteProjectCategory.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewProjectCategories!default.jspa</page:param>
	<page:param name="autoSelectFirst">false</page:param>

	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
	<ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />

</page:applyDecorator>

</body>
</html>