<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Refresh Statistics</title>
</head>
<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Refresh Statistics</page:param>
        <page:param name="width">100%</page:param>
        <p>
        Here you can refresh the statistics either of a single project or of all projects. The see the statistics for a project you can  <a href="<%= request.getContextPath() %>/secure/BrowseProjects.jspa">Browse Projects</a>.
        <p>
        <p><font color=cc0000>WARNING: Refreshing the statistics of all projects may take time depending on the number of projects and issues</font> <p>
    </page:applyDecorator>
    <p>
    <webwork:if test="projects/size > 0">
            <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
            <table border="0" cellpadding="3" cellspacing="1" width=100%>
                <tr bgcolor=f0f0f0>
                    <td class="colHeaderLink">
                        <b>Project</b>
                    </td>
                    <td class="colHeaderLink">
                        &nbsp;
                    </td>
                </tr>
                <tr bgcolor=fffff0>
                    <td>
                        All Projects (Refresh for all projects)
                    </td>
                    <td>
                        <a href="RefreshStatistics.jspa?refresh=true">Refresh</a>
                    </td>
                </tr>
                <webwork:iterator value="projects" status="'status'">
                    <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                        <td>
                            <a href="<%=request.getContextPath() %>/secure/BrowseProject.jspa?id=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a>
                        </td>
                        <td>
                            <a href="RefreshStatistics.jspa?projectId=<webwork:property value="string('id')"/>&refresh=true">Refresh</a>
                        </td
                    </tr>
                </webwork:iterator>
            </table>
            </td></tr></table>
        </p>
    </webwork:if>
    <webwork:else>
        <p>
            <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=105%><tr><td>
            <table  border="0" cellpadding="3" cellspacing="1" width=100%>
                <%@ include file="/includes/noprojects.jsp" %>
            </table>
            </td></tr></table>
        </p>
    </webwork:else>
</body>
</html>