
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Service</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">EditService.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewServices!default.jspa</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="title">Edit Service : <webwork:property value="service/string('name')" /></page:param>
    <page:param name="helpURL">services</page:param>
    <page:param name="helpURLFragment">#messagehandlers</page:param>
	<page:param name="description">
        <webwork:if test="description"><b>Description:</b></br><webwork:property value="description" escape="false" /></webwork:if>
        <br><b>Instructions:</b></br>Enter text values for service properties below. Any empty fields will be set to NULL in the Service's initialisation.
    </page:param>

    <webwork:iterator value="objectConfiguration/fieldKeys" >
    <%@ include file="/includes/panels/objectconfiguration_form.jsp"  %>
    </webwork:iterator>

    <tr><td colspan=2 bgcolor=f0f0f0>
        You can also adjust the delay period of this service. Note that if you adjust this delay,
        the service will be restarted.
    </td></tr>

	<ui:textfield label="'Delay'" name="'delay'" size="'30'">
        <ui:param name="'description'">Delay - in minutes</ui:param>
    </ui:textfield>

	<ui:component name="'id'" template="hidden.jsp" />

</page:applyDecorator>

</body>
</html>
