<%@ page import="org.apache.log4j.Logger,
                 org.apache.log4j.Appender,
                 org.apache.log4j.spi.LoggerFactory,
                 org.apache.log4j.spi.LoggerRepository,
                 org.apache.log4j.LogManager,
                 java.util.Enumeration,
                 java.io.Writer,
                 java.io.PrintWriter,
                 java.io.IOException,
                 org.apache.log4j.Category"  %>
<%@ taglib uri="webwork" prefix="webwork"  %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Logging &amp; Profiling</title>
</head>

<%
    
%>
<body>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title">Logging</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="titleColspan">3</page:param>
    <page:param name="description">
        This page allows you to change the level at which JIRA logs its messages.  It is useful if you
        are debugging JIRA.
        <p>
        Note that any changes you make here are <i>not persisted</i> across server restarts.<br>
        You will need to edit 'WEB-INF/classes/log4j.properties' to change levels permanently.
        <p>
        Logging will go to the console.
    </page:param>

    <tr class=rowHeader>
        <th>Package name</th>
        <th>Logging Level</th>
        <th></th>
    </tr>

<webwork:property value="/rootLogger" >
    <tr class="rowAlternate">
        <td><i>Default</i></td>
        <td><i><webwork:property value="level" /></i></td>
        <td><a href="ConfigureLogging!default.jspa?categoryName=<webwork:property value="name" />">Edit</a></td>
    </tr>
</webwork:property>


<webwork:iterator value="/loggers" status="'iteratorStatus'">
    <tr <webwork:if test="@iteratorStatus/odd == true">class="rowNormal"</webwork:if><webwork:else>class="rowAlternate"</webwork:else>>
        <td><webwork:property value="name" /></td>
        <td><webwork:property value="effectiveLevel" /></td>
        <td><a href="ConfigureLogging!default.jspa?categoryName=<webwork:property value="name" />">Edit</a></td>
    </tr>

</webwork:iterator>
</page:applyDecorator>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title">Profiling</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        Turn this on to get profiling information from JIRA.  This information will be sent to the console.</page:param>
<tr><td bgcolor="#ffffff">

        <webwork:if test="/profilingEnabled == true">
            Profiling is currently turned <b><font color="#009900">ON</font></b>.
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="ViewLogging!disableProfiling.jspa"><b>Disable</b></a> profiling.
        </webwork:if>
        <webwork:else>
             Profiling is currently turned <b><font color="#990000">OFF</font></b>.
            <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="ViewLogging!enableProfiling.jspa"><b>Enable</b></a> profiling.
        </webwork:else>
</td></tr>

</page:applyDecorator>

</body>
</html>

