<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Workflow to Scheme</title>
</head>

<body>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddWorkflowSchemeEntity.jspa</page:param>
    <page:param name="submitName"> <webwork:text name="'common.forms.add'"/> </page:param>
    <page:param name="cancelURI"><webwork:url page="EditWorkflowSchemeEntities!default.jspa"><webwork:param name="'schemeId'" value="schemeId"/></webwork:url></page:param>
    <page:param name="title">Add Workflow To Scheme</page:param>
    <page:param name="helpURL">workflow_schemes</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
    <p>
    Please select the issue type and workflow you wish to add to scheme: <webwork:property value="scheme/string('name')"/>.
    </p>
    </page:param>

    <ui:select label="'Issue Type'" name="'type'" list="issueTypes" listKey="'key'" listValue="'value'">
        <ui:param name="'description'">
            (Select the issue type for this workflow).
        </ui:param>
    </ui:select>

    <ui:select label="'Workflow'" name="'workflowName'" list="/workflows" listKey="'name'" listValue="'name'">
        <ui:param name="'description'">
            (Select the workflow for this issue type).
        </ui:param>
    </ui:select>

    <ui:component name="'schemeId'" template="hidden.jsp"/>
    <ui:component name="'event'" template="hidden.jsp"/>
</page:applyDecorator>


</body>
</html>
