<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Workflow Transition</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddWorkflowTransition.jspa</page:param>
        <page:param name="submitName">Add</page:param>
    	<page:param name="cancelURI"><webwork:property value="/cancelUrl" /></page:param>
        <page:param name="title">Add Workflow Transition</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            Create a transition from <b><webwork:property value="/workflow/descriptor/step(step/id)/name" /></b> to another step.
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" theme="'single'"  />

        <ui:textfield label="'Transition Name'" name="'transitionName'" size="'30'" />
        <ui:textarea label="'Description'" name="'description'" cols="'30'" rows="'3'" />
        <ui:select label="'Destination Step'" name="'destinationStep'" list="workflow/descriptor/steps" listKey="'id'" listValue="'name'" />

        <webwork:bean id="workflowActions" name="'com.atlassian.jira.web.action.admin.workflow.WorkflowActionsBean'" />

        <ui:select label="'Transition View'" name="'view'" list="@workflowActions/availableViews" listKey="'key'" listValue="'value'" value="@workflowActions/selectedView">
            <ui:param name="'description'">The screen that appears for this transtion (if any).</ui:param>
        </ui:select>

        <ui:component name="'originatingUrl'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
