<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Workflow Transition <webwork:property value="/descriptorName"/></title>
</head>

<body>
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/fieldenabler.jsp"></script>

    <page:applyDecorator name="jiraform">
        <page:param name="action"><webwork:property value="/actionName"/>.jspa</page:param>
        <%-- NOTE!!! If you are changing the submit button name also need to change the
        AbstractAddWorkflowTransitionDescriptorParams.setupWorkflowDescriptorParams() method as it expects the
        name of the button as a parameter --%>
        <page:param name="submitName">Add</page:param>
    	<page:param name="cancelURI"><webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url></page:param>
        <page:param name="title">Add <webwork:property value="/descriptorName"/> To Transition</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="columns">2</page:param>
        <page:param name="description">
            Add a <webwork:property value="/descriptorName"/> to this transition.
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" />
        <ui:component name="'workflowTransition'" value="transition/id" template="hidden.jsp" />

        <tr bgcolor=ffffff><td>
        <p>
        <webwork:if test="/workflowModuleDescriptors && /workflowModuleDescriptors/empty == false">
            <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
            <table border="0" cellpadding="3" cellspacing="1" width=100%>
                <tr bgcolor=f0f0f0>
                    <td class="colHeaderLink">&nbsp;</td>
                    <td class="colHeaderLink">Name</td>
                    <td class="colHeaderLink">Description</td>
                </tr>
                <webwork:iterator value="/workflowModuleDescriptors" status="'status'">
                    <tr bgcolor=<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>>
                        <td width="1%" valign="top">
                            <input type="radio" name="type" value="<webwork:property value="completeKey"/>"/>
                        </td>
                        <td width="20%" valign="top">
                            <span class="label">
                                <webwork:property value="./name"/>
                            </span>
                        </td>
                        <td>
                            <webwork:property value="./description"/>
                        </td>
                    </tr>
                </webwork:iterator>
            </table>
            </td></tr></table>
        </webwork:if>
        <webwork:else>
            There are no available <webwork:property value="/descriptorName"/> descriptors to add.
        </webwork:else>
        </p>
        </td></tr>

    </page:applyDecorator>

</body>
</html>
