
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Workflow Scheme Entity</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">DeleteWorkflowSchemeEntity.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
    	<page:param name="cancelURI"><webwork:url page="EditWorkflowSchemeEntities!default.jspa"><webwork:param name="'schemeId'" value="schemeId"/></webwork:url></page:param>
        <page:param name="title">Delete Workflow Scheme Entity</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
	    <page:param name="description">
        <input type="hidden" name="schemeId" value="<webwork:property value="schemeId" />">
        <input type="hidden" name="id" value="<webwork:property value="id" />">
        <input type="hidden" name="confirmed" value="true">
        Are you sure you want to remove the workflow <b><webwork:property value="workflow/name" /></b> 
        from 
        <webwork:if test="workflowSchemeEntity/string('issuetype') == '0'">
            all unassigned issues?
        </webwork:if>
        <webwork:else>
            all issues of type <b><webwork:property value="/constantsManager/issueType(workflowSchemeEntity/string('issuetype'))/string('name')" /></b>?
        </webwork:else>
        </page:param>
    </page:applyDecorator>
    </table>
    </p>

</body>
</html>
