<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Update Workflow Step</title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditWorkflowStep.jspa</page:param>
        <page:param name="submitName">Update</page:param>
    	<page:param name="cancelURI"><webwork:property value="/cancelUrl" /></page:param>
        <page:param name="title">Update Workflow Step</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            This page allows you to update the <b><webwork:property value="step/name" /></b> step.
        </page:param>

        <ui:component name="'workflowStep'" value="step/id" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'workflowName'" value="workflow/name" template="hidden.jsp" theme="'single'"  />

        <ui:textfield label="'Step Name'" name="'stepName'" size="'30'" />

        <ui:select label="'Linked Status'" name="'stepStatus'" list="/statuses" listKey="'string('id')'" listValue="'string('name')'" />

        <ui:component name="'originatingUrl'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>