<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<webwork:if test="/descriptorTab == 'all' || /descriptorTab == 'validators'">

    <%-- Display Validators (if there is at least one) --%>
    <webwork:if test="/descriptorTab == 'all'"><h3>Validators</h3></webwork:if>

    <%-- Add the 'Add Validator' Link if the workflow is not active --%>
    <webwork:if test="workflow/editable == true">
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="AddWorkflowTransitionValidator!default.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>Add</b></a> a new validator to check the input parameters before this transition is executed.
    </webwork:if>

    <p>
    <webwork:if test="/transition/validators && (/transition/validators/empty == false)">
        <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=f0f0f0>
                <td class="colHeaderLink">Description</td>
                <webwork:if test="workflow/editable == true"><td class="colHeaderLink">Operations</td></webwork:if>
            </tr>

            <webwork:bean id="descriptorBean" name="'com.atlassian.jira.web.bean.WorkflowDescriptorFormatBean'">
                <webwork:param name="'descriptorCollection'" value="/transition/validators"/>
                <webwork:param name="'delete'" value="workflow/editable" />
                <webwork:param name="'edit'" value="workflow/editable" />
                <webwork:param name="'deleteAction'">DeleteWorkflowTransitionValidator.jspa</webwork:param>
                <webwork:param name="'editAction'">EditWorkflowTransitionValidatorParams!default.jspa</webwork:param>
                <webwork:param name="'pluginType'">workflow-validator</webwork:param>
            </webwork:bean>

            <%@ include file="/includes/admin/workflow/viewworkflowdescriptors.jsp" %>
        </table>
        </table>
    </webwork:if>
    <webwork:else>
        No input parameters checks will be done before this transition is executed.
    </webwork:else>
    </p>
</webwork:if>
