<%@ taglib uri="webwork" prefix="webwork" %>
<link rel="stylesheet" type="text/css" media="print" href="<%= request.getContextPath() %>/styles/calendar-system.css">
<style type="text/css" media="screen">@import "<%= request.getContextPath() %>/styles/calendar-system.css";</style>
<script type="text/javascript" src="<%= request.getContextPath() %>/includes/js/calendar.js"></script>
<script type="text/javascript" src="<%= request.getContextPath() %>/includes/js/lang/calendar-<webwork:property value="./language"/>.js"></script>
<script type="text/javascript" src="<%= request.getContextPath() %>/includes/js/calendar-setup.js"></script>
<html>
<head>
<title>Calendar</title>
</head>
<body bgcolor="f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<div id="calendar-container" border="0"></div>
<script type="text/javascript">
  var formName = '<webwork:property value="./form"/>';
  var fieldName = '<webwork:property value="./field"/>';

  function dateChanged(calendar)
  {
    // Beware that this function is called even if the end-user only
    // changed the month/year.  In order to determine if a date was
    // clicked you can use the dateClicked property of the calendar:
    if (calendar.dateClicked)
    {
      // OK, a date was clicked
      // Change the date in the calling page
      // Retrieve the form
      var form = window.opener.document.forms[formName];
      var element = form.elements[fieldName];
      element.value=calendar.date.print(calendar.params.ifFormat);

      window.close();

      window.opener.focus();
      element.focus();
    }
  };
  Calendar.setup(
    {
      flat         : "calendar-container", // ID of the parent element
      flatCallback : dateChanged,          // our callback function
      ifFormat     : "<webwork:property value="./dateFormat"/>"            // our date format
    }
  );
  cal.parseDate("<webwork:property value="./value" escape="false"/>","<webwork:property value="./dateFormat"/>");
</script>
</body>
</html>