<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Create New Component</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title">Add A Component</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">Use this page to create a new component in the project <a href="ViewProject.jspa?pid=<webwork:property value="pid" />"><webwork:property value="project/string('name')" /></a>.</page:param>
	<page:param name="action">AddComponent.jspa</page:param>
	<page:param name="submitName">Create</page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:property value="pid" /></page:param>

	<ui:component label="'Project'" name="'project/string('name')'" template="textlabel.jsp" />
	<ui:textfield label="'Name'" name="'name'" />
    <webwork:if test="enterprise == true">
        <ui:component label="'Component Lead'" name="'componentLead'" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'size'">20</ui:param>
            <ui:param name="'description'" value="'(Enter the username of the component lead.)'"/>
        </ui:component>
    </webwork:if>
	<ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>
</body>
</html>