<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit Project: <webwork:property value="project/string('name')" /></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title">Edit Project: <webwork:property value="project/string('name')" /></page:param>
	<page:param name="width">100%</page:param>
    <page:param name="description">Use this page to update your project details.</page:param>
	<page:param name="action">EditProject.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:property value="project/long('id')" /></page:param>

	<ui:textfield label="'Name'" name="'name'" size="'50'" >
        <ui:param name="'mandatory'" value="'true'" />
    </ui:textfield>

	<ui:textfield label="'URL'" name="'url'" size="'50'" />

    <ui:component label="'Lead Developer'" name="'lead'" template="userselect.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'projectId'" value="project/long('id')" />
        <ui:param name="'size'">50</ui:param>
        <ui:param name="'userMode'" value="'1'"/>
        <ui:param name="'description'" value="'(Enter the username of the lead developer.)'"/>
        <ui:param name="'mandatory'" value="'true'" />
    </ui:component>

    <jsp:include page="/includes/admin/project/defaultassignee.jsp"/>

	<ui:textarea label="'Description'" name="'description'" rows="5" cols="40">
		<ui:param name="'description'">
			A description of this particular project (optional).<br>
            You can include HTML, make sure to close all your tags.
		</ui:param>
	</ui:textarea>

    <ui:component name="'pid'" template="hidden.jsp" />
</page:applyDecorator>
</body>
</html>