
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Merge Versions</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Merge Versions</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">MergeVersions.jspa</page:param>
    <page:param name="submitName">Merge</page:param>
    <page:param name="cancelURI">ManageVersions.jspa?pid=<webwork:url value="pid" /></page:param>
	<page:param name="description">
		This page lets you merge multiple versions into another.

        The old versions which you merge from will be removed, and its issues placed into the version you are merging into.
	</page:param>
	<tr>
		<td bgcolor=fffff0 align=center>
			<b>Merging From Versions</b>
		</td>

		<td bgcolor=fffff0 align=center>
			<b>Merge To Version</b>
		</td>
	</tr>
	<tr>
		<td bgcolor=ffffff align=center valign=top>
        <webwork:property value="versionId" />
			<webwork:if test="versions != null && versions/size > 0">
            <ui:component template="selectmultiple.jsp" theme="'common'" name="'idsToMerge'">
                <ui:param name="'list'" value="versions" />
                <ui:param name="'listKey'" value="'id'" />
                <ui:param name="'listValue'" value="'name'" />
            </ui:component>
			</webwork:if>
			<webwork:else>
				There are no versions.
			</webwork:else>
		</td>
		<td bgcolor=ffffff align=center valign=top>
			<webwork:if test="versions != null && versions/size > 0">
				<select name="idMergeTo" >
                    <option value="-1">Please choose a version</option>
					<webwork:iterator value="versions">
						<option value="<webwork:property value="id" />"
                        <webwork:if test="id == idMergeTo">
                            selected
                        </webwork:if>
                        ><webwork:property value="name" /></option>
					</webwork:iterator>
				</select>
			</webwork:if>
			<webwork:else>
				There are no versions.
			</webwork:else>
		</td>
	</tr>

	<ui:component name="'pid'" template="hidden.jsp" />
    <ui:component name="'versionId'" template="hidden.jsp" />
</page:applyDecorator>

</body>
</html>