<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:action name="'util.UserAction'" id="user" />
<html>
<head>
	<title>Project: <webwork:property value="project/string('name')" /></title>
</head>
<body>
<%@ include file="/includes/errormessages.jsp" %>
<%@ include file="/includes/admin/project/summary.jsp" %>

<webwork:property value="project">
<p align=center>
	<b>
    <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')" />">Browse Project</a>
    <webwork:if test="/hasProjectAdminPermission == true || /hasAdminPermission == true">
        | <a id="edit_project" href="EditProject!default.jspa?pid=<webwork:property value="long('id')" />">Edit Project</a>
    </webwork:if>
    <webwork:if test="/hasAdminPermission == true">
        | <a href="DeleteProject!default.jspa?pid=<webwork:property value="long('id')" />">Delete Project</a>
    </webwork:if>
    </b>
</p>

<table cellpadding=3 cellspacing=3 border=0 width=100%>
<tr width="100%">
<td width=49% valign=top>
	<!-- show components for this project -->
	<jsp:include page="/includes/panels/project/components.jsp" />
</td>
<td width=2%>&nbsp;&nbsp;</td>
<td width=49% valign=top>
	<!-- show version for this project -->
	<jsp:include page="/includes/panels/project/versions.jsp" />
</td>
</tr>
<webwork:if test="/enterprise == true">
    <tr width="100%">
        <td width="49%"valign=top>
            <a name="manageschemes" />
            <!-- show issue type field layout scheme associations for this project -->
            <jsp:include page="/includes/panels/project/fieldlayoutschemes.jsp" />
        </td>
    </tr>
</webwork:if>
</table>

</body>
</html>

</webwork:property>