<%@ page import="java.util.*"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 4 - Bulk Operation: Confirmation for EDIT -->

<html>
<head>
	<title><webwork:text name="'bulkedit.title'"/></title>
</head>
<body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="ffffff">
<tr>
    <td width=200 valign=top bgcolor=f0f0f0>
        <jsp:include page="/secure/views/bulkedit/leftpane.jsp" flush="false" />
    </td>
    <td valign=top>
        <table cellspacing=0 cellpadding=10 border=0 width="100%"><tr><td>
            <page:applyDecorator name="jirapanel">
                <page:param name="title"><webwork:text name="'bulkedit.title'"/>: <webwork:text name="'bulkedit.step4.title'"/></page:param>
                <page:param name="description">
                    <webwork:text name="'bulkedit.step4'"/>
                </page:param>
                <page:param name="width">100%</page:param>
                <table border="0" cellpadding="0" cellspacing="0" width="100%">
                    <tr>
                        <td colspan="2">
                        <webwork:text name="'bulkedit.step3.desc'"/>
                        </td>
                    </tr>
                </table>
            </page:applyDecorator>
            <p>
            <form name="bulkedit_confirmation" action="BulkEditPerform.jspa" method="POST">
            <table cellpadding=0 cellspacing=0 border=0 width=60% bgcolor=bbbbbb><tr><td>
            <table cellpadding=2 cellspacing=1 border=0 width=100%>
                <tr bgcolor=f0f0f0><th colspan=2><webwork:text name="'bulkedit.confirm.updatedfields'"/></th></tr>
                <webwork:iterator value="/bulkEditBean/actions">
                    <tr>
                    <webwork:if test="/bulkEditBean/customField(.) != null"> <%-- custom field --%>
                        <webwork:property value="/bulkEditBean/customField(.)">
                            <td bgcolor=ffffff width="40%"><b><webwork:property value="name"/></b></td>
                            <td bgcolor=ffffff><webwork:property value="/bulkEditBean/customFieldView(.)"/></td>
                        </webwork:property>
                    </webwork:if>
                    <webwork:else>                <%-- normal field --%>
                        <td bgcolor=ffffff width="40%"><b><webwork:property value="/bulkEditBean/niceName(.)"/></b></td>
                        <td bgcolor=ffffff>
                        <webwork:property value="/bulkEditBean/actionValues(.)">
                        <webwork:if test="/hasFirstElement(.) == false">
                            <webwork:text name="'bulk.edit.confirmation.blankvalue'"/>
                        </webwork:if>
                        <webwork:iterator status="'liststatus'">
                            <webwork:property value="." /><webwork:if test="@liststatus/last == false">, </webwork:if>
                        </webwork:iterator>
                        </webwork:property>

                        </td>
                    </webwork:else>

                    </tr>
                </webwork:iterator>
            </table>
            </td></tr></table>
            <p>
            <webwork:text name="'bulkedit.confirm.msg'">
                <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
            </webwork:text><br>
            <webwork:text name="'bulkedit.confirm.warning.about.blanks'"/></p>
            <p>
            <input type=submit name="<webwork:text name="'common.forms.confirm'"/>" value="<webwork:text name="'common.forms.confirm'"/>">&nbsp;<input type=button id="<webwork:text name="'common.forms.cancel'"/>" name="<webwork:text name="'common.forms.cancel'"/>" value="<webwork:text name="'common.forms.cancel'"/>" onclick="location.href='BulkCancelWizard.jspa'">
            <p>
            <webwork:component template="issuetable.jsp" name="'/bulkEditBean/selectedIssues'">
                <webwork:param name="'columns'" value="/columns"/>
                <webwork:param name="'showpagers'" value="'false'"/>
                <webwork:param name="'sortingenabled'" value="'false'"/>
            </webwork:component>
            <p>
            <input type=submit name="<webwork:text name="'common.forms.confirm'"/>" value="<webwork:text name="'common.forms.confirm'"/>">&nbsp;<input type=button id="<webwork:text name="'common.forms.cancel'"/>" name="<webwork:text name="'common.forms.cancel'"/>" value="<webwork:text name="'common.forms.cancel'"/>" onclick="location.href='BulkCancelWizard.jspa'">
            </form>
        </td></tr></table>
    </td>
</tr>
</table>
</body>
</html>