<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'createissue.title'"/></title>
</head>
<body>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>
<page:applyDecorator name="jiraform">
    <page:param name="title"><webwork:text name="'createissue.title'"/></page:param>
	<page:param name="description"><webwork:text name="'createissue.step2.desc'"/></page:param>
	<page:param name="action">CreateIssueDetails.jspa</page:param>
	<page:param name="cancelURI">default.jsp</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.create'"/></page:param>
    <page:param name="multipart">true</page:param>

	<ui:component label="text('issue.field.project')" name="'project/string('name')'" template="textlabel.jsp" />
	<tr>
		<td bgcolor=fffff0 align=right><webwork:text name="'issue.field.issuetype'"/>:</td>
		<td bgcolor=ffffff valign=top>
            <webwork:property value="/constantsManager/issueType(issuetype)" >
                <webwork:component name="{./string('name')}" template="constanticon.jsp">
                    <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                    <webwork:param name="'iconurl'" value="./string('iconurl')" />
                    <webwork:param name="'title'"><webwork:property value="./string('name')" /> - <webwork:property value="./string('description')" /></webwork:param>
                </webwork:component>
                <webwork:property value="string('name')" />
            </webwork:property>
		</td>
	</tr>
    <webwork:iterator value="visibleFieldLayoutItems">
        <webwork:property value="./orderableField">
            <jsp:include page="/includes/panels/issue/create_fields.jsp" />
        </webwork:property>
    </webwork:iterator>

	<ui:component name="'pid'" template="hidden.jsp" theme="'single'" />
	<ui:component name="'issuetype'" template="hidden.jsp" theme="'single'" />
</page:applyDecorator>
</body>
</html>
