<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>
        <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.title')">
            <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.title')"/>
        </webwork:if>
        <webwork:else>
            <webwork:property value="actionDescriptor/name" />
        </webwork:else>
    </title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>
    <page:applyDecorator name="jiraform">
        <page:param name="title">
            <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.title')">
                <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.title')"/>
            </webwork:if>
            <webwork:else>
                <webwork:property value="actionDescriptor/name" />
            </webwork:else>
        </page:param>
        <page:param name="description">
            <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description')">
                <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description')"/>

                <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description.2')">
                    <p>
                    <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description.2')"/>
                </webwork:if>
                <webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.description.3')">
                    <p>
                    <webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.description.3')"/>
                </webwork:if>
            </webwork:if>
            <webwork:else>
                <webwork:property value="actionDescriptor/metaAttributes/('description')" />
            </webwork:else>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">CommentAssignIssue.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"><webwork:if test="actionDescriptor/metaAttributes/('jira.i18n.submit')"><webwork:text name="actionDescriptor/metaAttributes/('jira.i18n.submit')"/></webwork:if><webwork:else><webwork:property value="actionDescriptor/name" /></webwork:else></page:param>
        <webwork:if test="/issueExists == true">

            <%-- RESOLUTION --%>
            <webwork:if test="/showResolution == true">
                <ui:select label="text('issue.field.resolution')" name="'resolution'" list="/constantsManager/resolutions" listKey="'string('id')'" listValue="'string('name')'">
                    <ui:param name="'mandatory'" value="true"/>
                </ui:select>
            </webwork:if>

            <%-- FIX VERSIONS --%>
            <webwork:if test="/showFixVersions == true">
                <webwork:property value="/field('fixVersions')">
                    <ui:select label="text('issue.field.fixversions')" name="id" template="selectmultiple.jsp"
                        list="possibleVersions" listKey="'key'" listValue="'value'" size="'6'">
                        <ui:param name="'headerrow'" value="'None'" />
                        <ui:param name="'headervalue'" value="'-1'" />
                        <ui:param name="'description'">
                            <webwork:text name="'resolveissue.fixversions.desc'"/>
                        </ui:param>
                        <ui:param name="'mandatory'" value="./mandatory"/>
                    </ui:select>
                </webwork:property>
            </webwork:if>

            <%-- ASSIGNEE --%>
            <webwork:if test="/showAssignee == true">
                <jsp:include page="/includes/panels/issue/assignee.jsp" />
            </webwork:if>

            <%-- COMMENT --%>
            <%@ include file="/includes/panels/updateissue_comment.jsp" %>

            <ui:component name="'action'" template="hidden.jsp" theme="'single'" />
            <ui:component name="'id'" template="hidden.jsp" theme="'single'" />
            <ui:component name="'viewIssueKey'" template="hidden.jsp" theme="'single'" />
        </webwork:if>
    </page:applyDecorator>
</td></tr></table>
</td></tr></table>
</body>
</html>