<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%
    String element = null;
%>
<%@ include file="/includes/js/multipickerutils.jsp" %>

<html>
<head>
	<title><webwork:text name="'watcher.manage.title'"/></title>
</head>

<body>

<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>

<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

<script language=javascript>
    function setCheckboxes()
    {
        var value = document.stopform.all.checked;
        var numelements = document.stopform.elements.length;
        var item;
        for (var i=0 ; i<numelements ; i++)
        {
            item = document.stopform.elements[i];
            item.checked = value;
        }
    }
</script>

<webwork:if test="/watchingEnabled == false">
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><webwork:text name="'watcher.manage.title'"/></page:param>
        <page:param name="description"><span class="warning"><webwork:text name="'watcher.disabled'"/>.</span></page:param>
        <page:param name="submitName"> <webwork:property value="text('watcher.manage.add')"/> </page:param>
        <page:param name="width">100%</page:param>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'watcher.browse.projects'">
                <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/secure/BrowseProjects.jspa"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
    </page:applyDecorator>
</webwork:if>

<webwork:else>

    <page:applyDecorator name="jirapanel">
        <webwork:action name="'util.UserAction'" id="user" />
        <page:param name="action">ManageWatchers.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"> <webwork:property value="text('watcher.manage.add')"/> </page:param>
        <page:param name="title"><webwork:text name="'watcher.manage.title'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <webwork:text name="'watcher.manage.desc'">
                <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="/issue/string('key')" />"><webwork:property value="/issue/string('key')" /></a></b></webwork:param>
            </webwork:text>
        </page:param>

        <webwork:if test="watching == true">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'watcher.manage.stop.watch'">
                <webwork:param name="'value0'"><b><a href="ManageWatchers!stopWatching.jspa?key=<webwork:property value="/issue/string('key')"/>"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
            - <webwork:text name="'watcher.manage.start.desc'"/>.
        </webwork:if>
        <webwork:else>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'watcher.manage.start.watch'">
                <webwork:param name="'value0'"><b><a href="ManageWatchers!startWatching.jspa?key=<webwork:property value="/issue/string('key')"/>"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
            - <webwork:text name="'watcher.manage.stop.desc'"/>.
        </webwork:else>

    </page:applyDecorator>

    <p>

    <!-- large outside table -->
    <webwork:if test="canEditWatcherList == true">
        <table cellpadding=2 cellspacing=0 border=0 width="100%">
    </webwork:if>
    <webwork:else>
        <table cellpadding=2 cellspacing=0 border=0 width="50%">
    </webwork:else>

    <tr>
        <td width="50%" valign=top>
        <!-- Current watchers 'header' table -->
            <table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
            <tr>
            <td bgcolor=bbbbbb width=1% nowrap align=center>
                &nbsp;<font color=ffffff><b><webwork:text name="'watcher.manage.watchers.list'"/></b></font>&nbsp;
            </td>
            <td width=100%>
                &nbsp;
            </td>
            </tr>
            </table>

        <!-- Current watchers list -->
            <div class="borderedBox">
                <%-- only show watchers table if they exist --%>
                <webwork:property value="/currentWatchList"><webwork:if test=". != null && ./empty == false">

                    <table cellpadding=3 cellspacing=0 border=0 width=100%>
                        <form name="stopform" method="POST" action="ManageWatchers!stopWatchers.jspa">
                        <tr bgcolor="f0f0f0" width="100%">
                            <th class="colHeaderLink"><font size=2><b><webwork:text name="'common.words.fullname'"/></b> <span class="smallgrey">(<webwork:text name="'common.words.username'"/>)</span></th>
                            <td class="colHeaderLink" align="absmiddle" width="1%" nowrap>
                                <webwork:if test="canEditWatcherList == true">
                                    <input type="checkbox" name="all" onClick="setCheckboxes()">
                                </webwork:if>
                            </td>
                        </tr>
                        <webwork:iterator status="'status'">
                        <tr class="<webwork:if test="@status/odd == true">rowNormal</webwork:if><webwork:else>rowAlternate</webwork:else>">
                            <td valign=top>
                                <a id="watcher_link_<webwork:property value="./name"/>" href="<webwork:url page="/secure/ViewProfile.jspa">
                                            <webwork:param name="'name'" value="./name" />
                                         </webwork:url>"><webwork:property value="./fullName" /></a>
                                         <span class="smallgrey"> (<webwork:property value="./name" />)</span>
                            </td>
                            <td align=absmiddle width=1% nowrap>
                                <webwork:if test="canEditWatcherList == true">
                                    <%-- "Remove" Checkboxes --%>
                                    <input type=checkbox name="<webwork:property value="/checkboxName(.)"/>" value=".">
                                </webwork:if>
                            </td>
                        </tr>
                        </webwork:iterator>

                        <tr>
                            <td></td>
                            <td align="absmiddle">
                                <webwork:if test="canEditWatcherList == true">
                                    <%-- "Remove" Button --%>
                                    <input type="submit" value="<webwork:text name="'watcher.manage.remove'"/>">
                                </webwork:if>
                            </td>
                        </tr>
                        <ui:component name="'id'" template="hidden.jsp" value="/issue/string('id')"/>
                        </form>
                    </table>
                </webwork:if>

                <webwork:else>
                    <table cellpadding=2 cellspacing=0 border=0 width=80% align=center>
                        <tr><td nowrap><webwork:text name="'watcher.manage.nowatchers'"/></td></tr>
                    </table>
                </webwork:else>
                </webwork:property>
            </div>
        </td>

        <webwork:if test="canEditWatcherList == true">
        <td width="50%" valign=top>
        <!-- Add watchers 'header' table -->
            <table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
            <tr>
            <td bgcolor=bbbbbb width=1% nowrap align=center>
                &nbsp;<font color=ffffff><b><webwork:text name="'watcher.manage.add.watcher'"/></b></font>&nbsp;
            </td>
            <td width=100%>
                &nbsp;
            </td>
            </tr>
            </table>
            <!-- Add watchers form -->
            <div class="borderedBox" style="background-color:#f0f0f0";>
                <form name="startform" method="POST" action="ManageWatchers!startWatchers.jspa">
                    <ui:component name="'id'" template="hidden.jsp" value="/issue/string('id')"/>
                    <table cellpadding=2 cellspacing=0 border=0 width=100%>
                         <tr ><td><webwork:text name="'watcher.manage.add.details'" /></td></tr>
                         <tr nowrap>
                             <td nowrap><webwork:text name="'watcher.manage.add.desc'"/>:&nbsp;
                                 <ui:component label="text('watcher.manage.add.watcher')" name="'userNames'" template="userselectnoheaders.jsp">
                                     <ui:param name="'formname'" value="'startform'" />
                                     <ui:param name="'size'">30</ui:param>
                                     <ui:param name="'userMode'" value="'1'"/>
                                     <ui:param name="'multiSelect'" value="'true'"/>
                                     <ui:param name="'rows'" value="'3'"/>
                                     <ui:param name="'cols'" value="'30'"/>
                                     <ui:param name="'description'">(<webwork:text name="'watcher.manage.add.desc'"/>)</ui:param>
                                 </ui:component>
                              </td>
                         </tr>
                         <tr align=middle>
                             <td><input type="submit" value="<webwork:text name="'watcher.manage.add'"/>"></td>
                         </tr>
                    </table>
                </form>
            </div>
        </td>
        </webwork:if>
    </tr>
    </table>
</webwork:else>
</td></tr></table>
</td></tr></table>
</body>
</html>