<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<!-- Breaking page into smaller parts - JRA-5059 -->

<!-- VERSIONS -->

<tr>
    <td bgcolor=f0f0f0 valign=top>
        <b><webwork:text name="'issue.field.affectsversions'"/></b>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:if test="oldAffectsVersions/size > 0">
            <webwork:iterator value="oldAffectsVersions">
                <webwork:if test="../versionsMatch == false">
                    <span class="red-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <webwork:if test="./versionsMatch == false">
                <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.words.none'"/>
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'versions', issue/string('type')) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:else>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:if test="newAffectsVersions/size > 0">
            <webwork:iterator value="newAffectsVersions">
                <webwork:if test="../versionsMatch == false">
                    <span class="green-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <webwork:if test="./versionsMatch == false">
                <span class="green-highlight"><webwork:text name="'common.words.none'"/></span>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.words.none'"/>
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'versions', targetIssueType) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:else>
    </td>
</tr>
<tr>
    <td bgcolor=f0f0f0 valign=top>
        <b><webwork:text name="'issue.field.fixversions'"/></b>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:if test="oldFixVersions/size > 0">
            <webwork:iterator value="oldFixVersions">
                <webwork:if test="../fixVersionsMatch == false">
                    <span class="red-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <webwork:if test="./fixVersionsMatch == false">
                <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.words.none'"/>
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'fixVersions', issue/string('type')) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:else>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:if test="newFixVersions/size > 0">
            <webwork:iterator value="newFixVersions">
                <webwork:if test="../fixVersionsMatch == false">
                    <span class="green-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <webwork:if test="./fixVersionsMatch == false">
                <span class="green-highlight"><webwork:text name="'common.words.none'"/></span>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'common.words.none'"/>
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'fixVersions', targetIssueType) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:else>

    </td>
</tr>
