<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
	<title><webwork:if test="subTask == true"><webwork:text name="'movesubtask.title'"/></webwork:if><webwork:else><webwork:text name="'moveissue.title'"/></webwork:else>: <webwork:property value="issue/string('summary')" /></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
<%--    <jsp:include page="/includes/panels/issue/summary.jsp" />--%>
    <webwork:if test="subTask == true">
        <jsp:include page="/secure/views/issue/movetaskpane.jsp" flush="false" />
    </webwork:if>
    <webwork:else>
        <jsp:include page="/secure/views/issue/moveissuepane.jsp" flush="false" />
    </webwork:else>
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

	<page:applyDecorator name="jiraform">
		<page:param name="title">
            <webwork:if test="subTask == true">
                <webwork:text name="'movesubtask.title'"/>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'moveissue.title'"/>
            </webwork:else>
        </page:param>
		<page:param name="description">
            <webwork:if test="subTask == true">
                <%-- Sub Task --%>
                <webwork:text name="'movesubtask.step2.desc'"/>
            </webwork:if>
            <webwork:else>
                <webwork:if test="enterprise == true">
                    <webwork:text name="'moveissue.step3.desc.ent'"/>
                    <%-- If current statues of issue and all subtasks exist in the target workflows - these statuses will remain in effect --%>
                    <%-- This means that step 2 of move process has been skipped --%>
                    <webwork:if test="statusChangeRequired == false">
                        <p>
                        <span class="red-highlight"/><b><webwork:text name="'common.words.note'"/></b></span>:&nbsp;<webwork:text name="'moveissue.step2.notrequired'"/>.
                        </p>
                    </webwork:if>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'moveissue.step2.desc.pro'"/>
                </webwork:else>
            </webwork:else>
        </page:param>
		<page:param name="action">MoveIssueUpdateFields.jspa</page:param>
        <page:param name="width">100%</page:param>
		<page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
		<page:param name="submitName"><webwork:property value="text('common.forms.next')"/> &gt;&gt;</page:param>

        <webwork:if test="subTask == false">
            <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
                if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
                <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'security', targetIssueType) == false">
                    <webwork:if test="hasProjectPermission('setsecurity', targetProject) == true">
                        <webwork:if test="securityLevels(targetProject)/empty == true">
                            <webwork:if test="oldSecurity != null">
                                <tr>
                                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.securitylevel'"/>:</td>
                                    <td bgcolor=ffffff valign=top>
                                        <font color = cc00000><webwork:text name="'issue.operations.move.nosecurity'"/></font>
                                    </td>
                                </tr>
                            </webwork:if>
                        </webwork:if>
                        <webwork:else>
                            <tr>
                                <webwork:property value="securityLevels(targetProject)" >
                                    <ui:select label="text('issue.field.securitylevel')" name="'security'" list="keySet"
                                        listKey="'.'" listValue="'../(.)'">
                                        <ui:param name="'headerrow'" value="'None'" />
                                        <ui:param name="'headervalue'" value="'-1'" />
                                    </ui:select>
                                </webwork:property>
                            </tr>
                        </webwork:else>
                    </webwork:if>
                    <%--If the issue has security on it and the user doesnt have set security on new project then warn them --%>
                    <webwork:elseIf test="oldSecurity !=null">
                        <tr>
                            <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.securitylevel'"/>:</td>
                            <td bgcolor=ffffff valign=top>
                                <font color = cc00000><webwork:text name="'issue.operations.move.security'"/></font>
                            </td>
                        </tr>
                    </webwork:elseIf>
                </webwork:if>
                <webwork:else>
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.securitylevel'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </tr>
                </webwork:else>
            <% } %>
        </webwork:if>

        <%-- Priority - may be hidden but is always set --%>
        <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'priority', targetIssueType) == false">
            <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.priority'"/>:</td>
            <td bgcolor=ffffff valign=top>
                <webwork:property value="constantsManager/priority(issue/string('priority'))/string('name')"/>
            </td>
        </webwork:if>
        <webwork:else>
            <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.priority'"/>:</td>
            <td bgcolor=ffffff valign=top>
                <webwork:text name="'moveissue.field.hidden'"/>
            </td>
        </webwork:else>

        <%-- Pass Priority in params in order to pass validation if it is a mandatory field--%>
        <ui:component name="'priority'" value="issue/string('priority')" template="hidden.jsp" theme="'single'"  />

        <%-- Description --%>
        <webwork:if test="./required('description') == true">
            <webwork:if test="./stringSet(./issue, 'description') == false">
                <ui:textarea label="text('issue.field.description')" name="'description'" cols="35" rows="4">
                    <ui:param name="'description'"><webwork:text name="'moveissue.description.required'"/></ui:param>
                    <ui:param name="'mandatory'" value="true"/>
                </ui:textarea>
            </webwork:if>
            <webwork:else>
                <ui:component name="'description'" value="./issue/string('description')" template="hidden.jsp" theme="'single'"  />
            </webwork:else>
        </webwork:if>

        <%-- Environment --%>
        <webwork:if test="./required('environment') == true">
            <webwork:if test="./stringSet(./issue, 'environment') == false">
                <ui:textarea label="text('issue.field.environment')" name="'environment'" cols="35" rows="4">
                    <ui:param name="'description'"><webwork:text name="'moveissue.environment.required'"/></ui:param>
                    <ui:param name="'mandatory'" value="true"/>
                </ui:textarea>
            </webwork:if>
            <webwork:else>
                <ui:component name="'environment'" value="./issue/string('environment')" template="hidden.jsp" theme="'single'"  />
            </webwork:else>
        </webwork:if>

        <%-- Due Date --%>
        <webwork:if test="./required('duedate') == true">
            <webwork:if test="./stringSet(./issue, 'duedate') == false">
                <webwork:if test="./hasIssuePermission('scheduleissue', ./issue)">
                    <ui:component label="text('issue.field.duedate')" name="'duedate'" template="datepicker2.jsp">
                        <ui:param name="'formname'" value="'jiraform'" />
                        <ui:param name="'size'">10</ui:param>
                        <ui:param name="'description'"><webwork:text name="'moveissue.duedate.required'"/></ui:param>
                        <ui:param name="'mandatory'" value="true"/>
                    </ui:component>
                </webwork:if>
                <webwork:else>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.duedate'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <span class="warning"><webwork:text name="'moveissue.duedate.schedule.permission'"/></span>
                    </td>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <ui:component name="'duedate'" value="./issue/timestamp('duedate')" template="hidden.jsp" theme="'single'"  />
            </webwork:else>
        </webwork:if>

        <%-- Components --%>
        <webwork:if test="projectManager/components(targetProject)/size > 0">
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'components', targetIssueType) == false">
                <ui:select label="text('issue.field.components')" name="'components'" template="selectmultiple.jsp"
                    list="projectManager/components(targetProject)" listKey="'long('id')'" listValue="'string('name')'">
                    <ui:param name="'size'" value="'3'" />
                    <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                    <ui:param name="'headervalue'" value="'-1'" />
                    <ui:param name="'description'"><webwork:property value="applicationProperties/string('jira.issue.desc.components')" escape="false" /></ui:param>
                    <ui:param name="'mandatory'" value="./required('components')"/>
                </ui:select>
            </webwork:if>
            <webwork:else>
                <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.components'"/>:</td>
                <td bgcolor=ffffff valign=top>
                    <webwork:text name="'moveissue.field.hidden'"/>
                </td>
            </webwork:else>
        </webwork:if>
        <webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'components', targetIssueType) == false">
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.components'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                    <webwork:text name="'common.words.unknown'"/>
                    </td>
                </tr>
            </webwork:if>
            <webwork:else>
                <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.components'"/>:</td>
                <td bgcolor=ffffff valign=top>
                    <webwork:text name="'moveissue.field.hidden'"/>
                </td>
            </webwork:else>
        </webwork:else>

        <%-- Affects Versions --%>
        <webwork:if test="possibleVersions(targetProject)/size >= 2">
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'versions', targetIssueType) == false">
                <ui:select label="text('issue.field.affectsversions')" name="'versions'" template="selectmultiple.jsp"
                    list="possibleVersions(targetProject)" listKey="'key'" listValue="'value'">
                    <ui:param name="'size'" value="'3'" />
                    <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                    <ui:param name="'headervalue'" value="'-1'" />
                    <ui:param name="'description'"><webwork:property value="applicationProperties/string('jira.issue.desc.versions')" escape="false" /></ui:param>
                    <ui:param name="'mandatory'" value="./required('versions')"/>
                </ui:select>
            </webwork:if>
            <webwork:else>
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.affectsversions'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </tr>
            </webwork:else>
        </webwork:if>
        <webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'versions', targetIssueType) == false">
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.affectsversions'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'common.words.unknown'"/>
                    </td>
                </tr>
            </webwork:if>
            <webwork:else>
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.affectsversions'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </tr>
            </webwork:else>
        </webwork:else>

        <%-- Fix Versions --%>
        <webwork:if test="hasProjectPermission('resolve', targetProject) == true">
            <webwork:if test = "possibleVersions(targetProject)/size >= 2">
                <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'fixVersions', targetIssueType) == false">
                    <ui:select label="text('issue.field.fixversions')" name="'fixVersions'" template="selectmultiple.jsp"
                        list="possibleVersions(targetProject)" listKey="'key'" listValue="'value'">
                        <ui:param name="'size'" value="'3'" />
                        <ui:param name="'headerrow'" value="text('common.words.unknown')" />
                        <ui:param name="'headervalue'" value="'-1'" />
                        <ui:param name="'description'"><webwork:property value="applicationProperties/string('jira.issue.desc.fixfor')" escape="false" /></ui:param>
                        <ui:param name="'mandatory'" value="./required('fixVersions')"/>
                    </ui:select>
                </webwork:if>
                <webwork:else>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.fixversions'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'fixVersions', targetIssueType) == false">
                    <tr>
                        <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.fixversions'"/>:</td>
                        <td bgcolor=ffffff valign=top>
                        <webwork:text name="'common.words.unknown'"/>
                        </td>
                    </tr>
                </webwork:if>
                <webwork:else>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.fixversions'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </webwork:else>
            </webwork:else>
        </webwork:if>


        <%-- Assignee --%>
        <webwork:if test="hasProjectPermission('assign', targetProject) == true">
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'assignee', targetIssueType) == false">
                <webwork:if test="!issue/string('assignee')" >
                    <tr>
                        <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.assignedto'"/>:</td>
                        <td bgcolor=ffffff valign=top>
                            <webwork:text name="'moveissue.remain.unassigned'"/>
                        </td>
                    </tr>
                </webwork:if>
                <webwork:elseIf test="oldAssigneeAssignable == true" >
                    <tr>
                        <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.assignedto'"/>:</td>
                        <td bgcolor=ffffff valign=top>
                            <webwork:text name="'moveissue.remain.assigned'">
                                <webwork:param name="'value0'"><b><webwork:property value="assigneeUser/fullName" /></b></webwork:param>
                            </webwork:text>
                            <input type="hidden" name="assignee" value="<webwork:property value="issue/string('assignee')" />">
                        </td>
                    </tr>
                </webwork:elseIf>
                <webwork:else>
                    <jsp:include page="/includes/panels/issue/assignee.jsp" />
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <tr>
                    <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.assignee'"/>:</td>
                    <td bgcolor=ffffff valign=top>
                        <webwork:text name="'moveissue.field.hidden'"/>
                    </td>
                </tr>
            </webwork:else>
        </webwork:if>

        <webwork:iterator value="targetVisibleFieldLayoutItems">
            <webwork:property value="./orderableField">
                <webwork:if test="id/startsWith('customfield_') == true">
                    <webwork:property value="/customFieldHtml(..)" escape="false" />
                </webwork:if>
            </webwork:property>
        </webwork:iterator>

        <%-- Do not put these in the MoveIssueBean --%>
        <ui:component name="'id'" template="hidden.jsp" theme="'single'" />
        <ui:component name="'assignee'" template="hidden.jsp" theme="'single'"  />

	</page:applyDecorator>

</td></tr></table>
</td></tr></table>

</body>
</html>