<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<style>
<!--
.fieldLabelArea
{
    width: 10%;
}

#pinCommentContainer
{
    float: right;
    font-size: 10px;
}

#pinCommentContainer a
{
    margin: 0px 0.2em;
}
-->
</style>

<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<webwork:if test="issue == null">
    <jsp:include page="/includes/panels/viewissue_doesnt_exist.jsp" />
</webwork:if>
<webwork:else>

<%@ include file="/includes/panels/viewissue_header.jsp" %>

<table cellpadding=0 cellspacing=0 border=0 width="100%">
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/issue/summary.jsp" />
</td>
<td bgcolor=ffffff valign=top>

<table width="100%" cellpadding=10 cellspacing=0 border=0><tr><td>

<%@ include file="/includes/errormessages.jsp" %>

<webwork:property value="issue">

<jsp:include page="/includes/panels/issue_headertable.jsp" />

<webwork:property value="./long('project')">

    <webwork:if test="showIssueDetails(., ..) == true">
        <br>
        <table cellpadding=0 cellspacing=0 border=0 bgcolor=bbbbbb WIDTH="100%" align="center"><tr><td>
        <table cellpadding=4 cellspacing=1 border=0 width=100% bgcolor=bbbbbb>

        <webwork:if test="@fieldVisibility/fieldHidden(., 'timetracking', ../string('type')) == false">
            <jsp:include page="/includes/panels/issue/view_timetracking.jsp" />
        </webwork:if>

        <jsp:include page="/includes/panels/issue/view_attachments.jsp" />

        <webwork:if test="@fieldVisibility/fieldHidden(., 'environment', ../string('type')) == false && ../string('environment') != null && ../string('environment')/length > 0">
            <tr>

                <td bgcolor=f0f0f0 width="20%" valign=top>
                    <b><webwork:text name="'issue.field.environment'" />:</b>
                </td>
                <td bgcolor=ffffff valign=top colspan=5>
                    <jira:text2html><webwork:property value="../string('environment')" escape="false" /></jira:text2html>
                </td>
            </tr>
        </webwork:if>

        <jsp:include page="/includes/panels/issue/view_linking.jsp" />
        <jsp:include page="/includes/panels/issue/view_trackbacks.jsp" />

            <%-- custom fields --%>
            <webwork:iterator value="visibleCustomFields">
                <webwork:property value="./orderableField">
                    <webwork:if test="./value(/issue) != null && ./customFieldType/descriptor/viewTemplateExists != false"><%-- don't display custom fields with no values --%>
                        <tr>
                            <td bgcolor="f0f0f0" width="20%" valign=top><b><webwork:property value="name" />:</b></td>
                            <td bgcolor="ffffff" colspan=5>
                                <webwork:property value="/customFieldHtml(., /issue)" escape="false" />
                            </td>
                        </tr>
                    </webwork:if>
                </webwork:property>
            </webwork:iterator>
            <%-- end custom fields --%>

        </table>
        </td></tr></table>
    </webwork:if>
</webwork:property>
<br>
<jsp:include page="/includes/panels/issue/view_subtaskissues.jsp" />
<%@ include file="/includes/panels/issue_descriptiontable.jsp" %>
<%@ include file="/includes/trackback_rdf.jsp"%>
</webwork:property>
<br>
<jsp:include page="/includes/panels/issue/actions.jsp" />

<webwork:if test="hasIssuePermission('comment', issue) == true">
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/pincomment.js"></script>

<div id="commentDiv" style="display:none;">
    <page:applyDecorator name="jiraform">
        <page:param name="action"><webwork:url value="'/secure/AddComment.jspa'" /></page:param>
        <page:param name="submitName"><webwork:property value="text('comment.add.submitname')"/> </page:param>
        <page:param name="title"><span id="pinCommentContainer">[<a id="pinComment" href="#" onclick="toggleMenu('commentDiv', this);return false;"></a>]</span><webwork:text name="'comment.add.title'"/></page:param>
        <page:param name="width">100%</page:param>

        <ui:textarea label="text('comment.add.label')" name="'comment'"  rows="15">
            <ui:param name="'cssId'">commentTextArea</ui:param>
            <ui:param name="'style'" value="'width: 95%;'" />

        </ui:textarea>

        <webwork:if test="commentLevels/size > 0">
            <ui:select label="text('comment.add.viewableby.label')" name="'commentLevel'" list="commentLevels"
                listKey="'.'" listValue="'.'">
                <ui:param name="'headerrow'" value="text('comment.constants.allusers')" />
                <ui:param name="'headervalue'" value="''" />

            </ui:select>
        </webwork:if>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
    </page:applyDecorator>

<script language="JavaScript" type="text/javascript">
<!--

    initPinComments('<webwork:property value="text('comment.pin.showText')" />',
                    '<webwork:property value="text('comment.pin.showTitle')" />',
                    '<webwork:property value="text('comment.pin.hideText')" />',
                    '<webwork:property value="text('comment.pin.hideTitle')" />'); 

    restoreMenu('commentDiv','pinComment');

    function showComment()
    {
        try
        {
            var commentDiv = document.getElementById("commentDiv");
            commentDiv.style.display = 'block';
            restoreMenu('commentDiv','pinComment')
            setTimeout('document.getElementById("commentTextArea").focus();', 20);
            return false;
        } catch (e) { return true; }
    }
//-->
</script>

</div>
</webwork:if>


</td></tr></table>
</td></tr></table>
</body>
</html>
</webwork:else>
