<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'watchedissues.title'"/>: <webwork:property value="user/fullName" /></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/user_summary_pane.jsp" />
</td>
<td bgcolor=ffffff valign=top>
<table width=100% cellpadding=10 cellspacing=0 border=0>
<tr><td>
<webwork:if test="pager/currentPage(report) && pager/currentPage(report)/size > 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title"><webwork:text name="'watchedissues.title'"/></page:param>
        <page:param name="width">100%</page:param>
        <p><webwork:text name="'watchedissues.desc.line1'"/></p>
        <p><webwork:text name="'watchedissues.desc.line2'"/></p>
    </page:applyDecorator>
</webwork:if>
<webwork:component template="issuetable.jsp" name="'report'">
    <webwork:param name="'columns'" value="columns"/>
    <webwork:param name="'emptytexttitle'"><webwork:text name="'watchedissues.title'"/></webwork:param>
    <webwork:param name="'emptytext'">
        <webwork:text name="'watchedissues.none'"/>
    </webwork:param>
    <webwork:param name="'showcontrols'" value="'true'" />
    <webwork:param name="'deleteparam'" value="'delWatch'" />
    <webwork:param name="'deletelabel'" value="text('watchedissues.unwatch')" />
</webwork:component>
</td></tr>
</table>
</td></tr>
</table>
</body>
</html>