<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:if test="./id == 'issuetype'">
    <td nowrap width=1%>
        <webwork:if test="parameters['nolink'] != null && parameters['nolink'] == true">
            <%@ include file="/includes/icons/type-nolink.jsp" %>
        </webwork:if>
        <webwork:else>
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>"><%@ include file="/includes/icons/type-nolink.jsp" %></a>
        </webwork:else>
    </td>
</webwork:if>

<webwork:if test="./id == 'issuekey'">
    <td nowrap width=1%>
        <font size=1>
            <webwork:if test="parameters['nolink'] != null && parameters['nolink'] == true">
                <webwork:property value="string('key')"/>
            </webwork:if>
            <webwork:else>
                <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')"/>"><webwork:property value="string('key')"/></a>
            </webwork:else>
        </font>
    </td>
</webwork:if>

<webwork:if test="./id == 'summary'">
    <td width=100%>
        <webwork:if test="parameters['nolink'] != null && parameters['nolink'] == true">
            <webwork:if test="@issueBean/subTask(../..) == true">
                <span class="smallgrey"><webwork:property value="@issueBean/parentIssueKey(../..)"/></span><br>
                <img src="<%= request.getContextPath() %>/images/icons/link_out_bot.gif" width=16 height=16 border=0 align=absmiddle>
            </webwork:if>
            <webwork:property value="string('summary')"/>
        </webwork:if>
        <webwork:else>
                <webwork:if test="@issueBean/subTask(../..) == true">
                    <span class="smallgrey"><a href="<%=request.getContextPath()%>/browse/<webwork:property value="@issueBean/parentIssueKey(../..)"/>" style="text-decoration: none; "  title="<webwork:property value="@issueBean/parentIssueSummary(../..)"/>"><webwork:property value="@issueBean/parentIssueKey(../..)"/></a></span><br>
                    <img src="<%= request.getContextPath() %>/images/icons/link_out_bot.gif" width=16 height=16 border=0 align=absmiddle>
                </webwork:if>
                <a href="<%=request.getContextPath()%>/browse/<webwork:property value="string('key')"/>" style="text-decoration: none; "><webwork:property value="string('summary')"/></a>
        </webwork:else>
    </td>
</webwork:if>