<%@ taglib uri="webwork" prefix="webwork" %>

<webwork:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />
<webwork:property value="@helpUtil/helpPath(parameters['name'])">
    <a href="<webwork:property value="url" /><webwork:property value="parameters['helpURLFragment']" />" target="_jirahelp">
        <img src="<%= request.getContextPath() %>/images/icons/help_blue.gif"
            width=16 height=16
            <%--if this is from a component then dont align right as it should be tight to the component--%>
            <webwork:property value="parameters['align']">
                <webwork:if test=".">
                    align=<webwork:property value="."/>
                </webwork:if>
                <webwork:else>
                    align=right
                </webwork:else>
            </webwork:property>

            border=0 alt="<webwork:property value="alt" />"
            title=" <webwork:text name="'online.help'"/> <webwork:property value="title" />"></a>
</webwork:property>