<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'setup.title'" /></title>
</head>
<body>
<table width=100% border=0 cellpadding=4>
<tr>
<td width=80% valign=top>
<page:applyDecorator name="jiraform">
	<page:param name="title"><webwork:text name="'setup.step1'" /></page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">
        <webwork:text name="'setup.globalproperties'" />
        <p>
        <webwork:text name="'setup.existingimport'">
            <webwork:param name="'value0'"><font color=990000></webwork:param>
            <webwork:param name="'value1'"></font></webwork:param>
            <webwork:param name="'value2'"><a href="SetupImport!default.jspa"></webwork:param>
            <webwork:param name="'value3'"></a></webwork:param>
        </webwork:text>
    </page:param>
	<page:param name="action">Setup.jspa</page:param>

	<ui:textfield label="text('setup.applicationtitle.label')" name="'title'">
		<ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<webwork:text name="'setup.applicationtitle.desc'" />
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:textfield>

	<ui:select label="text('setup.mode.label')" name="'mode'"
		list="allowedModes" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			<webwork:text name="'setup.mode.line1.desc'" />:<br>
			<webwork:text name="'setup.mode.line2.desc'" /><br>
			<webwork:text name="'setup.mode.line3.desc'" />.
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:select>

	<ui:textfield label="text('setup.baseurl.label')" name="'baseURL'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<webwork:text name="'setup.baseurl.desc'" />
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:textfield>

	<ui:textfield label="text('setup.indexpath.label')" name="'indexPath'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
            <webwork:text name="'setup.indexpath.desc'" />
		</ui:param>
		<ui:param name="'mandatory'" value="true" />
	</ui:textfield>

    <ui:textfield label="text('setup.attachmentpath.label')" name="'attachmentPath'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
            <webwork:text name="'setup.attachmentpath.desc'" />
		</ui:param>
	</ui:textfield>

	<ui:textfield label="text('setup.backuppath.label')" name="'backupPath'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
            <webwork:text name="'setup.backuppath.line1.desc'" /> <br>
            <webwork:text name="'setup.backuppath.line2.desc'" />
		</ui:param>
	</ui:textfield>

	<tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td colspan=2 bgcolor=f0f0f0><h3 class="formtitle"><webwork:text name="'setup.license.title'" /></h3></td>
	</tr>
	<ui:textarea label="text('setup.license.label')" name="'license'" cols="50" rows="6">
		<ui:param name="'description'">
			<webwork:text name="'setup.license.line1.desc'" /><br>
			<webwork:text name="'setup.license.line2.desc'">
                <webwork:param name="'value0'"><a target="_blank" href="http://www.atlassian.com/software/jira/Licenses.jspa"></webwork:param>
                <webwork:param name="'value1'"></a></webwork:param>
            </webwork:text><br>
		<ui:param name="'mandatory'" value="true" />
		</ui:param>
	</ui:textarea>
    <tr>
        <td bgcolor=ffffff valign=top colspan=2 align=center>
        <input type="submit" name="next" value="<webwork:property value="text('common.forms.next')"/>&gt;&gt;">
        <input type="hidden" name="language" value="<webwork:property value="language"/>"/>
        </td>
    </tr>
</page:applyDecorator>
</td>
<td width=20% valign=top>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Choose Language</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"> </page:param>

    <table align="center">
    <script language="JavaScript">
        function setLanguage(lang)
        {
            var form = document.forms['jiraform'];
            form.elements['language'].value = lang;
            form.submit();
        }
    </script>

    <webwork:iterator value="/localeUtils/installedLocales">
    <tr><td align="center">
        <webwork:if test="./toString == /applicationProperties/defaultLocale/toString">
            <img src="<%= request.getContextPath() %>/images/flags/<webwork:property value="./toString"/>.png">
        </webwork:if>
        <webwork:else>
            <a href="javascript:setLanguage('<webwork:property value="./toString"/>');"><img border=0 src="<%= request.getContextPath() %>/images/flags/<webwork:property value="./toString"/>.png"></a>
        </webwork:else>
    </td></tr>
    <tr><td align="center">
        <webwork:if test="./toString == /applicationProperties/defaultLocale/toString">
            <b><webwork:property value="./displayLanguage"/> (Default)</b>
        </webwork:if>
        <webwork:else>
            <a href="javascript:setLanguage('<webwork:property value="./toString"/>');"><webwork:property value="./displayLanguage"/></a>
        </webwork:else>
    </td></tr>
    </webwork:iterator>

    </table>
</page:applyDecorator>
</td>
</tr>
</table>
</body>
</html>
